Bug 242648 - Crash due to partial KAuth support in System Settings
Summary: Crash due to partial KAuth support in System Settings
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: VHI crash with 404 votes (vote)
Target Milestone: ---
Assignee: Dario Freddi
URL:
Keywords: regression
: 205357 226406 226711 234563 244119 245066 245235 245602 246552 246839 247008 247074 247153 247660 247874 248097 248317 248564 248625 248764 248883 249219 249535 250141 250228 250250 250680 251207 251629 253199 253259 253297 253574 254145 254242 254720 255702 255727 256018 256233 256491 256949 257135 257832 259496 262814 263282 263617 264286 264320 264394 265235 265366 265807 266409 266709 269167 269422 269517 269586 270264 270288 271454 271642 271732 271870 272274 272490 272651 272766 272883 273268 273463 273956 274014 274067 274238 274737 274744 274779 275097 275228 275628 275941 276869 276919 276972 277998 278249 279541 283790 284203 284315 287590 287717 288701 288737 289035 292507 294947 295027 295166 297040 297248 300710 301413 301481 301731 301806 301875 302428 304034 304344 305229 305317 305856 306135 306271 306329 306375 306445 306756 306864 307142 307377 307538 308922 309032 309137 309435 309633 309664 310367 310386 310882 311429 311444 311980 312218 312778 313101 313272 313312 313377 313413 313741 314242 314689 314976 315378 316343 316345 316389 316437 316570 316617 316737 316758 316784 317004 317310 317472 317517 317525 317640 317766 317871 318931 319146 319193 319287 319338 319616 319991 320026 320113 320312 320372 320470 320569 320789 320866 320963 321215 321618 321989 322180 322224 322241 322301 322305 322384 322393 322508 322589 322638 322824 323097 323162 323352 323615 323665 324007 324015 324091 324449 324705 325392 325734 325831 326086 326108 326221 326241 326290 326564 326696 327111 327134 327215 327713 328610 328611 328965 329014 329034 329062 329396 330464 330892 331112 331247 331454 332080 332445 332878 345911 346813 346819 348775 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-06-24 00:39 UTC by james
Modified: 2019-11-28 12:23 UTC (History)
284 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (7.54 KB, text/plain)
2010-09-16 12:02 UTC, Andy
Details
New crash information added by DrKonqi (5.81 KB, text/plain)
2010-11-08 03:33 UTC, Joshua McClelland
Details
New crash information added by DrKonqi (6.89 KB, text/plain)
2010-12-02 23:15 UTC, Brad Hubbard
Details
New crash information added by DrKonqi (7.74 KB, text/plain)
2011-01-09 11:38 UTC, Bruno Friedmann
Details
New crash information added by DrKonqi (5.86 KB, text/plain)
2011-02-13 23:19 UTC, Burak Aktas
Details
New crash information added by DrKonqi (6.41 KB, text/plain)
2011-03-13 02:52 UTC, Jim Bullock
Details
New crash information added by DrKonqi (6.57 KB, text/plain)
2011-04-04 08:57 UTC, Unknown
Details
New crash information added by DrKonqi (6.57 KB, text/plain)
2011-04-04 08:57 UTC, Unknown
Details
New crash information added by DrKonqi (6.85 KB, text/plain)
2011-04-05 01:42 UTC, Sebastián Ramírez
Details
New crash information added by DrKonqi (6.68 KB, text/plain)
2011-05-22 19:37 UTC, mihail.costea2005
Details
New crash information added by DrKonqi (8.06 KB, text/plain)
2011-05-28 09:25 UTC, Per Hallgren
Details
New crash information added by DrKonqi (7.92 KB, text/plain)
2011-06-05 16:55 UTC, marsu1
Details
New crash information added by DrKonqi (6.29 KB, text/plain)
2011-06-12 14:35 UTC, MPqO
Details
New crash information added by DrKonqi (6.98 KB, text/plain)
2011-07-25 04:33 UTC, David Boling
Details
New crash information added by DrKonqi (7.92 KB, text/plain)
2011-08-08 19:33 UTC, Oleg Andreych
Details
New crash information added by DrKonqi (7.50 KB, text/plain)
2011-08-10 16:05 UTC, Ulrich Lichtenegger
Details
New crash information added by DrKonqi (7.92 KB, text/plain)
2011-08-20 23:08 UTC, Admc
Details
New crash information added by DrKonqi (7.29 KB, text/plain)
2011-08-21 18:26 UTC, Diogo
Details
New crash information added by DrKonqi (7.73 KB, text/plain)
2011-09-04 21:43 UTC, subcoolent
Details
New crash information added by DrKonqi (7.64 KB, text/plain)
2011-10-20 02:47 UTC, Simon Andric
Details
New crash information added by DrKonqi (8.64 KB, text/plain)
2011-10-22 00:38 UTC, Rafael
Details
New crash information added by DrKonqi (7.80 KB, text/plain)
2011-10-22 07:59 UTC, Dennis
Details
New crash information added by DrKonqi (7.74 KB, text/plain)
2011-10-26 15:21 UTC, max_simple
Details
New crash information added by DrKonqi (7.74 KB, text/plain)
2011-10-26 15:21 UTC, max_simple
Details
New crash information added by DrKonqi (7.74 KB, text/plain)
2011-10-26 15:21 UTC, max_simple
Details
New crash information added by DrKonqi (7.74 KB, text/plain)
2011-10-26 15:21 UTC, max_simple
Details
New crash information added by DrKonqi (7.74 KB, text/plain)
2011-10-26 15:21 UTC, max_simple
Details
New crash information added by DrKonqi (7.83 KB, text/plain)
2011-11-24 01:26 UTC, Sergejus
Details
New crash information added by DrKonqi (5.28 KB, text/plain)
2011-11-26 17:58 UTC, pepa
Details
New crash information added by DrKonqi (6.03 KB, text/plain)
2011-12-21 16:36 UTC, jonespl42
Details
New crash information added by DrKonqi (5.18 KB, text/plain)
2012-01-17 15:32 UTC, Christopher
Details
New crash information added by DrKonqi (7.49 KB, text/plain)
2012-01-19 05:55 UTC, Evg
Details
New crash information added by DrKonqi (7.23 KB, text/plain)
2012-01-29 04:38 UTC, DeMus
Details
a screenprint showing the relevant information about the kcmdatetimehelper avc error (430.57 KB, image/png)
2012-02-12 12:47 UTC, Guus
Details
New crash information added by DrKonqi (7.71 KB, text/plain)
2012-02-21 23:21 UTC, Andreas Hencke
Details
New crash information added by DrKonqi (7.20 KB, text/plain)
2012-03-19 15:51 UTC, Christian Bonami
Details
New crash information added by DrKonqi (7.15 KB, text/plain)
2012-05-03 09:46 UTC, Isaias
Details
New crash information added by DrKonqi (7.59 KB, text/plain)
2012-06-20 12:07 UTC, Daniel
Details
New crash information added by DrKonqi (7.31 KB, text/plain)
2012-07-23 04:05 UTC, Sandeep
Details
New crash information added by DrKonqi (5.90 KB, text/plain)
2012-08-01 21:27 UTC, Steve Day
Details
New crash information added by DrKonqi (8.50 KB, text/plain)
2012-08-02 15:49 UTC, Ivan D Vasin
Details
New crash information added by DrKonqi (7.15 KB, text/plain)
2012-08-22 12:53 UTC, blackredprince
Details
New crash information added by DrKonqi (7.09 KB, text/plain)
2012-08-23 19:05 UTC, Mebuntu
Details
New crash information added by DrKonqi (5.29 KB, text/plain)
2012-09-15 12:24 UTC, zhanglide
Details
New crash information added by DrKonqi (7.18 KB, text/plain)
2012-09-30 14:23 UTC, Mikel
Details
New crash information added by DrKonqi (5.36 KB, text/plain)
2012-10-02 20:11 UTC, Nikos Alexiou
Details
New crash information added by DrKonqi (5.92 KB, text/plain)
2012-10-10 15:05 UTC, Oleg Atamanenko
Details
New crash information added by DrKonqi (5.62 KB, text/plain)
2012-10-11 10:20 UTC, atrunzo61
Details
New crash information added by DrKonqi (6.27 KB, text/plain)
2012-10-15 08:39 UTC, misia.iris
Details
New crash information added by DrKonqi (7.26 KB, text/plain)
2012-10-27 17:16 UTC, mpc2
Details
New crash information added by DrKonqi (6.55 KB, text/plain)
2012-10-28 18:34 UTC, Daniel
Details
New crash information added by DrKonqi (7.53 KB, text/plain)
2012-11-01 21:15 UTC, luke clemens
Details
New crash information added by DrKonqi (7.52 KB, text/plain)
2012-11-14 06:38 UTC, Dmitriy
Details
New crash information added by DrKonqi (7.11 KB, text/plain)
2012-11-17 16:03 UTC, sunweb
Details
New crash information added by DrKonqi (9.37 KB, text/plain)
2012-11-22 13:18 UTC, IgorOhrimenko
Details
New crash information added by DrKonqi (7.25 KB, text/plain)
2013-01-03 06:51 UTC, FabiB
Details
New crash information added by DrKonqi (5.71 KB, text/plain)
2013-01-26 02:59 UTC, Chris McCray
Details
New crash information added by DrKonqi (6.08 KB, text/plain)
2013-02-09 09:16 UTC, Karim Yildirim
Details
New crash information added by DrKonqi (6.70 KB, text/plain)
2013-02-10 21:06 UTC, Don Hanneman
Details
New crash information added by DrKonqi (7.25 KB, text/plain)
2013-02-15 06:44 UTC, AdrsCR
Details
New crash information added by DrKonqi (7.24 KB, text/plain)
2013-03-02 22:40 UTC, Jeremy Roth
Details
New crash information added by DrKonqi (5.59 KB, text/plain)
2013-03-03 04:08 UTC, mandriva
Details
New crash information added by DrKonqi (6.25 KB, text/plain)
2013-03-10 04:24 UTC, Tom Li
Details
New crash information added by DrKonqi (14.06 KB, text/plain)
2013-03-13 09:34 UTC, dva.lider
Details
New crash information added by DrKonqi (14.33 KB, text/plain)
2013-03-15 10:02 UTC, dva.lider
Details
New crash information added by DrKonqi (6.31 KB, text/plain)
2013-03-20 12:33 UTC, Carlos R.
Details
New crash information added by DrKonqi (7.13 KB, text/plain)
2013-03-31 14:55 UTC, Eugene
Details
New crash information added by DrKonqi (13.64 KB, text/plain)
2013-03-31 15:18 UTC, dva.lider
Details
New crash information added by DrKonqi (6.03 KB, text/plain)
2013-04-02 21:30 UTC, Firas Hanife
Details
New crash information added by DrKonqi (4.06 KB, text/plain)
2013-04-07 09:54 UTC, Dmitry Korzhevin
Details
New crash information added by DrKonqi (4.62 KB, text/plain)
2013-04-11 14:41 UTC, shurforums
Details
New crash information added by DrKonqi (7.30 KB, text/plain)
2013-04-13 00:39 UTC, Eugene
Details
New crash information added by DrKonqi (5.64 KB, text/plain)
2013-04-16 09:36 UTC, timmachielbos
Details
New crash information added by DrKonqi (7.59 KB, text/plain)
2013-04-26 06:48 UTC, michal
Details
New crash information added by DrKonqi (7.27 KB, text/plain)
2013-04-29 12:48 UTC, Thibaut Renaux
Details
New crash information added by DrKonqi (8.48 KB, text/plain)
2013-04-30 01:01 UTC, Thomas Chong
Details
New crash information added by DrKonqi (6.73 KB, text/plain)
2013-05-07 19:52 UTC, Lans
Details
New crash information added by DrKonqi (7.60 KB, text/plain)
2013-05-11 06:34 UTC, jp.sorvisto
Details
New crash information added by DrKonqi (7.84 KB, text/plain)
2013-05-15 20:21 UTC, hondasan91
Details
New crash information added by DrKonqi (8.54 KB, text/plain)
2013-05-30 19:32 UTC, sbcontt
Details
New crash information added by DrKonqi (7.30 KB, text/plain)
2013-05-31 08:28 UTC, Alce
Details
New crash information added by DrKonqi (7.47 KB, text/plain)
2013-06-22 08:51 UTC, beautyisintheeyeofthebeholder1
Details
New crash information added by DrKonqi (8.04 KB, text/plain)
2013-07-26 23:29 UTC, Ashlar
Details
New crash information added by DrKonqi (7.80 KB, text/plain)
2013-07-28 05:57 UTC, segarcia1
Details
New crash information added by DrKonqi (7.73 KB, text/plain)
2013-08-01 05:28 UTC, James Grimes
Details
New crash information added by DrKonqi (7.56 KB, text/plain)
2013-08-20 20:11 UTC, vince
Details
New crash information added by DrKonqi (5.93 KB, text/plain)
2013-08-25 20:15 UTC, xandry
Details
New crash information added by DrKonqi (7.12 KB, text/plain)
2013-08-27 23:26 UTC, gaminster
Details
New crash information added by DrKonqi (7.79 KB, text/plain)
2013-09-01 05:49 UTC, Vegelen
Details
New crash information added by DrKonqi (5.91 KB, text/plain)
2013-09-04 18:16 UTC, bugtrackingkde
Details
New crash information added by DrKonqi (8.42 KB, text/plain)
2013-09-29 13:12 UTC, kde4
Details
New crash information added by DrKonqi (7.69 KB, text/plain)
2013-09-29 13:51 UTC, kde4
Details
New crash information added by DrKonqi (7.23 KB, text/plain)
2013-10-16 09:08 UTC, jacob.becker
Details
New crash information added by DrKonqi (9.86 KB, text/plain)
2013-11-10 21:59 UTC, ponchorat1968
Details
New crash information added by DrKonqi (7.68 KB, text/plain)
2013-11-11 08:26 UTC, Sergei
Details
New crash information added by DrKonqi (6.06 KB, text/plain)
2013-11-20 17:42 UTC, federicoponti
Details
New crash information added by DrKonqi (7.76 KB, text/plain)
2014-02-04 12:34 UTC, krishneuh
Details
New crash information added by DrKonqi (6.25 KB, text/plain)
2014-02-28 16:51 UTC, Roman
Details
New crash information added by DrKonqi (7.54 KB, text/plain)
2014-03-02 10:15 UTC, Ettore Atalan
Details
New crash information added by DrKonqi (6.24 KB, text/plain)
2014-03-18 21:57 UTC, prbrooks
Details
New crash information added by DrKonqi (6.92 KB, text/plain)
2014-03-28 10:15 UTC, Jeremy Richards
Details
New crash information added by DrKonqi (7.37 KB, text/plain)
2014-04-05 23:19 UTC, Momo
Details
New crash information added by DrKonqi (7.41 KB, text/plain)
2014-04-20 18:11 UTC, Denis
Details
New crash information added by DrKonqi (8.08 KB, text/plain)
2014-05-13 01:30 UTC, ponchorat1968
Details
New crash information added by DrKonqi (6.21 KB, text/plain)
2014-05-27 16:06 UTC, Евгений Цвигун
Details
New crash information (saved from DrKonqi crash) (6.95 KB, text/plain)
2014-07-21 22:04 UTC, acebulf
Details
New crash information added by DrKonqi (7.43 KB, text/plain)
2015-01-16 04:28 UTC, clay.p.adams
Details
New crash information added by DrKonqi (6.39 KB, text/plain)
2015-03-17 18:36 UTC, Thibaut Renaux
Details
New crash information added by DrKonqi (7.19 KB, text/plain)
2015-04-16 16:30 UTC, wintonian
Details
attachment-21694-0.html (8.46 KB, text/html)
2015-05-29 08:02 UTC, siris.spb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description james 2010-06-24 00:39:25 UTC
Application: kcmshell4 ()
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-22-generic-pae i686
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
Crashed when using k3b for the first time trying to set permissions on Kubuntu 10.04.

 -- Backtrace:
Application: KDE Control Module (kcmshell4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb786e930 (LWP 1914))]

Thread 2 (Thread 0xb51eab70 (LWP 1915)):
#0  0x009cae16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x008066fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x0080b825 in QTimerInfoList::updateCurrentTime (this=0xb48005b4) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0080b86a in QTimerInfoList::timerWait (this=0xb48005b4, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x00809818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb51ea0cc) at kernel/qeventdispatcher_glib.cpp:136
#5  0x008098a5 in timerSourcePrepare (source=0x0, timeout=0x9ceff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x09435aca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x09435ee9 in ?? () from /lib/libglib-2.0.so.0
#8  0x094364b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x0080960f in QEventDispatcherGlib::processEvents (this=0x9bf0de8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x007dc059 in QEventLoop::processEvents (this=0xb51ea290, flags=) at kernel/qeventloop.cpp:149
#11 0x007dc4aa in QEventLoop::exec (this=0xb51ea290, flags=...) at kernel/qeventloop.cpp:201
#12 0x006d85a8 in QThread::exec (this=0x9bf5200) at thread/qthread.cpp:487
#13 0x007bbc1b in QInotifyFileSystemWatcherEngine::run (this=0x9bf5200) at io/qfilesystemwatcher_inotify.cpp:248
#14 0x006db32e in QThreadPrivate::start (arg=0x9bf5200) at thread/qthread_unix.cpp:248
#15 0x0093d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x00aa8a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb786e930 (LWP 1914)):
[KCrash Handler]
#6  QMetaObject::activate (sender=0x9b24de8, m=0x6683e4, local_signal_index=0, argv=0xbf906998) at kernel/qobject.cpp:3242
#7  0x00562a09 in KCModule::changed (this=0x9b24de8, _t1=true) at ./kcmodule.moc:106
#8  0x08f22671 in K3bSetup::save (this=0x9b24de8) at /build/buildd/k3b-1.91.0~rc2/k3bsetup/k3bsetup.cpp:229
#9  0x00cc21da in KCModuleProxy::save (this=0x9b29918) at ../../kutils/kcmoduleproxy.cpp:279
#10 0x00cbd888 in KCMultiDialogPrivate::apply (this=0x9af0f00) at ../../kutils/kcmultidialog.cpp:250
#11 0x00cc02c3 in KCMultiDialog::qt_metacall (this=0x9af0e10, _c=QMetaObject::InvokeMetaMethod, _id=79, _a=0xbf906de8) at ./kcmultidialog.moc:95
#12 0x0014e00a in KCMShellMultiDialog::qt_metacall (this=0x9af0e10, _c=QMetaObject::InvokeMetaMethod, _id=79, _a=0xbf906de8) at ./main.moc:130
#13 0x007e2c9a in QMetaObject::metacall (object=0x9af0e10, cl=3079072188, idx=79, argv=0xbf906de8) at kernel/qmetaobject.cpp:237
#14 0x007f13d5 in QMetaObject::activate (sender=0x9b0fd98, m=0x66ae6c, local_signal_index=0, argv=0xbf906de8) at kernel/qobject.cpp:3293
#15 0x005a1c83 in KPushButton::authorized (this=0x9b0fd98, _t1=0x9c2a598) at ./kpushbutton.moc:129
#16 0x005a21ee in KPushButton::KPushButtonPrivate::slotClickedInternal (this=0x9b0e888) at ../../kdeui/widgets/kpushbutton.cpp:102
#17 0x005a2d86 in KPushButton::qt_metacall (this=0x9b0fd98, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbf906f38) at ./kpushbutton.moc:88
#18 0x007e2c9a in QMetaObject::metacall (object=0x9b0fd98, cl=3079072188, idx=44, argv=0xbf906f38) at kernel/qmetaobject.cpp:237
#19 0x007f13d5 in QMetaObject::activate (sender=0x9b0fd98, m=0x1a0e8c4, local_signal_index=2, argv=0xbf906f38) at kernel/qobject.cpp:3293
#20 0x017fe479 in QAbstractButton::clicked (this=0x9b0fd98, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#21 0x014ddea9 in QAbstractButtonPrivate::emitClicked (this=0x9b114b0) at widgets/qabstractbutton.cpp:546
#22 0x014decf4 in QAbstractButtonPrivate::click (this=0x9b114b0) at widgets/qabstractbutton.cpp:539
#23 0x014defae in QAbstractButton::mouseReleaseEvent (this=0x9b0fd98, e=0xbf907670) at widgets/qabstractbutton.cpp:1121
#24 0x011317f8 in QWidget::event (this=0x9b0fd98, event=0xbf907670) at kernel/qwidget.cpp:7998
#25 0x014ddd4e in QAbstractButton::event (this=0x9b0fd98, e=0x3) at widgets/qabstractbutton.cpp:1080
#26 0x015881f2 in QPushButton::event (this=0x9b0fd98, e=0xbf907670) at widgets/qpushbutton.cpp:679
#27 0x010d34dc in QApplicationPrivate::notify_helper (this=0x9a64008, receiver=0x9b0fd98, e=0xbf907670) at kernel/qapplication.cpp:4300
#28 0x010da9f7 in QApplication::notify (this=0xbf907f54, receiver=0x9b0fd98, e=0xbf907670) at kernel/qapplication.cpp:3865
#29 0x0049df2a in KApplication::notify (this=0xbf907f54, receiver=0x9b0fd98, event=0xbf907670) at ../../kdeui/kernel/kapplication.cpp:302
#30 0x007dda3b in QCoreApplication::notifyInternal (this=0xbf907f54, receiver=0x9b0fd98, event=0xbf907670) at kernel/qcoreapplication.cpp:704
#31 0x010d9952 in QCoreApplication::sendEvent (receiver=0x9b0fd98, event=0xbf907670, alienWidget=0x9b0fd98, nativeWidget=0x9af0e10, buttonDown=0x1a17058, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#32 QApplicationPrivate::sendMouseEvent (receiver=0x9b0fd98, event=0xbf907670, alienWidget=0x9b0fd98, nativeWidget=0x9af0e10, buttonDown=0x1a17058, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#33 0x01165088 in QETWidget::translateMouseEvent (this=0x9af0e10, event=0xbf907b8c) at kernel/qapplication_x11.cpp:4368
#34 0x01164511 in QApplication::x11ProcessEvent (this=0xbf907f54, event=0xbf907b8c) at kernel/qapplication_x11.cpp:3379
#35 0x0119360a in x11EventSourceDispatch (s=0x9a672a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#36 0x094325e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#37 0x094362d8 in ?? () from /lib/libglib-2.0.so.0
#38 0x094364b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#39 0x008095d5 in QEventDispatcherGlib::processEvents (this=0x9a4fb60, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#40 0x01193135 in QGuiEventDispatcherGlib::processEvents (this=0x9a4fb60, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#41 0x007dc059 in QEventLoop::processEvents (this=0xbf907e80, flags=) at kernel/qeventloop.cpp:149
#42 0x007dc4aa in QEventLoop::exec (this=0xbf907e80, flags=...) at kernel/qeventloop.cpp:201
#43 0x016124f3 in QDialog::exec (this=0x9af0e10) at dialogs/qdialog.cpp:546
#44 0x00150846 in kdemain (_argc=4, _argv=0xbf9081e4) at ../../kcmshell/main.cpp:272
#45 0x0804860b in main (argc=4, argv=0xbf9081e4) at kcmshell4_dummy.cpp:3

Reported using DrKonqi
Comment 1 Christoph Feck 2010-06-24 02:21:08 UTC
Ben, this crash is the same as we get in kcmclock when authorizing. The problem is that the module is closed in the nested event loop that is used for the authorization dialog. I talked to the KAuth maintainer (Dario Freddi) and he said that this needs to be solved on a systemsettings/kcmshell level, not in each module. Please pong me in irc if you have questions.
Comment 2 Ben Cooksley 2010-06-24 07:04:27 UTC
Accepting issue, although not sure how I can avoid this in System Settings though.
Comment 3 Christoph Feck 2010-07-07 04:15:54 UTC
*** Bug 205357 has been marked as a duplicate of this bug. ***
Comment 4 Christoph Feck 2010-07-07 04:16:45 UTC
*** Bug 226406 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2010-07-07 04:17:40 UTC
*** Bug 226711 has been marked as a duplicate of this bug. ***
Comment 6 Christoph Feck 2010-07-07 04:18:12 UTC
*** Bug 234563 has been marked as a duplicate of this bug. ***
Comment 7 Christoph Feck 2010-07-07 04:23:34 UTC
It is possible that some of the KPackageKit bugs (e.g. bug 231214) are duplicates, too.
Comment 8 Ben Cooksley 2010-07-07 04:41:20 UTC
@Dario: Can you please confirm if sufficient changes have been done to fix this?

I now ensure that KPushButton is informed that the module action longer exists before deleting modules, with the following:

d->mApply->setAuthAction( 0 );
Comment 9 Christoph Feck 2010-07-10 20:56:54 UTC
*** Bug 244119 has been marked as a duplicate of this bug. ***
Comment 10 Christoph Feck 2010-07-19 01:10:32 UTC
*** Bug 245066 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2010-07-20 22:12:45 UTC
*** Bug 245235 has been marked as a duplicate of this bug. ***
Comment 12 Jonathan Thomas 2010-07-24 03:33:47 UTC
*** Bug 245602 has been marked as a duplicate of this bug. ***
Comment 13 Christoph Feck 2010-08-03 00:25:14 UTC
*** Bug 246552 has been marked as a duplicate of this bug. ***
Comment 14 Christoph Feck 2010-08-05 22:57:21 UTC
*** Bug 246839 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2010-08-08 01:54:35 UTC
*** Bug 247008 has been marked as a duplicate of this bug. ***
Comment 16 Christoph Feck 2010-08-08 18:11:52 UTC
*** Bug 247074 has been marked as a duplicate of this bug. ***
Comment 17 Christoph Feck 2010-08-09 17:17:00 UTC
*** Bug 247153 has been marked as a duplicate of this bug. ***
Comment 18 Christoph Feck 2010-08-13 17:43:52 UTC
*** Bug 247660 has been marked as a duplicate of this bug. ***
Comment 19 Christoph Feck 2010-08-13 17:46:37 UTC
Description from bug 247660 exactly shows the problem:

"the window asking for the password is showing on the back, so I did not realize there was one... this allow me to click on Apply and Ok of the kcmshell window multiple times. this lead to the crash I am experiencing."

The password dialog must be modal if it runs its own event loop.
Comment 20 Dario Freddi 2010-08-13 18:08:14 UTC
Now, THIS makes sense. Thanks Christoph and thanks to who reported the exact description. I'll work on this while I'll be on holiday, expect this fixed for 4.5.1 though.

P.S.: The password dialog comes from a different process, so it can't be made modal (it will in the future though, with some further adjustments). However, the problem can be solved straight into the shell.
Comment 21 Christoph Feck 2010-08-16 02:06:11 UTC
*** Bug 247874 has been marked as a duplicate of this bug. ***
Comment 22 Steven Sroka 2010-08-16 02:23:58 UTC
Odd because, under openSUSE 11.3, I was trying to change the time zone and the password dialog, always (I believe always) appeared in the foreground. Though when I entered my password and clicked OK, the dialog box disappeared and no settings were changed.
Comment 23 Christoph Feck 2010-08-17 00:01:23 UTC
*** Bug 248097 has been marked as a duplicate of this bug. ***
Comment 24 Christoph Feck 2010-08-19 12:46:56 UTC
*** Bug 248317 has been marked as a duplicate of this bug. ***
Comment 25 Christoph Feck 2010-08-21 14:39:28 UTC
*** Bug 248564 has been marked as a duplicate of this bug. ***
Comment 26 Christoph Feck 2010-08-21 23:26:45 UTC
*** Bug 248625 has been marked as a duplicate of this bug. ***
Comment 27 Nicolas L. 2010-08-23 09:37:13 UTC
*** Bug 248764 has been marked as a duplicate of this bug. ***
Comment 28 Nicolas L. 2010-08-24 11:56:08 UTC
*** Bug 248883 has been marked as a duplicate of this bug. ***
Comment 29 Christoph Feck 2010-08-30 20:59:29 UTC
*** Bug 249535 has been marked as a duplicate of this bug. ***
Comment 30 Christoph Feck 2010-09-04 10:18:35 UTC
*** Bug 250141 has been marked as a duplicate of this bug. ***
Comment 31 Christoph Feck 2010-09-05 02:36:10 UTC
*** Bug 250228 has been marked as a duplicate of this bug. ***
Comment 32 Christoph Feck 2010-09-06 00:54:17 UTC
*** Bug 250250 has been marked as a duplicate of this bug. ***
Comment 33 Steven Sroka 2010-09-06 01:27:04 UTC
(In reply to comment #20)
> Now, THIS makes sense. Thanks Christoph and thanks to who reported the exact
> description. I'll work on this while I'll be on holiday, expect this fixed for
> 4.5.1 though.

Has this bug indeed been fixed in KDE 4.5.1?
Comment 34 Dario Freddi 2010-09-06 09:34:02 UTC
(In reply to comment #33)
> Has this bug indeed been fixed in KDE 4.5.1?

Unfortunately not yet, sorry. I have a patch ready but I need to solve a pair of caveats, but it won't be long before it will get in, and when it does, I'll surely advertise it in the bug.

I wish a single day had more than 24 hours :(
Comment 35 Christoph Feck 2010-09-09 20:34:43 UTC
*** Bug 250680 has been marked as a duplicate of this bug. ***
Comment 36 Christoph Feck 2010-09-14 14:21:05 UTC
*** Bug 251207 has been marked as a duplicate of this bug. ***
Comment 37 Dario Freddi 2010-09-15 15:05:57 UTC
Quick update on the issue, so you guys know I'm working on it.

I managed to have the dialog pop up correctly (this would require to update BOTH polkit-kde-1 and kdelibs), but I'm still having troubles in making it show as a modal dialog, so this bug can still be triggered, as the underlying window can still be closed or manipulated. I'm working with KWin guys to solve this issue asap.

Backporting this fix to 4.5 will be rather hard as it required some API additions, but I'm quite confident I'll find a way.
Comment 38 Christoph Feck 2010-09-16 00:19:04 UTC
Dario, if the modality problem cannot be solved, then you still have the option to add a new D-Bus message that forces the auth dialog to cancel. When the user closes system settings without entering a password, the password dialog would just go away.

You can see a similar behaviour in newest trunk on the "Device Actions" KCM: When you click the "Edit" button, the editor is no longer modal (because that caused issues with blocking e.g. Amarok). But going back to Overview in system settings closes that editor, without causing a crash.
Comment 39 Dario Freddi 2010-09-16 09:49:28 UTC
Thanks Christoph, I'll surely consider that. But before doing this, I want to be sure nothing can be done for making it modal. I'm waiting for Lubos to find out something right now, I'll keep you updated.
Comment 40 Andy 2010-09-16 12:02:53 UTC
Created attachment 51711 [details]
New crash information added by DrKonqi

Application crashed when I closed date and time settings while authorisation dialog was in background
Comment 41 Christoph Feck 2010-09-18 12:24:55 UTC
*** Bug 251629 has been marked as a duplicate of this bug. ***
Comment 42 Pino Toscano 2010-10-04 10:17:27 UTC
*** Bug 253199 has been marked as a duplicate of this bug. ***
Comment 43 Christoph Feck 2010-10-04 21:13:57 UTC
*** Bug 253259 has been marked as a duplicate of this bug. ***
Comment 44 Christoph Feck 2010-10-05 11:59:26 UTC
*** Bug 253297 has been marked as a duplicate of this bug. ***
Comment 45 Christoph Feck 2010-10-08 12:57:13 UTC
*** Bug 253574 has been marked as a duplicate of this bug. ***
Comment 46 Christoph Feck 2010-10-14 15:50:58 UTC
*** Bug 254145 has been marked as a duplicate of this bug. ***
Comment 47 Christoph Feck 2010-10-15 13:03:12 UTC
*** Bug 254242 has been marked as a duplicate of this bug. ***
Comment 48 Christoph Feck 2010-10-20 12:20:51 UTC
*** Bug 254720 has been marked as a duplicate of this bug. ***
Comment 49 Christoph Feck 2010-10-30 23:30:27 UTC
*** Bug 255702 has been marked as a duplicate of this bug. ***
Comment 50 Christoph Feck 2010-10-31 13:16:03 UTC
*** Bug 255727 has been marked as a duplicate of this bug. ***
Comment 51 Dario Freddi 2010-11-03 19:42:50 UTC
	A	 org.kde.Polkit1AuthAgent.xml	 [License: Trivialfile.]

commit fce2c34d46af6b4678caf70a81a9e90f3bf5f406
Author: Dario Freddi <drf@kde.org>
Date:   Tue Oct 26 19:42:50 2010 +0200

    CCBUG: 242648
    
    Add a new DBus interface to polkit agent to allow KAuth to explicitely set a parent window id.

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 40c0314..26c5cab 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -19,6 +19,8 @@ set(policykit_SRCS
     AuthDialog.cpp
 )
 
+qt4_add_dbus_adaptor(policykit_SRCS org.kde.Polkit1AuthAgent.xml policykitlistener.h PolicyKitListener)
+
 kde4_add_ui_files(policykit_SRCS AuthDialog.ui authdetails.ui)
 
 kde4_add_executable(polkit-kde-authentication-agent-1 ${policykit_SRCS})
diff --git a/org.kde.Polkit1AuthAgent.xml b/org.kde.Polkit1AuthAgent.xml
new file mode 100644
index 0000000..3e16368
--- /dev/null
+++ b/org.kde.Polkit1AuthAgent.xml
@@ -0,0 +1,10 @@
+<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
+"http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
+<node>
+    <interface name="org.kde.Polkit1AuthAgent">
+        <method name="handshakeForAction">
+            <arg type="s" direction="in" />
+            <arg type="t" direction="in" />
+        </method>
+    </interface>
+</node>
diff --git a/policykitlistener.cpp b/policykitlistener.cpp
index afbca53..3e43d3f 100644
--- a/policykitlistener.cpp
+++ b/policykitlistener.cpp
@@ -29,12 +29,25 @@
 #include <PolkitQt1/Subject>
 #include <PolkitQt1/Identity>
 #include <PolkitQt1/Details>
+#include <QtDBus/QDBusConnection>
+
+#include "polkit1authagentadaptor.h"
 
 PolicyKitListener::PolicyKitListener(QObject *parent)
         : Listener(parent)
         , m_inProgress(false)
         , m_selectedUser(0)
 {
+    (void) new Polkit1AuthAgentAdaptor(this);
+
+    if (!QDBusConnection::sessionBus().registerObject("/org/kde/Polkit1AuthAgent", this,
+                                                     QDBusConnection::ExportScriptableSlots |
+                                                     QDBusConnection::ExportScriptableProperties |
+                                                     QDBusConnection::ExportAdaptors)) {
+        kWarning() << "Could not initiate DBus helper!";
+    }
+
+    kDebug() << "Listener online";
 }
 
 PolicyKitListener::~PolicyKitListener()
diff --git a/policykitlistener.h b/policykitlistener.h
index f679a0a..103c3e5 100644
--- a/policykitlistener.h
+++ b/policykitlistener.h
@@ -32,6 +32,7 @@ using namespace PolkitQt1::Agent;
 class PolicyKitListener : public Listener
 {
     Q_OBJECT
+    Q_CLASSINFO("D-Bus Interface", "org.kde.Polkit1AuthAgent")
 public:
     PolicyKitListener(QObject *parent = 0);
     virtual ~PolicyKitListener();
Comment 52 Dario Freddi 2010-11-03 19:51:03 UTC
SVN commit 1192688 by dafre:

BUG:242648

 - Add a function to explicitely set a parent widget for the authentication dialog in KAuth::Action
 - In Polkit-1 backend, have the backend stream the parent to the authentication agent (polkit-kde >= 0.98.1 is required)
 - Make UI components in kdelibs set the parent widget correctly, so that 3rd party components using those are fixed for free

 M  +6 -0      kdecore/auth/AuthBackend.cpp  
 M  +3 -1      kdecore/auth/AuthBackend.h  
 M  +6 -1      kdecore/auth/ConfigureChecks.cmake  
 M  +48 -2     kdecore/auth/backends/polkit-1/Polkit1Backend.cpp  
 M  +1 -0      kdecore/auth/backends/polkit-1/Polkit1Backend.h  
 M  +42 -5     kdecore/auth/kauthaction.cpp  
 M  +37 -0     kdecore/auth/kauthaction.h  
 M  +4 -0      kdeui/actions/kaction.cpp  
 M  +1 -0      kdeui/widgets/kcmodule.cpp  
 M  +3 -4      kdeui/widgets/kcmodule.h  
 M  +4 -0      kdeui/widgets/kpushbutton.cpp  
 M  +4 -2      kutils/kcmultidialog.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1192688
Comment 53 Christoph Feck 2010-11-04 13:22:31 UTC
*** Bug 256018 has been marked as a duplicate of this bug. ***
Comment 54 Christoph Feck 2010-11-06 15:57:36 UTC
*** Bug 256233 has been marked as a duplicate of this bug. ***
Comment 55 Joshua McClelland 2010-11-08 03:33:52 UTC
Created attachment 53231 [details]
New crash information added by DrKonqi

Crash after adjusting time to automatic, day after fall time change.
Comment 56 Dario Freddi 2010-11-10 00:38:43 UTC
*** Bug 249219 has been marked as a duplicate of this bug. ***
Comment 57 Christoph Feck 2010-11-10 21:00:58 UTC
*** Bug 256491 has been marked as a duplicate of this bug. ***
Comment 58 Christoph Feck 2010-11-15 03:50:27 UTC
*** Bug 256949 has been marked as a duplicate of this bug. ***
Comment 59 Dario Andres 2010-11-17 13:23:53 UTC
*** Bug 257135 has been marked as a duplicate of this bug. ***
Comment 60 Christoph Feck 2010-11-24 23:06:20 UTC
*** Bug 257832 has been marked as a duplicate of this bug. ***
Comment 61 Brad Hubbard 2010-12-02 23:15:00 UTC
Created attachment 54013 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.1

- What I was doing when the application crashed:

Adjusting timezone, authorization dialog came up behind main window.

-- Backtrace (Reduced):
#7  0x0000003fe41721b5 in QObject::connect (sender=0xd5bdd0, signal=<value optimized out>, receiver=0x87bf40, method=0x7f50bdac2af9 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2520
#8  0x0000003fe4176a2a in QSingleShotTimer::QSingleShotTimer (this=0xd5bdd0, msec=5000, receiver=0x87bf40, member=0x7f50bdac2af8 "1load()") at kernel/qtimer.cpp:291
#9  0x0000003fe4176bae in QTimer::singleShot (msec=5000, receiver=0x87bf40, member=0x7f50bdac2af8 "1load()") at kernel/qtimer.cpp:354
#10 0x00007f50bdac0f27 in KclockModule::save (this=0x87bf40) at /usr/src/debug/kdebase-workspace-4.5.3/kcontrol/dateandtime/main.cpp:109
#11 0x0000003feb020d27 in KCModuleProxy::save (this=<value optimized out>) at /usr/src/debug/kdelibs-4.5.3/kutils/kcmoduleproxy.cpp:279
Comment 62 Pino Toscano 2010-12-11 11:33:03 UTC
*** Bug 259496 has been marked as a duplicate of this bug. ***
Comment 63 Bruno Friedmann 2011-01-09 11:38:47 UTC
Created attachment 55763 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.5.95 (4.6 RC2) using Qt 4.7.1

- What I was doing when the application crashed: Open clock plasmoid
set time in late ( to test sntp ) then push apply button, 
Kauth open requesting root privilege, but during that time I hit the ok button, so the time plasmoid close.
I wrote my root password, then the clock is change in background, but the crash occur.

Seems if that one was fixed, there's a regression, as I'm on 4.6-RC2

-- Backtrace (Reduced):
#6  0x00007f4af6fc5303 in QObject::connect (sender=0xa1b8b0, signal=<value optimized out>, receiver=0x7ca800, method=0x7f4adf56a5a9 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2520
#7  0x00007f4af6fc9d4a in QSingleShotTimer::QSingleShotTimer (this=0xa1b8b0, msec=5000, receiver=0x7ca800, member=0x7f4adf56a5a8 "1load()") at kernel/qtimer.cpp:291
#8  0x00007f4af6fc9ece in QTimer::singleShot (msec=5000, receiver=0x7ca800, member=0x7f4adf56a5a8 "1load()") at kernel/qtimer.cpp:354
#9  0x00007f4adf569366 in KclockModule::save (this=0x7ca800) at /usr/src/debug/kdebase-workspace-4.5.95/kcontrol/dateandtime/main.cpp:109
#10 0x00007f4ae5b7bbd7 in KCModuleProxy::save (this=<value optimized out>) at /usr/src/debug/kdelibs-4.5.95/kutils/kcmoduleproxy.cpp:279
Comment 64 Christoph Feck 2011-01-09 15:42:14 UTC
From the description in comment #63 it looks like the KAuth password dialog still is not modal. Reopening.
Comment 65 Christoph Feck 2011-01-11 02:29:38 UTC
*** Bug 262814 has been marked as a duplicate of this bug. ***
Comment 66 Christoph Feck 2011-01-16 05:29:22 UTC
*** Bug 263282 has been marked as a duplicate of this bug. ***
Comment 67 Christoph Feck 2011-01-20 03:24:51 UTC
*** Bug 263617 has been marked as a duplicate of this bug. ***
Comment 68 Christoph Feck 2011-01-25 20:49:43 UTC
*** Bug 264286 has been marked as a duplicate of this bug. ***
Comment 69 Christoph Feck 2011-01-26 13:24:23 UTC
*** Bug 264320 has been marked as a duplicate of this bug. ***
Comment 70 Christoph Feck 2011-01-27 01:29:40 UTC
*** Bug 264394 has been marked as a duplicate of this bug. ***
Comment 71 Christoph Feck 2011-02-03 00:14:28 UTC
*** Bug 265235 has been marked as a duplicate of this bug. ***
Comment 72 Christoph Feck 2011-02-04 15:48:15 UTC
*** Bug 265366 has been marked as a duplicate of this bug. ***
Comment 73 Dario Andres 2011-02-12 17:32:27 UTC
*** Bug 265807 has been marked as a duplicate of this bug. ***
Comment 74 Burak Aktas 2011-02-13 23:19:18 UTC
Created attachment 57231 [details]
New crash information added by DrKonqi

Same as  Bruno Friedmann
Crashed after I clicked applied time changes before I write my passwort.
I hope it help to solve.
Comment 75 Jim Bullock 2011-03-13 02:52:38 UTC
Created attachment 57913 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:

Attempting to set system time to fetch from NNTP,  from *within* digital clock widget installed in panel by default in OpenSuSE 11.4.

Crash reported as SEGFAULT, per main bug entry.

-- Backtrace (Reduced):
#8  0xb6f5400a in QObject::connect (sender=0x819dfc8, signal=0xb6ffcd62 "2timeout()", receiver=0x81d7e10, method=0xb00c4e90 "1load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2520
#9  0xb6f590ce in QSingleShotTimer::QSingleShotTimer (this=0x819dfc8, msec=5000, receiver=0x81d7e10, member=0xb00c4e90 "1load()") at kernel/qtimer.cpp:291
#10 0xb6f592ca in QTimer::singleShot (msec=5000, receiver=0x81d7e10, member=0xb00c4e90 "1load()") at kernel/qtimer.cpp:354
#11 0xb00c3c3d in KclockModule::save (this=0x81d7e10) at /usr/src/debug/kdebase-workspace-4.6.0/kcontrol/dateandtime/main.cpp:109
#12 0xb25fa7da in KCModuleProxy::save (this=0x822e9b8) at /usr/src/debug/kdelibs-4.6.0/kutils/kcmoduleproxy.cpp:279
Comment 76 Christoph Feck 2011-03-22 21:49:24 UTC
*** Bug 266709 has been marked as a duplicate of this bug. ***
Comment 77 Christoph Feck 2011-03-22 21:49:36 UTC
*** Bug 269167 has been marked as a duplicate of this bug. ***
Comment 78 Christoph Feck 2011-03-26 02:28:59 UTC
*** Bug 269422 has been marked as a duplicate of this bug. ***
Comment 79 Christoph Feck 2011-03-30 19:30:47 UTC
*** Bug 269517 has been marked as a duplicate of this bug. ***
Comment 80 Christoph Feck 2011-03-30 20:13:37 UTC
*** Bug 269586 has been marked as a duplicate of this bug. ***
Comment 81 Unknown 2011-04-04 08:57:09 UTC
Created attachment 58556 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

On KDE 4.6.1 this bug still occurs. I set the time to use NTP (automatic mode). After I had entered the password, it crashed.
Side note: although I could enter the password, the setting wasn't changed.

-- Backtrace (Reduced):
#7  0x00007f8765e4bbc5 in QObject::connect (sender=0xca4970, signal=<value optimized out>, receiver=0x8c4090, method=0x7f874e2675a9 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2526
#8  0x00007f8765e5060a in QSingleShotTimer::QSingleShotTimer (this=0xca4970, msec=5000, receiver=0x8c4090, member=0x7f874e2675a8 "1load()") at kernel/qtimer.cpp:291
#9  0x00007f8765e5078e in QTimer::singleShot (msec=5000, receiver=0x8c4090, member=0x7f874e2675a8 "1load()") at kernel/qtimer.cpp:354
[...]
#11 0x00007f875498c147 in KCModuleProxy::save (this=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kutils/kcmoduleproxy.cpp:279
#12 0x00007f8754991758 in KCMultiDialogPrivate::apply (this=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kutils/kcmultidialog.cpp:300
Comment 82 Unknown 2011-04-04 08:57:10 UTC
Created attachment 58557 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

On KDE 4.6.1 this bug still occurs. I set the time to use NTP (automatic mode). After I had entered the password, it crashed.
Side note: although I could enter the password, the setting wasn't changed.

-- Backtrace (Reduced):
#7  0x00007f8765e4bbc5 in QObject::connect (sender=0xca4970, signal=<value optimized out>, receiver=0x8c4090, method=0x7f874e2675a9 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2526
#8  0x00007f8765e5060a in QSingleShotTimer::QSingleShotTimer (this=0xca4970, msec=5000, receiver=0x8c4090, member=0x7f874e2675a8 "1load()") at kernel/qtimer.cpp:291
#9  0x00007f8765e5078e in QTimer::singleShot (msec=5000, receiver=0x8c4090, member=0x7f874e2675a8 "1load()") at kernel/qtimer.cpp:354
[...]
#11 0x00007f875498c147 in KCModuleProxy::save (this=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kutils/kcmoduleproxy.cpp:279
#12 0x00007f8754991758 in KCMultiDialogPrivate::apply (this=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kutils/kcmultidialog.cpp:300
Comment 83 Sebastián Ramírez 2011-04-05 01:42:45 UTC
Created attachment 58585 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.1

- What I was doing when the application crashed:
Fail to set time on Fedora 14 Kde 4.6 ( Kde module )

-- Backtrace (Reduced):
#8  0x03dd511d in QObject::connect (sender=0xa033460, signal=<value optimized out>, receiver=0xa050b28, method=0xd8623d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2520
#9  0x03dd9d9f in QSingleShotTimer::QSingleShotTimer (this=0xa033460, msec=5000, receiver=0xa050b28, member=0xd8623c "1load()") at kernel/qtimer.cpp:291
#10 0x03dd9f69 in QTimer::singleShot (msec=5000, receiver=0xa050b28, member=0xd8623c "1load()") at kernel/qtimer.cpp:354
#11 0x00d843d4 in KclockModule::save (this=0xa050b28) at /usr/src/debug/kdebase-workspace-4.6.1/kcontrol/dateandtime/main.cpp:109
#12 0x062b1a2a in KCModuleProxy::save (this=0xa0451c0) at /usr/src/debug/kdelibs-4.6.1/kutils/kcmoduleproxy.cpp:279
Comment 84 Christoph Feck 2011-04-07 01:36:48 UTC
*** Bug 270264 has been marked as a duplicate of this bug. ***
Comment 85 Christoph Feck 2011-04-08 03:35:27 UTC
*** Bug 270288 has been marked as a duplicate of this bug. ***
Comment 86 Christoph Feck 2011-04-29 18:39:27 UTC
*** Bug 271870 has been marked as a duplicate of this bug. ***
Comment 87 Christoph Feck 2011-04-29 18:40:05 UTC
*** Bug 271732 has been marked as a duplicate of this bug. ***
Comment 88 Christoph Feck 2011-04-29 18:45:08 UTC
*** Bug 271642 has been marked as a duplicate of this bug. ***
Comment 89 Christoph Feck 2011-05-02 21:01:37 UTC
*** Bug 271454 has been marked as a duplicate of this bug. ***
Comment 90 Christoph Feck 2011-05-02 21:18:39 UTC
*** Bug 272274 has been marked as a duplicate of this bug. ***
Comment 91 Christoph Feck 2011-05-05 16:00:51 UTC
*** Bug 272490 has been marked as a duplicate of this bug. ***
Comment 92 Christoph Feck 2011-05-07 16:51:03 UTC
*** Bug 272651 has been marked as a duplicate of this bug. ***
Comment 93 Christoph Feck 2011-05-08 12:16:32 UTC
*** Bug 272766 has been marked as a duplicate of this bug. ***
Comment 94 Christoph Feck 2011-05-10 01:46:07 UTC
*** Bug 272883 has been marked as a duplicate of this bug. ***
Comment 95 Christoph Feck 2011-05-14 13:47:52 UTC
*** Bug 266409 has been marked as a duplicate of this bug. ***
Comment 96 Christoph Feck 2011-05-14 15:46:40 UTC
*** Bug 273268 has been marked as a duplicate of this bug. ***
Comment 97 Christoph Feck 2011-05-17 09:15:59 UTC
*** Bug 273463 has been marked as a duplicate of this bug. ***
Comment 98 mihail.costea2005 2011-05-22 19:37:19 UTC
Created attachment 60218 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed: I tried to change the time in analog clock to internet time.

-- Backtrace (Reduced):
#7  0x00007f1e834e5a44 in QObject::connect (sender=0x216b220, signal=<value optimized out>, receiver=0x1985060, method=0x7f1e7444bb11 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#8  0x00007f1e834ea28a in QSingleShotTimer::QSingleShotTimer (this=0x216b220, msec=5000, receiver=0x1985060, member=0x7f1e7444bb10 "1load()") at kernel/qtimer.cpp:291
#9  0x00007f1e834ea40e in QTimer::singleShot (msec=5000, receiver=0x1985060, member=0x7f1e7444bb10 "1load()") at kernel/qtimer.cpp:354
#10 0x00007f1e74449f20 in KclockModule::save (this=0x1985060) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007f1e845c73e7 in KCModuleProxy::save (this=<value optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 99 Christoph Feck 2011-05-23 14:20:29 UTC
*** Bug 273956 has been marked as a duplicate of this bug. ***
Comment 100 Christoph Feck 2011-05-24 11:42:18 UTC
*** Bug 274014 has been marked as a duplicate of this bug. ***
Comment 101 Christoph Feck 2011-05-25 01:40:59 UTC
*** Bug 274067 has been marked as a duplicate of this bug. ***
Comment 102 Christoph Feck 2011-05-28 02:44:22 UTC
*** Bug 274238 has been marked as a duplicate of this bug. ***
Comment 103 Per Hallgren 2011-05-28 09:25:57 UTC
Created attachment 60406 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
Right click digital clock widget in default panel -> Adjust date & time -> Check "Set Date and time automatically" -> Click OK  => Crash!

-- Backtrace (Reduced):
#7  0x00007f37659cca44 in QObject::connect (sender=0x136a5f0, signal=<value optimized out>, receiver=0x13a0810, method=0x7f3756961b11 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#8  0x00007f37659d128a in QSingleShotTimer::QSingleShotTimer (this=0x136a5f0, msec=5000, receiver=0x13a0810, member=0x7f3756961b10 "1load()") at kernel/qtimer.cpp:291
#9  0x00007f37659d140e in QTimer::singleShot (msec=5000, receiver=0x13a0810, member=0x7f3756961b10 "1load()") at kernel/qtimer.cpp:354
#10 0x00007f375695ff20 in KclockModule::save (this=0x13a0810) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007f3766aae3e7 in KCModuleProxy::save (this=<value optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 104 Christoph Feck 2011-06-02 13:23:07 UTC
*** Bug 274737 has been marked as a duplicate of this bug. ***
Comment 105 Christoph Feck 2011-06-02 13:23:58 UTC
*** Bug 274744 has been marked as a duplicate of this bug. ***
Comment 106 marsu1 2011-06-05 16:55:24 UTC
Created attachment 60663 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.2

- What I was doing when the application crashed: I wanted to set up time and date using the pool.ntp.org server

- Custom settings of the application:

-- Backtrace (Reduced):
#7  0x00007fe6ed9c4a44 in QObject::connect (sender=0x1748e30, signal=<value optimized out>, receiver=0xf6f200, method=0x7fe6de861b11 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#8  0x00007fe6ed9c928a in QSingleShotTimer::QSingleShotTimer (this=0x1748e30, msec=5000, receiver=0xf6f200, member=0x7fe6de861b10 "1load()") at kernel/qtimer.cpp:291
#9  0x00007fe6ed9c940e in QTimer::singleShot (msec=5000, receiver=0xf6f200, member=0x7fe6de861b10 "1load()") at kernel/qtimer.cpp:354
#10 0x00007fe6de85ff20 in KclockModule::save (this=0xf6f200) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007fe6eeaa73e7 in KCModuleProxy::save (this=<value optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 107 Christoph Feck 2011-06-06 15:34:30 UTC
*** Bug 274779 has been marked as a duplicate of this bug. ***
Comment 108 Christoph Feck 2011-06-07 11:32:00 UTC
*** Bug 275097 has been marked as a duplicate of this bug. ***
Comment 109 Christoph Feck 2011-06-08 21:20:21 UTC
*** Bug 275228 has been marked as a duplicate of this bug. ***
Comment 110 MPqO 2011-06-12 14:35:12 UTC
Created attachment 60929 [details]
New crash information added by DrKonqi

systemsettings (1.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

I was trying to enable automatic NTP update from europe.pool.ntp.org

-- Backtrace (Reduced):
#7  0x00007f7916773a44 in QObject::connect (sender=0x1531240, signal=<value optimized out>, receiver=0xe50290, method=0x7f78fcc49b11 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#8  0x00007f791677828a in QSingleShotTimer::QSingleShotTimer (this=0x1531240, msec=5000, receiver=0xe50290, member=0x7f78fcc49b10 "1load()") at kernel/qtimer.cpp:291
#9  0x00007f791677840e in QTimer::singleShot (msec=5000, receiver=0xe50290, member=0x7f78fcc49b10 "1load()") at kernel/qtimer.cpp:354
#10 0x00007f78fcc47f20 in KclockModule::save (this=0xe50290) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007f791870a3e7 in KCModuleProxy::save (this=<value optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 111 Christoph Feck 2011-06-14 16:59:47 UTC
*** Bug 275628 has been marked as a duplicate of this bug. ***
Comment 112 Christoph Feck 2011-06-18 14:55:46 UTC
*** Bug 275941 has been marked as a duplicate of this bug. ***
Comment 113 Christoph Feck 2011-07-01 11:40:31 UTC
*** Bug 276869 has been marked as a duplicate of this bug. ***
Comment 114 Christoph Feck 2011-07-01 20:41:13 UTC
*** Bug 276919 has been marked as a duplicate of this bug. ***
Comment 115 Christoph Feck 2011-07-03 01:34:51 UTC
*** Bug 276972 has been marked as a duplicate of this bug. ***
Comment 116 Christoph Feck 2011-07-18 12:07:55 UTC
*** Bug 277998 has been marked as a duplicate of this bug. ***
Comment 117 Christoph Feck 2011-07-22 11:46:23 UTC
*** Bug 278249 has been marked as a duplicate of this bug. ***
Comment 118 Dyrver Eriksson 2011-07-22 15:14:40 UTC
(In reply to comment #34)
> 
> I wish a single day had more than 24 hours :(

You and me both! how about doing it the sensible way, can you patch in some 32 hour days that won't affect working hours raising? :D
Comment 119 David Boling 2011-07-25 04:33:07 UTC
Created attachment 62168 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.3

- What I was doing when the application crashed:

I was trying to set the time to northamerica-ntp.org time server, had authorized as root, and clicked Apply when the crash occurred.

-- Backtrace (Reduced):
#7  0x0000003bed96dc42 in QObject::connect (sender=0x13c6270, signal=<optimized out>, receiver=0xeca9d0, method=0x7f1fa2756119 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2526
#8  0x0000003bed974f5a in QSingleShotTimer::QSingleShotTimer (this=0x13c6270, msec=5000, receiver=0xeca9d0, member=0x7f1fa2756118 "1load()") at kernel/qtimer.cpp:291
#9  0x0000003bed9750de in QTimer::singleShot (msec=5000, receiver=0xeca9d0, member=0x7f1fa2756118 "1load()") at kernel/qtimer.cpp:354
[...]
#11 0x0000003c47621407 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.6.5/kutils/kcmoduleproxy.cpp:279
#12 0x0000003c4761e440 in KCMultiDialogPrivate::apply (this=<optimized out>) at /usr/src/debug/kdelibs-4.6.5/kutils/kcmultidialog.cpp:300
Comment 120 Christoph Feck 2011-08-07 00:57:03 UTC
*** Bug 279541 has been marked as a duplicate of this bug. ***
Comment 121 Oleg Andreych 2011-08-08 19:33:08 UTC
Created attachment 62678 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

I've just turned on NTP in date and time settings. Then cklicked Apply.

-- Backtrace (Reduced):
#8  0x00ebf88d in QObject::connect (sender=0x9a7c010, signal=<value optimized out>, receiver=0x95b2410, method=0x6398f79 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#9  0x00ec446e in QSingleShotTimer::QSingleShotTimer (this=0x9a7c010, msec=5000, receiver=0x95b2410, member=0x6398f78 "1load()") at kernel/qtimer.cpp:291
#10 0x00ec4639 in QTimer::singleShot (msec=5000, receiver=0x95b2410, member=0x6398f78 "1load()") at kernel/qtimer.cpp:354
#11 0x063971ef in KclockModule::save (this=0x95b2410) at ../../../kcontrol/dateandtime/main.cpp:109
#12 0x007bd92a in KCModuleProxy::save (this=0x95aaf28) at ../../kutils/kcmoduleproxy.cpp:279
Comment 122 Ulrich Lichtenegger 2011-08-10 16:05:49 UTC
Created attachment 62729 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.2

- What I was doing when the application crashed:

tried to set timezone and timeserver, error message was something like unable to get proper permissions for setting that or something like that.

-- Backtrace (Reduced):
#7  0x00007f1e1acce800 in QAbstractButton::setChecked (this=0x1769450, checked=false) at widgets/qabstractbutton.cpp:739
[...]
#10 0x00007f1e1c63a527 in KCModuleProxy::save (this=<value optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#11 0x00007f1e1c6375b8 in KCMultiDialogPrivate::apply (this=<value optimized out>) at ../../kutils/kcmultidialog.cpp:300
#12 0x00007f1e1c63876c in KCMultiDialog::qt_metacall (this=0x156d150, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff3152f0c0) at ./kcmultidialog.moc:95
#13 0x00007f1e1cbf2500 in KCMShellMultiDialog::qt_metacall (this=0x156d150, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff3152f0c0) at ./main.moc:130
Comment 123 Admc 2011-08-20 23:08:42 UTC
Created attachment 63018 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.2

- What I was doing when the application crashed:
I tried to set date automatically using public ntp server
- Unusual behavior I noticed:
Timezone switched from Europe/Warsaw to UTC

-- Backtrace (Reduced):
#8  0x00f4788d in QObject::connect (sender=0x9ec7ca0, signal=<value optimized out>, receiver=0xa017fd0, method=0x3a541b9 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#9  0x00f4c46e in QSingleShotTimer::QSingleShotTimer (this=0x9ec7ca0, msec=5000, receiver=0xa017fd0, member=0x3a541b8 "1load()") at kernel/qtimer.cpp:291
#10 0x00f4c639 in QTimer::singleShot (msec=5000, receiver=0xa017fd0, member=0x3a541b8 "1load()") at kernel/qtimer.cpp:354
[...]
#12 0x008af0aa in KCModuleProxy::save (this=0x9ef18d8) at ../../kutils/kcmoduleproxy.cpp:279
#13 0x008abd88 in KCMultiDialogPrivate::apply (this=0x9ed0698) at ../../kutils/kcmultidialog.cpp:300
Comment 124 Diogo 2011-08-21 18:26:25 UTC
Created attachment 63026 [details]
New crash information added by DrKonqi

systemsettings (1.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

Select automatic date and time settings.

-- Backtrace (Reduced):
#7  0x0080088b in QObject::connect (sender=0x991f9f8, signal=<value optimized out>, receiver=0xa03ad98, method=0x5129f79 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#8  0x0080546e in QSingleShotTimer::QSingleShotTimer (this=0x991f9f8, msec=5000, receiver=0xa03ad98, member=0x5129f78 "1load()") at kernel/qtimer.cpp:291
#9  0x00805639 in QTimer::singleShot (msec=5000, receiver=0xa03ad98, member=0x5129f78 "1load()") at kernel/qtimer.cpp:354
#10 0x051281ef in KclockModule::save (this=0xa03ad98) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x004ce92a in KCModuleProxy::save (this=0x9e08940) at ../../kutils/kcmoduleproxy.cpp:279
Comment 125 subcoolent 2011-09-04 21:43:54 UTC
Created attachment 63380 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I had just attempted to adjust the time settings on the of the liveUSB. Once i had confirmed the settings, the window crashed.

-- Backtrace (Reduced):
#7  0x0077a88b in QObject::connect (sender=0xa4c7d88, signal=<value optimized out>, receiver=0xa03d200, method=0x9e2df79 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#8  0x0077f46e in QSingleShotTimer::QSingleShotTimer (this=0xa4c7d88, msec=5000, receiver=0xa03d200, member=0x9e2df78 "1load()") at kernel/qtimer.cpp:291
#9  0x0077f639 in QTimer::singleShot (msec=5000, receiver=0xa03d200, member=0x9e2df78 "1load()") at kernel/qtimer.cpp:354
[...]
#11 0x0022c92a in KCModuleProxy::save (this=0x9ff8908) at ../../kutils/kcmoduleproxy.cpp:279
#12 0x00229668 in KCMultiDialogPrivate::apply (this=0x9fede18) at ../../kutils/kcmultidialog.cpp:300
Comment 126 Nicolas L. 2011-10-12 23:31:09 UTC
*** Bug 283790 has been marked as a duplicate of this bug. ***
Comment 127 Daniel Bengtsson 2011-10-16 10:57:44 UTC
Crash also in KDE 4.7.1.
Comment 128 Christoph Feck 2011-10-17 00:28:37 UTC
*** Bug 284203 has been marked as a duplicate of this bug. ***
Comment 129 Christoph Feck 2011-10-18 09:15:57 UTC
*** Bug 284315 has been marked as a duplicate of this bug. ***
Comment 130 Simon Andric 2011-10-20 02:47:56 UTC
Created attachment 64721 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed: tried to change date/time in kubuntu 11.10

-- Backtrace (Reduced):
#8  0x0112f9ba in QObject::connect (sender=0x92a2250, signal=0x11d877a "2timeout()", receiver=0x8f06330, method=0x487ba10 "1load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2526
#9  0x0113630e in QSingleShotTimer::QSingleShotTimer (this=0x92a2250, msec=5000, receiver=0x8f06330, member=0x487ba10 "1load()") at kernel/qtimer.cpp:291
#10 0x0113650a in QTimer::singleShot (msec=5000, receiver=0x8f06330, member=0x487ba10 "1load()") at kernel/qtimer.cpp:354
#11 0x04879bd0 in KclockModule::save (this=0x8f06330) at ../../../kcontrol/dateandtime/main.cpp:109
#12 0x00eac6ea in KCModuleProxy::save (this=0x8ef3d80) at ../../kutils/kcmoduleproxy.cpp:279
Comment 131 Rafael 2011-10-22 00:38:37 UTC
Created attachment 64775 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:
Changing settings of time/zone
- Unusual behavior I noticed:
After change the  settings time/zone i click in apply. Nothing annormal. When i click in OK button, the bug occur. 
- Custom settings of the application:
After update kubuntu 11.04 to oneiric 11.10 this always occurs

-- Backtrace (Reduced):
#8  0x011429ba in QObject::connect (sender=0x9b6d830, signal=0x11eb77a "2timeout()", receiver=0x95a0fd8, method=0x3917a10 "1load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2526
#9  0x0114930e in QSingleShotTimer::QSingleShotTimer (this=0x9b6d830, msec=5000, receiver=0x95a0fd8, member=0x3917a10 "1load()") at kernel/qtimer.cpp:291
#10 0x0114950a in QTimer::singleShot (msec=5000, receiver=0x95a0fd8, member=0x3917a10 "1load()") at kernel/qtimer.cpp:354
[...]
#12 0x001b76ea in KCModuleProxy::save (this=0x946cc68) at ../../kutils/kcmoduleproxy.cpp:279
#13 0x001b3fd8 in KCMultiDialogPrivate::apply (this=0x94511d8) at ../../kutils/kcmultidialog.cpp:300
Comment 132 Dennis 2011-10-22 07:59:03 UTC
Created attachment 64781 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:
Change time zone & clock settings. Crash when 'Apply'
- Custom settings of the application:

-- Backtrace (Reduced):
#8  0xb6ca39ba in QObject::connect (sender=0xafb02030, signal=0xb6d4c77a "2timeout()", receiver=0x9471ab8, method=0xb3cb5a10 "1load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2526
#9  0xb6caa30e in QSingleShotTimer::QSingleShotTimer (this=0xafb02030, msec=5000, receiver=0x9471ab8, member=0xb3cb5a10 "1load()") at kernel/qtimer.cpp:291
#10 0xb6caa50a in QTimer::singleShot (msec=5000, receiver=0x9471ab8, member=0xb3cb5a10 "1load()") at kernel/qtimer.cpp:354
#11 0xb3cb3bd0 in KclockModule::save (this=0x9471ab8) at ../../../kcontrol/dateandtime/main.cpp:109
#12 0xb755e6ea in KCModuleProxy::save (this=0x944ab48) at ../../kutils/kcmoduleproxy.cpp:279
Comment 133 max_simple 2011-10-26 15:21:36 UTC
Created attachment 64888 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

Hi brothers I was updating time and Crashed it

-- Backtrace (Reduced):
#7  length (this=0x94) at ../../include/QtCore/../../src/corelib/tools/qstring.h:700
#8  replaceArgEscapes (s=<optimized out>, d=..., field_width=0, arg=..., larg=..., fillChar=...) at tools/qstring.cpp:6367
#9  0x010a149b in QString::arg (this=0xbf87cf18, a=..., fieldWidth=0, fillChar=...) at tools/qstring.cpp:6487
#10 0x00e96db6 in KLocalizedString::subs (this=0xbf87cf98, a=..., fieldWidth=0, fillChar=...) at ../../kdecore/localization/klocalizedstring.cpp:908
#11 0x07f93416 in i18n<QString> (a1=..., text=0x7f9a1ac "Unable to contact time server: %1.") at /usr/include/klocalizedstring.h:645
Comment 134 max_simple 2011-10-26 15:21:36 UTC
Created attachment 64889 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

Hi brothers I was updating time and Crashed it

-- Backtrace (Reduced):
#7  length (this=0x94) at ../../include/QtCore/../../src/corelib/tools/qstring.h:700
#8  replaceArgEscapes (s=<optimized out>, d=..., field_width=0, arg=..., larg=..., fillChar=...) at tools/qstring.cpp:6367
#9  0x010a149b in QString::arg (this=0xbf87cf18, a=..., fieldWidth=0, fillChar=...) at tools/qstring.cpp:6487
#10 0x00e96db6 in KLocalizedString::subs (this=0xbf87cf98, a=..., fieldWidth=0, fillChar=...) at ../../kdecore/localization/klocalizedstring.cpp:908
#11 0x07f93416 in i18n<QString> (a1=..., text=0x7f9a1ac "Unable to contact time server: %1.") at /usr/include/klocalizedstring.h:645
Comment 135 max_simple 2011-10-26 15:21:36 UTC
Created attachment 64890 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

Hi brothers I was updating time and Crashed it

-- Backtrace (Reduced):
#7  length (this=0x94) at ../../include/QtCore/../../src/corelib/tools/qstring.h:700
#8  replaceArgEscapes (s=<optimized out>, d=..., field_width=0, arg=..., larg=..., fillChar=...) at tools/qstring.cpp:6367
#9  0x010a149b in QString::arg (this=0xbf87cf18, a=..., fieldWidth=0, fillChar=...) at tools/qstring.cpp:6487
#10 0x00e96db6 in KLocalizedString::subs (this=0xbf87cf98, a=..., fieldWidth=0, fillChar=...) at ../../kdecore/localization/klocalizedstring.cpp:908
#11 0x07f93416 in i18n<QString> (a1=..., text=0x7f9a1ac "Unable to contact time server: %1.") at /usr/include/klocalizedstring.h:645
Comment 136 max_simple 2011-10-26 15:21:36 UTC
Created attachment 64891 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

Hi brothers I was updating time and Crashed it

-- Backtrace (Reduced):
#7  length (this=0x94) at ../../include/QtCore/../../src/corelib/tools/qstring.h:700
#8  replaceArgEscapes (s=<optimized out>, d=..., field_width=0, arg=..., larg=..., fillChar=...) at tools/qstring.cpp:6367
#9  0x010a149b in QString::arg (this=0xbf87cf18, a=..., fieldWidth=0, fillChar=...) at tools/qstring.cpp:6487
#10 0x00e96db6 in KLocalizedString::subs (this=0xbf87cf98, a=..., fieldWidth=0, fillChar=...) at ../../kdecore/localization/klocalizedstring.cpp:908
#11 0x07f93416 in i18n<QString> (a1=..., text=0x7f9a1ac "Unable to contact time server: %1.") at /usr/include/klocalizedstring.h:645
Comment 137 max_simple 2011-10-26 15:21:37 UTC
Created attachment 64892 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

Hi brothers I was updating time and Crashed it

-- Backtrace (Reduced):
#7  length (this=0x94) at ../../include/QtCore/../../src/corelib/tools/qstring.h:700
#8  replaceArgEscapes (s=<optimized out>, d=..., field_width=0, arg=..., larg=..., fillChar=...) at tools/qstring.cpp:6367
#9  0x010a149b in QString::arg (this=0xbf87cf18, a=..., fieldWidth=0, fillChar=...) at tools/qstring.cpp:6487
#10 0x00e96db6 in KLocalizedString::subs (this=0xbf87cf98, a=..., fieldWidth=0, fillChar=...) at ../../kdecore/localization/klocalizedstring.cpp:908
#11 0x07f93416 in i18n<QString> (a1=..., text=0x7f9a1ac "Unable to contact time server: %1.") at /usr/include/klocalizedstring.h:645
Comment 138 Sergejus 2011-11-24 01:26:10 UTC
Created attachment 66010 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Updates the time manually and set the auto update ON -> pressed apply, then pressed ok -> KDE control module crashed...

-- Backtrace (Reduced):
#7  0x00007f27ec1d2d62 in QObject::connect (sender=0x2fa6d10, signal=<optimized out>, receiver=0x270d530, method=0x7f27de1d7311 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2526
#8  0x00007f27ec1d9eba in QSingleShotTimer::QSingleShotTimer (this=0x2fa6d10, msec=5000, receiver=0x270d530, member=0x7f27de1d7310 "1load()") at kernel/qtimer.cpp:291
#9  0x00007f27ec1da03e in QTimer::singleShot (msec=5000, receiver=0x270d530, member=0x7f27de1d7310 "1load()") at kernel/qtimer.cpp:354
#10 0x00007f27de1d5730 in KclockModule::save (this=0x270d530) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007f27ed2be887 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 139 pepa 2011-11-26 17:58:32 UTC
Created attachment 66100 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.4

úprava času a datumu. Při výběru automatického serveru naskočí chyba 6

-- Backtrace (Reduced):
#6  0x00007fb53bb55685 in QWidget::effectiveWinId() const () from /usr/lib64/libQtGui.so.4
#7  0x00007fb53d358e9f in KMessageBox::error(QWidget*, QString const&, QString const&, QFlags<KMessageBox::Option>) () from /usr/lib64/libkdeui.so.5
#8  0x00007fb52cf8064f in KclockModule::save (this=0x26dc2f0) at /usr/src/debug/kdebase-workspace-4.6.5/kcontrol/dateandtime/main.cpp:98
#9  0x00007fb53d82e4b7 in KCModuleProxy::save() () from /usr/lib64/libkcmutils.so.4
[...]
#11 0x00007fb53d82c73c in KCMultiDialog::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkcmutils.so.4
Comment 140 Myriam Schweingruber 2011-11-30 13:14:41 UTC
*** Bug 287590 has been marked as a duplicate of this bug. ***
Comment 141 Myriam Schweingruber 2011-11-30 13:15:53 UTC
*** Bug 287717 has been marked as a duplicate of this bug. ***
Comment 142 Thijs 2011-12-11 14:12:46 UTC
*** Bug 288701 has been marked as a duplicate of this bug. ***
Comment 143 Thijs 2011-12-12 11:20:27 UTC
*** Bug 288737 has been marked as a duplicate of this bug. ***
Comment 144 Lamarque V. Souza 2011-12-16 22:11:31 UTC
*** Bug 289035 has been marked as a duplicate of this bug. ***
Comment 145 jonespl42 2011-12-21 16:36:23 UTC
Created attachment 66990 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

I was trying to change the ntp server.  KDE asked for authentication, I entered the password and the application crashed.

-- Backtrace (Reduced):
#6  QObject::connect (sender=0xb7d570, signal=<optimized out>, receiver=0x8965b0, method=0x7f627e0f8c08 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#7  0x00007f62947ab59a in QSingleShotTimer::QSingleShotTimer (this=0xb7d570, msec=5000, receiver=0x8965b0, member=0x7f627e0f8c07 "1load()") at kernel/qtimer.cpp:291
#8  0x00007f62947ab71e in QTimer::singleShot (msec=5000, receiver=0x8965b0, member=0x7f627e0f8c07 "1load()") at kernel/qtimer.cpp:354
#9  0x00007f627e0f7050 in KclockModule::save (this=0x8965b0) at /usr/src/debug/kde-workspace-4.7.2/kcontrol/dateandtime/main.cpp:109
#10 0x00007f62830eaec7 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.7.2/kutils/kcmoduleproxy.cpp:279
Comment 146 Christopher 2012-01-17 15:32:35 UTC
Created attachment 67927 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.4 (4.7.4) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:
trying to adjust the time-server
The system has gone to sleep a few times over the past few days and I note that resume seems to break quite a raft of apps.

-- Backtrace (Reduced):
#6  0xb6d816b0 in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () from /usr/lib/libQtCore.so.4
[...]
#8  0xb6d8820a in QTimer::singleShot(int, QObject*, char const*) () from /usr/lib/libQtCore.so.4
[...]
#10 0xb286ddba in KCModuleProxy::save (this=0x81b3560) at /usr/src/debug/kdelibs-4.7.4/kutils/kcmoduleproxy.cpp:279
#11 0xb286a698 in KCMultiDialogPrivate::apply (this=0x81b0970) at /usr/src/debug/kdelibs-4.7.4/kutils/kcmultidialog.cpp:300
#12 0xb286ba1c in KCMultiDialog::qt_metacall (this=0x81a8180, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf8a0068) at /usr/src/debug/kdelibs-4.7.4/build/kutils/kcmultidialog.moc:95
Comment 147 Evg 2012-01-19 05:55:53 UTC
Created attachment 67988 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
changed system time and zone to new one, than crash

-- Backtrace (Reduced):
#7  0x00007f24293add62 in QObject::connect (sender=0x2615070, signal=<optimized out>, receiver=0x1cd47c0, method=0x7f241b3be311 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2526
#8  0x00007f24293b4eba in QSingleShotTimer::QSingleShotTimer (this=0x2615070, msec=5000, receiver=0x1cd47c0, member=0x7f241b3be310 "1load()") at kernel/qtimer.cpp:291
#9  0x00007f24293b503e in QTimer::singleShot (msec=5000, receiver=0x1cd47c0, member=0x7f241b3be310 "1load()") at kernel/qtimer.cpp:354
#10 0x00007f241b3bc730 in KclockModule::save (this=0x1cd47c0) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007f242a499887 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 148 Jekyll Wu 2012-01-26 21:59:44 UTC
*** Bug 292507 has been marked as a duplicate of this bug. ***
Comment 149 DeMus 2012-01-29 04:38:22 UTC
Created attachment 68286 [details]
New crash information added by DrKonqi

systemsettings (1.0) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

In System Settings I enabled the Europe time server to handle my computer's clock. At that moment the system crashed.

-- Backtrace (Reduced):
#7  0x00007fcec0ad6d62 in QObject::connect (sender=0x28ae890, signal=<optimized out>, receiver=0x26a5f80, method=0x7fceacf61311 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2526
#8  0x00007fcec0addeba in QSingleShotTimer::QSingleShotTimer (this=0x28ae890, msec=5000, receiver=0x26a5f80, member=0x7fceacf61310 "1load()") at kernel/qtimer.cpp:291
#9  0x00007fcec0ade03e in QTimer::singleShot (msec=5000, receiver=0x26a5f80, member=0x7fceacf61310 "1load()") at kernel/qtimer.cpp:354
#10 0x00007fceacf5f730 in KclockModule::save (this=0x26a5f80) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007fcec2ab8917 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 150 Guus 2012-02-12 12:39:43 UTC
I have a consistent problem with SELinux authorizations. As I dont want to create unnecessary work, could you guys have a look and see if this should be a new bug?

The system runs Fedora 16 (updated). I was setting the ntp-server.
I added a screenprint where you can see:
1. (left) system settings trying to set ntp server.
2. (right) an overview of the subsequent SELinux errors I get.

The error occurs the second I press the apply button.

Every step of the way, I do the authorization thing that SELInux advises, but every time a new error pops up:

<quote>
[root@athene ~]# grep kcmdatetimehelp /var/log/audit/audit.log | audit2allow -M mypol
******************** IMPORTANT ***********************
To make this policy package active, execute:

semodule -i mypol.pp

[root@athene ~]# semodule -i mypol.pp
</quote>

Let me know whether I should create a new bug description or not (obviously including the trace information).

Guus.
Comment 151 Guus 2012-02-12 12:47:51 UTC
Created attachment 68727 [details]
a screenprint showing the relevant information about the kcmdatetimehelper avc error

see previous description in bug.
Comment 152 Andreas Hencke 2012-02-21 23:21:36 UTC
Created attachment 68992 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.2

- What I was doing when the application crashed:
I tried to set the correct time-settings when the crash report appeared, it happend everytime I tried it. Changing the time settings via systemsettings didn't work, nothing happened, no crash no changing, nothing.

-- Backtrace (Reduced):
#8  0xb6f3f88d in QObject::connect (sender=0x8c726a8, signal=<value optimized out>, receiver=0x8a7de80, method=0xb3e001b9 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#9  0xb6f4446e in QSingleShotTimer::QSingleShotTimer (this=0x8c726a8, msec=5000, receiver=0x8a7de80, member=0xb3e001b8 "1load()") at kernel/qtimer.cpp:291
#10 0xb6f44639 in QTimer::singleShot (msec=5000, receiver=0x8a7de80, member=0xb3e001b8 "1load()") at kernel/qtimer.cpp:354
#11 0xb3dfe42f in KclockModule::save (this=0x8a7de80) at ../../../kcontrol/dateandtime/main.cpp:109
#12 0xb77180aa in KCModuleProxy::save (this=0x8989580) at ../../kutils/kcmoduleproxy.cpp:279
Comment 153 Jekyll Wu 2012-02-27 19:59:24 UTC
*** Bug 294947 has been marked as a duplicate of this bug. ***
Comment 154 Jekyll Wu 2012-02-28 22:35:45 UTC
*** Bug 295027 has been marked as a duplicate of this bug. ***
Comment 155 Christian Bonami 2012-03-19 15:51:34 UTC
Created attachment 69735 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Note that I am behind an authenticated proxy

-- Backtrace (Reduced):
#6  0x00007fc5cecd988a in QAbstractButton::setChecked (this=0x154e380, checked=false) at widgets/qabstractbutton.cpp:739
#7  0x00007fc5c1825969 in Dtime::processHelperErrors (this=0x155ac50, code=4) at ../../../kcontrol/dateandtime/dtime.cpp:276
#8  0x00007fc5c182a90b in KclockModule::save (this=0x154a600) at ../../../kcontrol/dateandtime/main.cpp:100
#9  0x00007fc5d0671917 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#10 0x00007fc5d066e788 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
Comment 156 Jekyll Wu 2012-03-29 14:56:48 UTC
*** Bug 295166 has been marked as a duplicate of this bug. ***
Comment 157 Jekyll Wu 2012-03-29 14:57:23 UTC
*** Bug 297040 has been marked as a duplicate of this bug. ***
Comment 158 Jekyll Wu 2012-04-01 16:16:34 UTC
*** Bug 297248 has been marked as a duplicate of this bug. ***
Comment 159 Isaias 2012-05-03 09:46:00 UTC
Created attachment 70824 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:

Changing time in the digital clock on Kubuntu Panel

-- Backtrace (Reduced):
#7  0x00007f7b9c914bf2 in QObject::connect (sender=0x1d70770, signal=<optimized out>, receiver=0x13d54a0, method=0x7f7b8cd973f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007f7b9c91c95a in QSingleShotTimer::QSingleShotTimer (this=0x1d70770, msec=5000, receiver=0x13d54a0, member=0x7f7b8cd973f0 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f7b9c91cb0e in QTimer::singleShot (msec=5000, receiver=0x13d54a0, member=0x7f7b8cd973f0 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f7b8cd95840 in KclockModule::save (this=0x13d54a0) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007f7b9da2e997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 160 Jekyll Wu 2012-05-27 15:16:30 UTC
*** Bug 300710 has been marked as a duplicate of this bug. ***
Comment 161 Jekyll Wu 2012-06-08 01:20:09 UTC
*** Bug 301413 has been marked as a duplicate of this bug. ***
Comment 162 Jekyll Wu 2012-06-09 23:32:42 UTC
*** Bug 301481 has been marked as a duplicate of this bug. ***
Comment 163 Jekyll Wu 2012-06-13 11:04:13 UTC
*** Bug 301806 has been marked as a duplicate of this bug. ***
Comment 164 Jekyll Wu 2012-06-13 11:09:58 UTC
*** Bug 301731 has been marked as a duplicate of this bug. ***
Comment 165 Jekyll Wu 2012-06-14 06:59:19 UTC
*** Bug 301875 has been marked as a duplicate of this bug. ***
Comment 166 Daniel 2012-06-20 12:07:58 UTC
Created attachment 71981 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed:
Changing the system's clock settings,when the application crashed.
- Unusual behavior I noticed:
Apply button was lit,but not clickable.
- Custom settings of the application:
Time was not set on automatic update through NTP server.

-- Backtrace (Reduced):
#6  QObject::connect (sender=0x1edf0e0, signal=<optimized out>, receiver=0x22463a0, method=0x7ffdf98ab3f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#7  0x00007ffe0901695a in QSingleShotTimer::QSingleShotTimer (this=0x1edf0e0, msec=5000, receiver=0x22463a0, member=0x7ffdf98ab3f0 "1load()") at kernel/qtimer.cpp:300
#8  0x00007ffe09016b0e in QTimer::singleShot (msec=5000, receiver=0x22463a0, member=0x7ffdf98ab3f0 "1load()") at kernel/qtimer.cpp:363
#9  0x00007ffdf98a9840 in KclockModule::save (this=0x22463a0) at ../../../kcontrol/dateandtime/main.cpp:109
#10 0x00007ffe0a129997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 167 George R. Goffe 2012-06-21 05:40:55 UTC
This bug is huge... I just updated this bug by removing myself from the CC list... then I had to go all the way to the bottom to save the changes... It wasted 0.01 seconds of my life. Maybe someone could add a save changes button at the top of this URL?

George...
Comment 168 Sandeep 2012-07-23 04:05:12 UTC
Created attachment 72694 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:

Trying to enable the option to automatically retrieve date and time from an NTP server. The crash dialog said that authentication failed.

-- Backtrace (Reduced):
#7  0x00007fe5b7e43bf2 in QObject::connect (sender=0x17893a0, signal=<optimized out>, receiver=0x12fff10, method=0x7fe5a850f3f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007fe5b7e4b95a in QSingleShotTimer::QSingleShotTimer (this=0x17893a0, msec=5000, receiver=0x12fff10, member=0x7fe5a850f3f0 "1load()") at kernel/qtimer.cpp:300
#9  0x00007fe5b7e4bb0e in QTimer::singleShot (msec=5000, receiver=0x12fff10, member=0x7fe5a850f3f0 "1load()") at kernel/qtimer.cpp:363
#10 0x00007fe5a850d840 in KclockModule::save (this=0x12fff10) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007fe5b8f65997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 169 Christoph Feck 2012-07-23 21:32:13 UTC
*** Bug 302428 has been marked as a duplicate of this bug. ***
Comment 170 Jekyll Wu 2012-07-25 05:39:34 UTC
*** Bug 304034 has been marked as a duplicate of this bug. ***
Comment 171 Jekyll Wu 2012-07-31 16:44:22 UTC
*** Bug 304344 has been marked as a duplicate of this bug. ***
Comment 172 Steve Day 2012-08-01 21:27:26 UTC
Created attachment 72880 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:
Setting up (verifying and applying) NTP automatic time settings in KDE clock.

- Unusual behavior I noticed:
Though I had previously setup NTP in KDE clock, it was not setting the correct time.

-- Backtrace (Reduced):
#7  0x00007f324179f452 in QObject::connect (sender=0xbb88c0, signal=<optimized out>, receiver=0x84bb40, method=0x7f322ae54c08 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2535
#8  0x00007f32417a65aa in QSingleShotTimer::QSingleShotTimer (this=0xbb88c0, msec=5000, receiver=0x84bb40, member=0x7f322ae54c07 "1load()") at kernel/qtimer.cpp:291
#9  0x00007f32417a672e in QTimer::singleShot (msec=5000, receiver=0x84bb40, member=0x7f322ae54c07 "1load()") at kernel/qtimer.cpp:354
#10 0x00007f322ae53050 in KclockModule::save (this=0x84bb40) at /usr/src/debug/kde-workspace-4.7.2/kcontrol/dateandtime/main.cpp:109
#11 0x00007f322fe4bec7 in KCModuleProxy::save() () from /usr/lib64/libkcmutils.so.4
Comment 173 Ivan D Vasin 2012-08-02 15:49:32 UTC
Created attachment 72905 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.00 using Qt 4.8.1

i have a workaround and a backtrace from KDE 4.9.0, Qt 4.8.1.

- What I was doing when the application crashed:

1. right-click the digital clock panel widget.
2. click "Adjust Date and Time...".
3. click "Set date and time automatically:".
4. click Apply.
5. click OK.

actual results:
1. after step 4, there is a delay of about 8 s during which the "Date and Time" tab's UI widgets are disabled, as is the Apply button.  to reproduce this bug, it is necessary to click OK before the widgets are re-enabled.
2. after step 5, i receive an error dialog with the message,
    Unable to authenticate/execute the action: 6, 
3. at the end of the delay mentioned in step 1, the KCM crashes.

expected results:
either one of the following, in order of preference:
* after step 4, the settings are applied with no delay.  after step 5, there is no error dialog and no crash.
* after step 4, the application of the settings is handed off to an independent background process .  there is no perceivable delay.  after step 5, there is no error dialog and no crash.
* after step 4, the OK button is disabled as well as the Apply button.  if the KCM is closed before the delay expires, its closing is delayed accordingly.  after step 5, there is no error dialog and no crash.

workaround:
make sure to click Apply rather than OK to apply the settings.  after that, wait about 8 s for the UI widgets to be re-enabled.  then click OK.

-- Backtrace (Reduced):
#7  0x00007f00253debf2 in QObject::connect (sender=0x2437870, signal=<optimized out>, receiver=0x1ddedc0, method=0x7f0015a223f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007f00253e695a in QSingleShotTimer::QSingleShotTimer (this=0x2437870, msec=5000, receiver=0x1ddedc0, member=0x7f0015a223f0 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f00253e6b0e in QTimer::singleShot (msec=5000, receiver=0x1ddedc0, member=0x7f0015a223f0 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f0015a20840 in KclockModule::save (this=0x1ddedc0) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007f00264ff997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 174 Jekyll Wu 2012-08-16 02:27:51 UTC
*** Bug 305229 has been marked as a duplicate of this bug. ***
Comment 175 Jekyll Wu 2012-08-17 10:46:34 UTC
*** Bug 305317 has been marked as a duplicate of this bug. ***
Comment 176 blackredprince 2012-08-22 12:53:59 UTC
Created attachment 73383 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.00 using Qt 4.8.1

- What I was doing when the application crashed:
simple want to change date, but its  crashed

-- Backtrace (Reduced):
#6  QObject::connect (sender=0x23cb200, signal=<optimized out>, receiver=0x1c09640, method=0x7fb913ef53f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#7  0x00007fb9237c495a in QSingleShotTimer::QSingleShotTimer (this=0x23cb200, msec=5000, receiver=0x1c09640, member=0x7fb913ef53f0 "1load()") at kernel/qtimer.cpp:300
#8  0x00007fb9237c4b0e in QTimer::singleShot (msec=5000, receiver=0x1c09640, member=0x7fb913ef53f0 "1load()") at kernel/qtimer.cpp:363
#9  0x00007fb913ef3840 in KclockModule::save (this=0x1c09640) at ../../../kcontrol/dateandtime/main.cpp:109
#10 0x00007fb9248dd997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 177 Mebuntu 2012-08-23 19:05:01 UTC
Created attachment 73421 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:
setting date and time to automatic update results in crash

-- Backtrace (Reduced):
#7  0x00007f7491e91bf2 in QObject::connect (sender=0x2b1a9a0, signal=<optimized out>, receiver=0x24bbed0, method=0x7f748255b3f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007f7491e9995a in QSingleShotTimer::QSingleShotTimer (this=0x2b1a9a0, msec=5000, receiver=0x24bbed0, member=0x7f748255b3f0 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f7491e99b0e in QTimer::singleShot (msec=5000, receiver=0x24bbed0, member=0x7f748255b3f0 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f7482559840 in KclockModule::save (this=0x24bbed0) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007f7492fb1997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 178 Jekyll Wu 2012-08-27 09:47:54 UTC
*** Bug 305856 has been marked as a duplicate of this bug. ***
Comment 179 Jekyll Wu 2012-09-01 15:29:52 UTC
*** Bug 306135 has been marked as a duplicate of this bug. ***
Comment 180 Jekyll Wu 2012-09-05 01:34:53 UTC
*** Bug 306271 has been marked as a duplicate of this bug. ***
Comment 181 Jekyll Wu 2012-09-06 09:59:16 UTC
*** Bug 306329 has been marked as a duplicate of this bug. ***
Comment 182 Jekyll Wu 2012-09-07 02:08:15 UTC
*** Bug 306375 has been marked as a duplicate of this bug. ***
Comment 183 Jekyll Wu 2012-09-08 11:56:10 UTC
*** Bug 306445 has been marked as a duplicate of this bug. ***
Comment 184 Jekyll Wu 2012-09-13 19:00:42 UTC
*** Bug 306756 has been marked as a duplicate of this bug. ***
Comment 185 zhanglide 2012-09-15 12:24:53 UTC
Created attachment 73935 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.4 (4.8.4) "release 2" using Qt 4.8.1

- What I was doing when the application crashed:
I want to choose a NTP,and I click "Apply",but then the software is crash.
- Custom settings of the application:

-- Backtrace (Reduced):
#6  0x00007ffd7ba22a83 in QObject::connect (sender=0xc371b0, signal=0x7ffd7badeac4 "timeout()", receiver=0x942a80, method=0x7ffd641d04e8 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2597
#7  0x00007ffd7ba2685a in QSingleShotTimer::QSingleShotTimer (this=0xc371b0, msec=5000, receiver=0x942a80, member=0x7ffd641d04e7 "1load()") at kernel/qtimer.cpp:300
#8  0x00007ffd7ba26a06 in QTimer::singleShot (msec=5000, receiver=0x942a80, member=0x7ffd641d04e7 "1load()") at kernel/qtimer.cpp:363
[...]
#10 0x00007ffd6e412b07 in KCModuleProxy::save() () from /usr/lib64/libkcmutils.so.4
[...]
#13 0x00007ffd7c86839f in KPushButton::authorized(KAuth::Action*) () from /usr/lib64/libkdeui.so.5
Comment 186 Jekyll Wu 2012-09-15 22:59:34 UTC
*** Bug 306864 has been marked as a duplicate of this bug. ***
Comment 187 Jekyll Wu 2012-09-21 08:25:18 UTC
*** Bug 307142 has been marked as a duplicate of this bug. ***
Comment 188 Jekyll Wu 2012-09-25 12:15:58 UTC
*** Bug 307377 has been marked as a duplicate of this bug. ***
Comment 189 Jekyll Wu 2012-09-28 16:07:57 UTC
*** Bug 307538 has been marked as a duplicate of this bug. ***
Comment 190 Mikel 2012-09-30 14:23:34 UTC
Created attachment 74245 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

I was setting my time -- actually changing my timezone as GMT was being displayed -- when I was greeted with the error.

-- Backtrace (Reduced):
#6  QObject::connect (sender=0x1653080, signal=<optimized out>, receiver=0xbf4c50, method=0x7f96ec6063f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#7  0x00007f96fbeb795a in QSingleShotTimer::QSingleShotTimer (this=0x1653080, msec=5000, receiver=0xbf4c50, member=0x7f96ec6063f0 "1load()") at kernel/qtimer.cpp:300
#8  0x00007f96fbeb7b0e in QTimer::singleShot (msec=5000, receiver=0xbf4c50, member=0x7f96ec6063f0 "1load()") at kernel/qtimer.cpp:363
#9  0x00007f96ec604840 in KclockModule::save (this=0xbf4c50) at ../../../kcontrol/dateandtime/main.cpp:109
#10 0x00007f96fcfcf997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 191 Nikos Alexiou 2012-10-02 20:11:31 UTC
Created attachment 74305 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.1 "release 561" using Qt 4.8.3

- What I was doing when the application crashed:

i was correcting the time on the clock when it crashed

-- Backtrace (Reduced):
#6  0x00007fb501dd5ec3 in QObject::connect (sender=0x2dda5f0, signal=0x7fb501e91e64 "timeout()", receiver=0x2889640, method=0x7fb4e8fae4e8 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2597
#7  0x00007fb501dd9bfa in QSingleShotTimer::QSingleShotTimer (this=0x2dda5f0, msec=5000, receiver=0x2889640, member=0x7fb4e8fae4e7 "1load()") at kernel/qtimer.cpp:300
#8  0x00007fb501dd9da6 in QTimer::singleShot (msec=5000, receiver=0x2889640, member=0x7fb4e8fae4e7 "1load()") at kernel/qtimer.cpp:363
[...]
#10 0x00007fb4f4c23b07 in KCModuleProxy::save() () from /usr/lib64/libkcmutils.so.4
[...]
#13 0x00007fb502c1c30f in KPushButton::authorized(KAuth::Action*) () from /usr/lib64/libkdeui.so.5
Comment 192 Oleg Atamanenko 2012-10-10 15:05:16 UTC
Created attachment 74460 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.2 using Qt 4.8.2

- What I was doing when the application crashed: 
I changed timezone setting (set to automatically change my date and time) and clicked apply button.

-- Backtrace (Reduced):
#6  QObject::connect (sender=0x11a99f0, signal=<optimized out>, receiver=0x9d1350, method=0x7f2a62a4e6cd "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#7  0x00007f2a72265e3a in QSingleShotTimer::QSingleShotTimer (this=0x11a99f0, msec=5000, receiver=0x9d1350, member=0x7f2a62a4e6cc "1load()") at kernel/qtimer.cpp:300
#8  0x00007f2a72265fee in QTimer::singleShot (msec=5000, receiver=0x9d1350, member=0x7f2a62a4e6cc "1load()") at kernel/qtimer.cpp:363
#9  0x00007f2a62a4cbb7 in KclockModule::save (this=0x9d1350) at ../../../kcontrol/dateandtime/main.cpp:113
#10 0x00007f2a7337f997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 193 atrunzo61 2012-10-11 10:20:48 UTC
Created attachment 74474 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) "release 2" using Qt 4.8.1

- What I was doing when the application crashed: starting up the system. always 5 hours off from actual time.

-- Backtrace (Reduced):
#7  0x00007f467d284a83 in QObject::connect (sender=0x27ce650, signal=0x7f467d340ac4 "timeout()", receiver=0x23953e0, method=0x7f46663774e8 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2597
#8  0x00007f467d28885a in QSingleShotTimer::QSingleShotTimer (this=0x27ce650, msec=5000, receiver=0x23953e0, member=0x7f46663774e7 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f467d288a06 in QTimer::singleShot (msec=5000, receiver=0x23953e0, member=0x7f46663774e7 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f4666375946 in KclockModule::save (this=0x23953e0) at /usr/src/debug/kde-workspace-4.8.5/kcontrol/dateandtime/main.cpp:109
#11 0x00007f46701c2b07 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kutils/kcmoduleproxy.cpp:279
Comment 194 misia.iris 2012-10-15 08:39:10 UTC
Created attachment 74555 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) "release 2" using Qt 4.8.1

- What I was doing when the application crashed:

setting time cause every time i turn on there is 2 hours later time then it should be no matter what is set

-- Backtrace (Reduced):
#7  0xb62cb901 in internalWinId (this=<optimized out>) at ../../src/gui/kernel/qwidget.h:241
#8  QWidget::effectiveWinId (this=0x8aa9720) at kernel/qwidget.cpp:2609
#9  0xb747b9ec in KMessageBox::error (parent=0x8aa9720, text=..., caption=..., options=...) at /usr/src/debug/kdelibs-4.8.5/kdeui/dialogs/kmessagebox.cpp:821
#10 0xb0ae7073 in KclockModule::save (this=0x8aa9720) at /usr/src/debug/kde-workspace-4.8.5/kcontrol/dateandtime/main.cpp:98
#11 0xb295478a in KCModuleProxy::save (this=0x8a6da40) at /usr/src/debug/kdelibs-4.8.5/kutils/kcmoduleproxy.cpp:279
Comment 195 Jekyll Wu 2012-10-24 11:37:32 UTC
*** Bug 308922 has been marked as a duplicate of this bug. ***
Comment 196 Jekyll Wu 2012-10-26 10:19:00 UTC
*** Bug 309032 has been marked as a duplicate of this bug. ***
Comment 197 mpc2 2012-10-27 17:16:31 UTC
Created attachment 74834 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

Setting the time to automaticly adjust with time server

-- Backtrace (Reduced):
#7  QObject::connect (sender=0x91e8b80, signal=0x6299735 "2timeout()", receiver=0x8c222b0, method=0x29b8ad0 "1load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x061da5ee in QSingleShotTimer::QSingleShotTimer (this=0x91e8b80, msec=5000, receiver=0x8c222b0, member=0x29b8ad0 "1load()") at kernel/qtimer.cpp:300
#9  0x061da81a in QTimer::singleShot (msec=5000, receiver=0x8c222b0, member=0x29b8ad0 "1load()") at kernel/qtimer.cpp:363
#10 0x029b6cc0 in KclockModule::save (this=0x8c222b0) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x005796fa in KCModuleProxy::save (this=0x8bfa3a8) at ../../kutils/kcmoduleproxy.cpp:279
Comment 198 Christoph Feck 2012-10-28 14:46:44 UTC
*** Bug 309137 has been marked as a duplicate of this bug. ***
Comment 199 Daniel 2012-10-28 18:34:48 UTC
Created attachment 74855 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.2 using Qt 4.8.2

Changing time between automatic updates and manual

-- Backtrace (Reduced):
#7  0x000000398878f693 in QObject::connect (sender=0x2464600, signal=0x398884b0c4 "timeout()", receiver=0x1f72910, method=0x7f8d028e1ead "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00000039887933da in QSingleShotTimer::QSingleShotTimer (this=0x2464600, msec=5000, receiver=0x1f72910, member=0x7f8d028e1eac "1load()") at kernel/qtimer.cpp:300
#9  0x0000003988793586 in QTimer::singleShot (msec=5000, receiver=0x1f72910, member=0x7f8d028e1eac "1load()") at kernel/qtimer.cpp:363
#10 0x00007f8d028e0416 in KclockModule::save (this=0x1f72910) at /usr/src/debug/kde-workspace-4.9.2/kcontrol/dateandtime/main.cpp:113
#11 0x000000399c021497 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.9.2/kutils/kcmoduleproxy.cpp:279
Comment 200 e1.0harvey 2012-10-28 19:22:14 UTC
Hello,

Could you please remove me from this CC list.

Thank you,
Evan

On Sat, 2012-10-27 at 17:16 +0000, mpc2@hotmail.co.uk wrote:
> https://bugs.kde.org/show_bug.cgi?id=242648
> 
> --- Comment #197 from mpc2@hotmail.co.uk ---
> Created attachment 74834 [details]
>   --> https://bugs.kde.org/attachment.cgi?id=74834&action=edit
> New crash information added by DrKonqi
> 
> kcmshell4 () on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1
> 
> - What I was doing when the application crashed:
> 
> Setting the time to automaticly adjust with time server
> 
> -- Backtrace (Reduced):
> #7  QObject::connect (sender=0x91e8b80, signal=0x6299735 "2timeout()",
> receiver=0x8c222b0, method=0x29b8ad0 "1load()", type=Qt::AutoConnection) at
> kernel/qobject.cpp:2588
> #8  0x061da5ee in QSingleShotTimer::QSingleShotTimer (this=0x91e8b80,
> msec=5000, receiver=0x8c222b0, member=0x29b8ad0 "1load()") at
> kernel/qtimer.cpp:300
> #9  0x061da81a in QTimer::singleShot (msec=5000, receiver=0x8c222b0,
> member=0x29b8ad0 "1load()") at kernel/qtimer.cpp:363
> #10 0x029b6cc0 in KclockModule::save (this=0x8c222b0) at
> ../../../kcontrol/dateandtime/main.cpp:109
> #11 0x005796fa in KCModuleProxy::save (this=0x8bfa3a8) at
> ../../kutils/kcmoduleproxy.cpp:279
>
Comment 201 luke clemens 2012-11-01 21:15:57 UTC
Created attachment 74922 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.2 using Qt 4.8.3

- What I was doing when the application crashed:

Kubuntu 12.10 on 11/01/2012.

right click on the date/time widget on the bottom menu. Select "Adjust date and time". check "Set date and time automatically". press "Apply".  This crashes every time. When you open it up again, "Set date and time automatically" remains unchecked.

-- Backtrace (Reduced):
#8  0xb6c66c49 in QObject::connect (sender=0x928dd58, signal=0x4 <Address 0x4 out of bounds>, receiver=0x8f9a038, method=0xb266358c "1load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#9  0xb6c6af68 in QSingleShotTimer::QSingleShotTimer (this=0x928dd58, msec=5000, receiver=0x8f9a038, member=0xb266358c "1load()") at kernel/qtimer.cpp:300
#10 0xb6c6b190 in QTimer::singleShot (msec=5000, receiver=0x8f9a038, member=0xb266358c "1load()") at kernel/qtimer.cpp:363
[...]
#12 0xb75480ea in KCModuleProxy::save (this=0x8fb0a78) at ../../kutils/kcmoduleproxy.cpp:279
#13 0xb7545558 in KCMultiDialogPrivate::apply (this=0x8f96c60) at ../../kutils/kcmultidialog.cpp:300
Comment 202 Jekyll Wu 2012-11-02 23:16:15 UTC
*** Bug 309435 has been marked as a duplicate of this bug. ***
Comment 203 Jekyll Wu 2012-11-06 08:49:58 UTC
*** Bug 309633 has been marked as a duplicate of this bug. ***
Comment 204 Jekyll Wu 2012-11-06 17:05:54 UTC
*** Bug 309664 has been marked as a duplicate of this bug. ***
Comment 205 Dmitriy 2012-11-14 06:38:16 UTC
Created attachment 75237 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.2 using Qt 4.8.3

- What I was doing when the application crashed:
When I was trying to enable auto time and date and press OK button it crashes. Anyway this option haven't been enabled. Even when it's not crashing it's unable to turn this option on.
- Unusual behavior I noticed:

- Custom settings of the application:

-- Backtrace (Reduced):
#7  0x00007fbdfdaffe13 in QObject::connect (sender=0x28fa180, signal=0x7fbdfdbbb904 "timeout()", receiver=0x26590a0, method=0x7fbdedf28e2d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007fbdfdb03b4a in QSingleShotTimer::QSingleShotTimer (this=0x28fa180, msec=5000, receiver=0x26590a0, member=0x7fbdedf28e2c "1load()") at kernel/qtimer.cpp:300
#9  0x00007fbdfdb03cf6 in QTimer::singleShot (msec=5000, receiver=0x26590a0, member=0x7fbdedf28e2c "1load()") at kernel/qtimer.cpp:363
#10 0x00007fbdedf273d6 in KclockModule::save (this=0x26590a0) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007fbdfebdd4a7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 206 sunweb 2012-11-17 16:03:41 UTC
Created attachment 75315 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.3 using Qt 4.8.3

- What I was doing when the application crashed:
Adjusting automatic update of time and date. Didn't work though.

-- Backtrace (Reduced):
#6  0x00007f2b69154e11 in QObject::connect (sender=0x2d1c4b0, signal=0x7f2b69210904 "timeout()", receiver=0x2743fb0, method=0x7f2b592e6e2d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#7  0x00007f2b69158b4a in QSingleShotTimer::QSingleShotTimer (this=0x2d1c4b0, msec=5000, receiver=0x2743fb0, member=0x7f2b592e6e2c "1load()") at kernel/qtimer.cpp:300
#8  0x00007f2b69158cf6 in QTimer::singleShot (msec=5000, receiver=0x2743fb0, member=0x7f2b592e6e2c "1load()") at kernel/qtimer.cpp:363
#9  0x00007f2b592e53d6 in KclockModule::save (this=0x2743fb0) at ../../../kcontrol/dateandtime/main.cpp:113
#10 0x00007f2b6a2324a7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 207 Jekyll Wu 2012-11-19 23:47:17 UTC
*** Bug 310386 has been marked as a duplicate of this bug. ***
Comment 208 Jekyll Wu 2012-11-19 23:47:35 UTC
*** Bug 310367 has been marked as a duplicate of this bug. ***
Comment 209 IgorOhrimenko 2012-11-22 13:18:27 UTC
Created attachment 75406 [details]
New crash information added by DrKonqi

systemsettings (1.0) on KDE Platform 4.9.2 using Qt 4.8.3

- What I was doing when the application crashed:

Зашел в Дата и Время, нажал кнопку "Устанавливать дату и время автоматически" нажал "Применить" два раза, после второго появляется сообщение об ошибке и нажал кнопку "Назад". Или можно не нажимая "Применить" сразу назад, появится предложение о приминении выбранных действий, два раза нажимаю "Применить" появляется окно с ошибкой и вылет.
Went to the date and time by clicking the "Set date and time automatically" clicked "Apply" button twice, after the second error message and hit the "Back" button. Or, you can not press "Apply" right back, you are prompted for the Selection of application, twice hit the "Apply" button, a window with an error and crash.

-- Backtrace (Reduced):
#8  0xb6050c49 in QObject::connect (sender=0xb59bd70, signal=0x4 <Address 0x4 out of bounds>, receiver=0xae54a20, method=0xa941858c "1load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#9  0xb6054f68 in QSingleShotTimer::QSingleShotTimer (this=0xb59bd70, msec=5000, receiver=0xae54a20, member=0xa941858c "1load()") at kernel/qtimer.cpp:300
#10 0xb6055190 in QTimer::singleShot (msec=5000, receiver=0xae54a20, member=0xa941858c "1load()") at kernel/qtimer.cpp:363
#11 0xa941697c in KclockModule::save (this=0xae54a20) at ../../../kcontrol/dateandtime/main.cpp:113
#12 0xb74190ea in KCModuleProxy::save (this=0xb071f98) at ../../kutils/kcmoduleproxy.cpp:279
Comment 210 Jekyll Wu 2012-11-29 17:22:06 UTC
*** Bug 310882 has been marked as a duplicate of this bug. ***
Comment 211 Jekyll Wu 2012-12-09 20:38:58 UTC
*** Bug 311429 has been marked as a duplicate of this bug. ***
Comment 212 Jekyll Wu 2012-12-10 00:14:01 UTC
*** Bug 311444 has been marked as a duplicate of this bug. ***
Comment 213 Jekyll Wu 2012-12-20 11:26:45 UTC
*** Bug 311980 has been marked as a duplicate of this bug. ***
Comment 214 Jekyll Wu 2012-12-26 13:57:12 UTC
*** Bug 312218 has been marked as a duplicate of this bug. ***
Comment 215 FabiB 2013-01-03 06:51:33 UTC
Created attachment 76153 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.95 using Qt 4.8.3

- What I was doing when the application crashed:
try to set timeinfo > could not be set > crash
- Unusual behavior I noticed:
its always impossible to set a timeserver

-- Backtrace (Reduced):
#6  0x00007fdf3a997e11 in QObject::connect (sender=0x104ed00, signal=0x7fdf3aa53904 "timeout()", receiver=0x1099e90, method=0x7fdf2aeade2d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#7  0x00007fdf3a99bb4a in QSingleShotTimer::QSingleShotTimer (this=0x104ed00, msec=5000, receiver=0x1099e90, member=0x7fdf2aeade2c "1load()") at kernel/qtimer.cpp:300
#8  0x00007fdf3a99bcf6 in QTimer::singleShot (msec=5000, receiver=0x1099e90, member=0x7fdf2aeade2c "1load()") at kernel/qtimer.cpp:363
#9  0x00007fdf2aeac3d6 in KclockModule::save (this=0x1099e90) at ../../../kcontrol/dateandtime/main.cpp:113
#10 0x00007fdf3ba764a7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 216 Jekyll Wu 2013-01-06 22:54:55 UTC
*** Bug 312778 has been marked as a duplicate of this bug. ***
Comment 217 Jekyll Wu 2013-01-11 21:25:31 UTC
*** Bug 313101 has been marked as a duplicate of this bug. ***
Comment 218 Jekyll Wu 2013-01-15 14:09:20 UTC
*** Bug 313272 has been marked as a duplicate of this bug. ***
Comment 219 Jekyll Wu 2013-01-15 17:47:13 UTC
*** Bug 313312 has been marked as a duplicate of this bug. ***
Comment 220 m.wege 2013-01-15 18:07:18 UTC
This bug is quite old and continuously has new duplicate crashes. Is this component unmaintained?
Comment 221 Christoph Feck 2013-01-15 20:49:45 UTC
This crash is old, yes. We had no developer yet, who was able to fix it. See also http://www.mail-archive.com/kde-core-devel@kde.org/msg08485.html
Comment 222 Jekyll Wu 2013-01-16 20:02:14 UTC
*** Bug 313377 has been marked as a duplicate of this bug. ***
Comment 223 Jekyll Wu 2013-01-17 19:08:44 UTC
*** Bug 313413 has been marked as a duplicate of this bug. ***
Comment 224 Christoph Feck 2013-01-23 12:40:40 UTC
*** Bug 313741 has been marked as a duplicate of this bug. ***
Comment 225 Chris McCray 2013-01-26 02:59:26 UTC
Created attachment 76729 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.8.1

- What I was doing when the application crashed:

Altering the clock - for some time now the clock hasn't been synchronising with a time server (I use either chronos.csr.net or time.windows.com), it's unable to connect to the time server (other machines I have are OK, just this one) then the time thing crashes.

-- Backtrace (Reduced):
#7  0x00007f151ee27a62 in QObject::connect (sender=0xf2ee10, signal=<optimized out>, receiver=0xa0f2a0, method=0x7f1506530c08 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2597
#8  0x00007f151ee2f7ca in QSingleShotTimer::QSingleShotTimer (this=0xf2ee10, msec=5000, receiver=0xa0f2a0, member=0x7f1506530c07 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f151ee2f97e in QTimer::singleShot (msec=5000, receiver=0xa0f2a0, member=0x7f1506530c07 "1load()") at kernel/qtimer.cpp:363
[...]
#11 0x00007f150b85dec7 in KCModuleProxy::save() () from /usr/lib64/libkcmutils.so.4
[...]
#13 0x00007f150b85bf7c in KCMultiDialog::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkcmutils.so.4
Comment 226 Jekyll Wu 2013-02-01 10:51:31 UTC
*** Bug 314242 has been marked as a duplicate of this bug. ***
Comment 227 Jekyll Wu 2013-02-08 18:46:48 UTC
*** Bug 314689 has been marked as a duplicate of this bug. ***
Comment 228 Karim Yildirim 2013-02-09 09:16:59 UTC
Created attachment 77045 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) "release 2" using Qt 4.8.1

When switching on my PC, clock is always 1 hour in advance to actual time. Most probably, this means that the wrong time zone is selected by the server despite I selected the correct local time zone.

-- Backtrace (Reduced):
#7  0x00007f9fdf2d1a83 in QObject::connect (sender=0x2153c40, signal=0x7f9fdf38dac4 "timeout()", receiver=0x1ad9e40, method=0x7f9fc67174e8 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2597
#8  0x00007f9fdf2d585a in QSingleShotTimer::QSingleShotTimer (this=0x2153c40, msec=5000, receiver=0x1ad9e40, member=0x7f9fc67174e7 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f9fdf2d5a06 in QTimer::singleShot (msec=5000, receiver=0x1ad9e40, member=0x7f9fc67174e7 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f9fc6715946 in KclockModule::save (this=0x1ad9e40) at /usr/src/debug/kde-workspace-4.8.5/kcontrol/dateandtime/main.cpp:109
#11 0x00007f9fd2211b07 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kutils/kcmoduleproxy.cpp:279
Comment 229 Don Hanneman 2013-02-10 21:06:53 UTC
Created attachment 77107 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.9.5 using Qt 4.8.4

- What I was doing when the application crashed:

attempting to select ntp time servers. Applying changes cashed the crash

-- Backtrace (Reduced):
#6  0x00000033caec5367 in replaceArgEscapes (s=..., d=..., field_width=field_width@entry=0, arg=..., larg=..., fillChar=...) at tools/qstring.cpp:6460
#7  0x00000033caec570d in QString::arg (this=0x7fff9b8452a0, a=..., fieldWidth=0, fillChar=...) at tools/qstring.cpp:6580
#8  0x000000327e9db26b in KLocalizedString::subs (this=<optimized out>, a=..., fieldWidth=0, fillChar=...) at /usr/src/debug/kdelibs-4.9.5/kdecore/localization/klocalizedstring.cpp:911
#9  0x00007f15ae86ec0c in i18n<QString> (a1=..., text=0x7f15ae8745d0 "Unable to contact time server: %1.") at /usr/include/kde4/klocalizedstring.h:645
#10 Dtime::processHelperErrors (this=0x20e77e0, code=4) at /usr/src/debug/kde-workspace-4.9.5/kcontrol/dateandtime/dtime.cpp:270
Comment 230 Jekyll Wu 2013-02-12 09:28:15 UTC
*** Bug 314976 has been marked as a duplicate of this bug. ***
Comment 231 AdrsCR 2013-02-15 06:44:11 UTC
Created attachment 77316 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

change ntp server, then click on Apply a then on OK

-- Backtrace (Reduced):
#7  0x00007f5497d80bf2 in QObject::connect (sender=0x1f55cd0, signal=<optimized out>, receiver=0x1d3d7d0, method=0x7f54881f93f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007f5497d8895a in QSingleShotTimer::QSingleShotTimer (this=0x1f55cd0, msec=5000, receiver=0x1d3d7d0, member=0x7f54881f93f0 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f5497d88b0e in QTimer::singleShot (msec=5000, receiver=0x1d3d7d0, member=0x7f54881f93f0 "1load()") at kernel/qtimer.cpp:363
[...]
#11 0x00007f5498ea0997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#12 0x00007f5498e9d890 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
Comment 232 Jekyll Wu 2013-02-18 11:34:30 UTC
*** Bug 315378 has been marked as a duplicate of this bug. ***
Comment 233 thing1138 2013-02-18 18:31:19 UTC
Specs:
OS: Kubuntu 12.04
Desktop: KDE 4.8.5 (4.8.5)
MEM: 4GB

I have found a way to reliably reproduce this error on my system.

Steps to Reproduce the clock system settings error:
1.) Open [System Settings] from the "kickoff application launcher".
2.) In the 5th section down tittled "System Administration" Open [Date & Time]
3.) Just below the "Date and Time" tab is a check box titled "Set date and time automatically", make sure this box has a check mark in it. If this box already has a checkmark then click on it twice to remove and reapply the check mark so the "apply" button in the lower right hand side of the window is enabled.
4.) Click the "Apply" button in the lower right hand side of the window.

Results from Step 4: All items in the window become grayed out for a moment and un-clickable, then all items return to there normal color and are now enabled or clickable again.

5.) From here there are two options one that leads to a crash and one that does not.
5.option-01_(non-crash).1) Click on "Overview" in the upper left hand corner.
5.option-01_(non-crash).2) An "Apply Settings - System Settings" dialog appears with the button options of "Apply" "Discard" and "Cancel". Click on "Apply" and wait for a moment. The system is updated as it should and everything seems fine.

5.option-02_(crash).1) If you are not currently at step 5 just after step 4, then repeat steps 1 through 5 and instead of doing option-01_(non-crash), now do this: Click "Apply" in the lower right hand corner.

Results from 5.option-02_(crash).2: Everything except the "Apply" button is grayed out for a moment then comes back as normal. 

5.option-02_(crash).3) Notice that if you click the "Apply" button the "Apply" button itself is not grayed out and the user can still click on it while everything else is still updating. This is the step where reproducing the bug becomes possible. To reproduce the bug at this step simply click the "Apply" button, and while everything else is still grayed out click the "Apply" button again, then follow the rest of the steps in quick succession which is what I think some other people might have been doing.

Results from 5.option-02_(crash).3: An error message appears tittled "Error - System Settings" with the message "Unable to authenticate/execute the action: 6," with an "OK" button. Quickly select the "OK" button then either try to reapply the "Apply" button in the lower right hand corner, or go back to the overview page by quickly selecting "Overview" in the upper left hand corner followed by "Apply" in the window that appears and the Settings Manager will crash.

In other words, if something is available to click on a user might interpret this as a sign that what they did, did not work so they click on it again. To avoid this, I suggest not only graying out the "Apply" and "Overview" buttons, but also display a short message saying something like "please be patient, the settings are being updated" in order to avoid future bug report floods.
Comment 234 Jeremy Roth 2013-03-02 22:40:27 UTC
Created attachment 77695 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

Trying to update the system time (because it always drifts slower and slower). It was already set to "update automatically (ntp?), but unclicked that, set the time manually, clicked accept, then there was a pause (8-10sec) w/ grey UI then it came back, I clicked OK and then boom crash.

-- Backtrace (Reduced):
#6  QObject::connect (sender=0x1597270, signal=<optimized out>, receiver=0xeea190, method=0x7f1814c743f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#7  0x00007f182453295a in QSingleShotTimer::QSingleShotTimer (this=0x1597270, msec=5000, receiver=0xeea190, member=0x7f1814c743f0 "1load()") at kernel/qtimer.cpp:300
#8  0x00007f1824532b0e in QTimer::singleShot (msec=5000, receiver=0xeea190, member=0x7f1814c743f0 "1load()") at kernel/qtimer.cpp:363
[...]
#10 0x00007f182564a997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#11 0x00007f1825647890 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
Comment 235 mandriva 2013-03-03 04:08:17 UTC
Created attachment 77706 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) "release 2" using Qt 4.8.1

I was Just trying to update the time on the system

-- Backtrace (Reduced):
#7  0x00007fa541a71a83 in QObject::connect (sender=0x2d54fa0, signal=0x7fa541b2dac4 "timeout()", receiver=0x25fdfd0, method=0x7fa52abe94e8 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2597
#8  0x00007fa541a7585a in QSingleShotTimer::QSingleShotTimer (this=0x2d54fa0, msec=5000, receiver=0x25fdfd0, member=0x7fa52abe94e7 "1load()") at kernel/qtimer.cpp:300
#9  0x00007fa541a75a06 in QTimer::singleShot (msec=5000, receiver=0x25fdfd0, member=0x7fa52abe94e7 "1load()") at kernel/qtimer.cpp:363
#10 0x00007fa52abe7946 in KclockModule::save (this=0x25fdfd0) at /usr/src/debug/kde-workspace-4.8.5/kcontrol/dateandtime/main.cpp:109
#11 0x00007fa5349afb07 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kutils/kcmoduleproxy.cpp:279
Comment 236 Jekyll Wu 2013-03-08 05:32:20 UTC
*** Bug 316345 has been marked as a duplicate of this bug. ***
Comment 237 Jekyll Wu 2013-03-08 10:37:56 UTC
*** Bug 316343 has been marked as a duplicate of this bug. ***
Comment 238 Jekyll Wu 2013-03-10 02:29:02 UTC
*** Bug 316389 has been marked as a duplicate of this bug. ***
Comment 239 Jekyll Wu 2013-03-10 02:30:31 UTC
*** Bug 316437 has been marked as a duplicate of this bug. ***
Comment 240 Tom Li 2013-03-10 04:24:11 UTC
Created attachment 77900 [details]
New crash information added by DrKonqi

systemsettings (1.0) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:
After I enabled/disabled NTP time syncing and press apply, enter the password of root user, KDE settings crashed!

-- Backtrace (Reduced):
#6  0x00007fd08e60d960 in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007fd08e6155aa in QSingleShotTimer::QSingleShotTimer(int, QObject*, char const*) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007fd08e61575e in QTimer::singleShot(int, QObject*, char const*) () from /usr/lib64/qt4/libQtCore.so.4
#9  0x00007fd07a62f9b7 in KclockModule::save() () from /usr/lib64/kde4/kcm_clock.so
#10 0x00007fd09064cc57 in KCModuleProxy::save() () from /usr/lib64/libkcmutils.so.4
Comment 241 Jekyll Wu 2013-03-12 04:04:46 UTC
*** Bug 316570 has been marked as a duplicate of this bug. ***
Comment 242 Jekyll Wu 2013-03-12 23:40:21 UTC
*** Bug 316617 has been marked as a duplicate of this bug. ***
Comment 243 dva.lider 2013-03-13 09:34:37 UTC
Created attachment 78006 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.3

- Unusual behavior I noticed:

Application: Модуль настройки KDE (kcmshell4), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ff177307780 (LWP 3607))]

Thread 3 (Thread 0x7ff1627e9700 (LWP 3608)):
#0  pthread_mutex_lock (mutex=0x1969470) at forward.c:182
#1  0x00007ff179416e21 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff1793d9c85 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff1793da1e2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ff162ad54a6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#5  0x00007ff1793fd645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007ff167e39734 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#7  0x00007ff17a0fae9a in start_thread (arg=0x7ff1627e9700) at pthread_create.c:308
#8  0x00007ff17ea09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff160f43700 (LWP 3609)):
#0  0x00007ff17e9fe313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff1793d9d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff1793d9ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff17d62dc46 in QEventDispatcherGlib::processEvents (this=0x7ff1500008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007ff17d5fe2ef in QEventLoop::processEvents (this=this@entry=0x7ff160f42d10, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ff17d5fe578 in QEventLoop::exec (this=0x7ff160f42d10, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ff17d4ffb40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007ff17d5de9df in QInotifyFileSystemWatcherEngine::run (this=0x126cab0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007ff17d502b1c in QThreadPrivate::start (arg=0x126cab0) at thread/qthread_unix.cpp:338
#9  0x00007ff167e39734 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007ff17a0fae9a in start_thread (arg=0x7ff160f43700) at pthread_create.c:308
#11 0x00007ff17ea09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff177307780 (LWP 3607)):
[KCrash Handler]
#6  0x0000000000000050 in ?? ()
#7  0x00007ff17d618e43 in QObject::connect (sender=0x1c80620, signal=0x7ff17d6d4944 "timeout()", receiver=0x15f9430, method=0x7ff16dbebe2d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007ff17d61cb7a in QSingleShotTimer::QSingleShotTimer (this=0x1c80620, msec=5000, receiver=0x15f9430, member=0x7ff16dbebe2c "1load()") at kernel/qtimer.cpp:300
#9  0x00007ff17d61cd26 in QTimer::singleShot (msec=5000, receiver=0x15f9430, member=0x7ff16dbebe2c "1load()") at kernel/qtimer.cpp:363
#10 0x00007ff16dbea3d6 in KclockModule::save (this=0x15f9430) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007ff17e6f84a7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#12 0x00007ff17e6f5e20 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
#13 0x00007ff17d614f8f in QMetaObject::activate (sender=0x13a84e0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff4c9d2cb0) at kernel/qobject.cpp:3547
#14 0x00007ff17e37fa1f in KPushButton::authorized (this=<optimized out>, _t1=0x12e4c20) at ./kpushbutton.moc:143
#15 0x00007ff17d614f8f in QMetaObject::activate (sender=0x13a84e0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff4c9d2e00) at kernel/qobject.cpp:3547
#16 0x00007ff17d011422 in QAbstractButton::clicked (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:220
#17 0x00007ff17cd64d2e in QAbstractButtonPrivate::emitClicked (this=this@entry=0x13df890) at widgets/qabstractbutton.cpp:548
#18 0x00007ff17cd65560 in QAbstractButtonPrivate::click (this=this@entry=0x13df890) at widgets/qabstractbutton.cpp:541
#19 0x00007ff17cd657cc in QAbstractButton::mouseReleaseEvent (this=0x13a84e0, e=0x7fff4c9d36a0) at widgets/qabstractbutton.cpp:1123
#20 0x00007ff17c9f6850 in QWidget::event (this=0x13a84e0, event=0x7fff4c9d36a0) at kernel/qwidget.cpp:8371
#21 0x00007ff17c9a6e9c in QApplicationPrivate::notify_helper (this=this@entry=0x11e3a80, receiver=receiver@entry=0x13a84e0, e=e@entry=0x7fff4c9d36a0) at kernel/qapplication.cpp:4562
#22 0x00007ff17c9abb6b in QApplication::notify (this=<optimized out>, receiver=0x13a84e0, e=0x7fff4c9d36a0) at kernel/qapplication.cpp:4105
#23 0x00007ff17e2b9ad6 in KApplication::notify (this=0x7fff4c9d44c0, receiver=0x13a84e0, event=0x7fff4c9d36a0) at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007ff17d5ff59e in QCoreApplication::notifyInternal (this=0x7fff4c9d44c0, receiver=0x13a84e0, event=0x7fff4c9d36a0) at kernel/qcoreapplication.cpp:915
#25 0x00007ff17c9a7cd3 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#26 QApplicationPrivate::sendMouseEvent (receiver=0x13a84e0, event=0x7fff4c9d36a0, alienWidget=0x13a84e0, nativeWidget=0x13c2810, buttonDown=0x7ff17d483308 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3173
#27 0x00007ff17ca25554 in QETWidget::translateMouseEvent (this=this@entry=0x13c2810, event=event@entry=0x7fff4c9d3e20) at kernel/qapplication_x11.cpp:4622
#28 0x00007ff17ca2444f in QApplication::x11ProcessEvent (this=0x7fff4c9d44c0, event=0x7fff4c9d3e20) at kernel/qapplication_x11.cpp:3737
#29 0x00007ff17ca4bfa2 in x11EventSourceDispatch (s=0x11d48a0, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0x00007ff1793d9ab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007ff1793d9de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007ff1793d9ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007ff17d62dc46 in QEventDispatcherGlib::processEvents (this=0x11ba770, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#34 0x00007ff17ca4bc1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007ff17d5fe2ef in QEventLoop::processEvents (this=this@entry=0x7fff4c9d4200, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007ff17d5fe578 in QEventLoop::exec (this=0x7fff4c9d4200, flags=...) at kernel/qeventloop.cpp:204
#37 0x00007ff17ce5f428 in QDialog::exec (this=0x13c2810) at dialogs/qdialog.cpp:554
#38 0x00007ff17ecfac8c in kdemain (_argc=18682128, _argv=<optimized out>) at ../../kcmshell/main.cpp:297
#39 0x00007ff17e93776d in __libc_start_main (main=0x4006a0 <main(int, char**)>, argc=2, ubp_av=0x7fff4c9d45f8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff4c9d45e8) at libc-start.c:226
#40 0x00000000004006d1 in _start ()

-- Backtrace (Reduced):
#7  0x00007ff17d618e43 in QObject::connect (sender=0x1c80620, signal=0x7ff17d6d4944 "timeout()", receiver=0x15f9430, method=0x7ff16dbebe2d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007ff17d61cb7a in QSingleShotTimer::QSingleShotTimer (this=0x1c80620, msec=5000, receiver=0x15f9430, member=0x7ff16dbebe2c "1load()") at kernel/qtimer.cpp:300
#9  0x00007ff17d61cd26 in QTimer::singleShot (msec=5000, receiver=0x15f9430, member=0x7ff16dbebe2c "1load()") at kernel/qtimer.cpp:363
#10 0x00007ff16dbea3d6 in KclockModule::save (this=0x15f9430) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007ff17e6f84a7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 244 Jekyll Wu 2013-03-15 00:00:15 UTC
*** Bug 316737 has been marked as a duplicate of this bug. ***
Comment 245 dva.lider 2013-03-15 10:02:11 UTC
Created attachment 78092 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.3

Application: Модуль настройки KDE (kcmshell4), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f41092bf780 (LWP 2774))]

Thread 3 (Thread 0x7f40f47a1700 (LWP 2775)):
#0  0x00007f41109b6313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f410b391d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f410b3921e2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f40f4a8d4a6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f410b3b5645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f40f9df1734 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007f410c0b2e9a in start_thread (arg=0x7f40f47a1700) at pthread_create.c:308
#7  0x00007f41109c1ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f40f2efb700 (LWP 2776)):
#0  0x00007f410c0b605d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f40e0000a90) at pthread_mutex_unlock.c:290
#2  0x00007f410b3cee51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f410b391c9e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f410b391ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f410f5e5c46 in QEventDispatcherGlib::processEvents (this=0x7f40e00008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f410f5b62ef in QEventLoop::processEvents (this=this@entry=0x7f40f2efad10, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f410f5b6578 in QEventLoop::exec (this=0x7f40f2efad10, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f410f4b7b40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f410f5969df in QInotifyFileSystemWatcherEngine::run (this=0x2c09760) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f410f4bab1c in QThreadPrivate::start (arg=0x2c09760) at thread/qthread_unix.cpp:338
#11 0x00007f40f9df1734 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#12 0x00007f410c0b2e9a in start_thread (arg=0x7f40f2efb700) at pthread_create.c:308
#13 0x00007f41109c1ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f41092bf780 (LWP 2774)):
[KCrash Handler]
#6  0x000000000004004a in ?? ()
#7  0x00007f410f5d0e43 in QObject::connect (sender=0x2dded60, signal=0x7f410f68c944 "timeout()", receiver=0x27cc340, method=0x7f40ffba3e2d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007f410f5d4b7a in QSingleShotTimer::QSingleShotTimer (this=0x2dded60, msec=5000, receiver=0x27cc340, member=0x7f40ffba3e2c "1load()") at kernel/qtimer.cpp:300
#9  0x00007f410f5d4d26 in QTimer::singleShot (msec=5000, receiver=0x27cc340, member=0x7f40ffba3e2c "1load()") at kernel/qtimer.cpp:363
#10 0x00007f40ffba23d6 in KclockModule::save (this=0x27cc340) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f41106b04a7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#12 0x00007f41106ade20 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
#13 0x00007f410f5ccf8f in QMetaObject::activate (sender=0x2567950, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff9b951610) at kernel/qobject.cpp:3547
#14 0x00007f4110337a1f in KPushButton::authorized (this=<optimized out>, _t1=0x250c5e0) at ./kpushbutton.moc:143
#15 0x00007f410f5ccf8f in QMetaObject::activate (sender=0x2567950, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff9b951760) at kernel/qobject.cpp:3547
#16 0x00007f410efc9422 in QAbstractButton::clicked (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:220
#17 0x00007f410ed1cd2e in QAbstractButtonPrivate::emitClicked (this=this@entry=0x256c4e0) at widgets/qabstractbutton.cpp:548
#18 0x00007f410ed1d560 in QAbstractButtonPrivate::click (this=this@entry=0x256c4e0) at widgets/qabstractbutton.cpp:541
#19 0x00007f410ed1d7cc in QAbstractButton::mouseReleaseEvent (this=0x2567950, e=0x7fff9b952000) at widgets/qabstractbutton.cpp:1123
#20 0x00007f410e9ae850 in QWidget::event (this=0x2567950, event=0x7fff9b952000) at kernel/qwidget.cpp:8371
#21 0x00007f410e95ee9c in QApplicationPrivate::notify_helper (this=this@entry=0x23ab320, receiver=receiver@entry=0x2567950, e=e@entry=0x7fff9b952000) at kernel/qapplication.cpp:4562
#22 0x00007f410e963b6b in QApplication::notify (this=<optimized out>, receiver=0x2567950, e=0x7fff9b952000) at kernel/qapplication.cpp:4105
#23 0x00007f4110271ad6 in KApplication::notify (this=0x7fff9b952e20, receiver=0x2567950, event=0x7fff9b952000) at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007f410f5b759e in QCoreApplication::notifyInternal (this=0x7fff9b952e20, receiver=0x2567950, event=0x7fff9b952000) at kernel/qcoreapplication.cpp:915
#25 0x00007f410e95fcd3 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#26 QApplicationPrivate::sendMouseEvent (receiver=0x2567950, event=0x7fff9b952000, alienWidget=0x2567950, nativeWidget=0x255d4b0, buttonDown=0x7f410f43b308 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3173
#27 0x00007f410e9dd554 in QETWidget::translateMouseEvent (this=this@entry=0x255d4b0, event=event@entry=0x7fff9b952780) at kernel/qapplication_x11.cpp:4622
#28 0x00007f410e9dc44f in QApplication::x11ProcessEvent (this=0x7fff9b952e20, event=0x7fff9b952780) at kernel/qapplication_x11.cpp:3737
#29 0x00007f410ea03fa2 in x11EventSourceDispatch (s=0x239c8a0, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0x00007f410b391ab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f410b391de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007f410b391ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007f410f5e5c46 in QEventDispatcherGlib::processEvents (this=0x2382770, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#34 0x00007f410ea03c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f410f5b62ef in QEventLoop::processEvents (this=this@entry=0x7fff9b952b60, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007f410f5b6578 in QEventLoop::exec (this=0x7fff9b952b60, flags=...) at kernel/qeventloop.cpp:204
#37 0x00007f410ee17428 in QDialog::exec (this=0x255d4b0) at dialogs/qdialog.cpp:554
#38 0x00007f4110cb2c8c in kdemain (_argc=37327120, _argv=<optimized out>) at ../../kcmshell/main.cpp:297
#39 0x00007f41108ef76d in __libc_start_main (main=0x4006a0 <main(int, char**)>, argc=2, ubp_av=0x7fff9b952f58, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff9b952f48) at libc-start.c:226
#40 0x00000000004006d1 in _start ()

-- Backtrace (Reduced):
#7  0x00007f410f5d0e43 in QObject::connect (sender=0x2dded60, signal=0x7f410f68c944 "timeout()", receiver=0x27cc340, method=0x7f40ffba3e2d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007f410f5d4b7a in QSingleShotTimer::QSingleShotTimer (this=0x2dded60, msec=5000, receiver=0x27cc340, member=0x7f40ffba3e2c "1load()") at kernel/qtimer.cpp:300
#9  0x00007f410f5d4d26 in QTimer::singleShot (msec=5000, receiver=0x27cc340, member=0x7f40ffba3e2c "1load()") at kernel/qtimer.cpp:363
#10 0x00007f40ffba23d6 in KclockModule::save (this=0x27cc340) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f41106b04a7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 246 Jekyll Wu 2013-03-15 10:37:28 UTC
*** Bug 316758 has been marked as a duplicate of this bug. ***
Comment 247 Jekyll Wu 2013-03-15 17:21:09 UTC
*** Bug 316784 has been marked as a duplicate of this bug. ***
Comment 248 Jekyll Wu 2013-03-19 05:00:49 UTC
*** Bug 317004 has been marked as a duplicate of this bug. ***
Comment 249 Ben Cooksley 2013-03-19 08:34:21 UTC
Removing daf3707@yahoo.com.cn from CC per abuse reports.
Comment 250 Carlos R. 2013-03-20 12:33:41 UTC
Created attachment 78237 [details]
New crash information added by DrKonqi

systemsettings (1.0) on KDE Platform 4.10.00 "release 1" using Qt 4.8.4

- What I was doing when the application crashed:

I was changing the NTP server so I pressed apply, wrote the password , pressed "Overview" to go back to KDE settings and then I was asked if I wanted to apply the changes, I pressed "Apply" and after that I got the following message:

"Unable to authenticate/execute the action: 6,"


After I pressed Ok to close the message, KDE settings crashed.

-- Backtrace (Reduced):
#7  0x00007f6a1bf25233 in QObject::connect (sender=0x1107b60, signal=0x7f6a1bfe7644 "timeout()", receiver=0x1430f90, method=0x7f6a044c0744 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2596
#8  0x00007f6a1bf28f6a in QSingleShotTimer::QSingleShotTimer (this=0x1107b60, msec=5000, receiver=0x1430f90, member=0x7f6a044c0743 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f6a1bf29116 in QTimer::singleShot (msec=5000, receiver=0x1430f90, member=0x7f6a044c0743 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f6a044bed06 in KclockModule::save (this=0x1430f90) at /usr/src/debug/kde-workspace-4.10.0/kcontrol/dateandtime/main.cpp:113
#11 0x00007f6a1defdb27 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.10.0/kutils/kcmoduleproxy.cpp:279
Comment 251 Ben Cooksley 2013-03-20 19:37:07 UTC
Removing homerj.simpson@hotmail.es from CC per abuse reports.
Comment 252 Jekyll Wu 2013-03-25 06:49:49 UTC
*** Bug 317310 has been marked as a duplicate of this bug. ***
Comment 253 jonathon bryant 2013-03-25 23:26:13 UTC
Is there an easy way to get off this mailing list or even bug tracker
topic? I would much prefer to be on the bug tracker for the Huawei e173 usb
modem and why nearly every new distro now no longer connects it, when it
had done on the previous versions.....thank you
 On Mar 25, 2013 5:20 PM, "Jekyll Wu" <adaptee@gmail.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=242648
>
> Jekyll Wu <adaptee@gmail.com> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|                            |
> studio.arondinone@gmail.com
>
> --- Comment #252 from Jekyll Wu <adaptee@gmail.com> ---
> *** Bug 317310 has been marked as a duplicate of this bug. ***
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 254 Ben Cooksley 2013-03-26 02:47:51 UTC
Removing solsysresident@gmail.com from bug CC list per their request.

As for the Huawei e173 modem issue, I would suggest searching for and then adding yourself to the CC list for the relevant bug (likely in the 'networkmanagement' product) or asking for help about it on the relevant forums.
Comment 255 jonathon bryant 2013-03-26 07:36:12 UTC
Thank you Ben,
I apologise for my flippant nature it was uncalled for.
Thank you for taking me off the cc list.
Hope I didn't cause offence or disrespect of your professionalism.
Bye.
On Mar 26, 2013 1:18 PM, "Ben Cooksley" <bcooksley@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=242648
>
> Ben Cooksley <bcooksley@kde.org> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|solsysresident@gmail.com    |
>
> --- Comment #254 from Ben Cooksley <bcooksley@kde.org> ---
> Removing solsysresident@gmail.com from bug CC list per their request.
>
> As for the Huawei e173 modem issue, I would suggest searching for and then
> adding yourself to the CC list for the relevant bug (likely in the
> 'networkmanagement' product) or asking for help about it on the relevant
> forums.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 256 Jekyll Wu 2013-03-28 02:56:16 UTC
*** Bug 317472 has been marked as a duplicate of this bug. ***
Comment 257 Jekyll Wu 2013-03-29 01:42:04 UTC
*** Bug 317517 has been marked as a duplicate of this bug. ***
Comment 258 Jekyll Wu 2013-03-29 12:02:40 UTC
*** Bug 317525 has been marked as a duplicate of this bug. ***
Comment 259 Eugene 2013-03-31 14:55:42 UTC
Created attachment 78522 [details]
New crash information added by DrKonqi

systemsettings (1.0) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:
Tried to change NTP settings, then closed Date & Time applet. Then closed Systemsettings window and crash happened.

-- Backtrace (Reduced):
#6  internalWinId (this=<optimized out>) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:241
#7  QWidget::effectiveWinId (this=0xf85170) at kernel/qwidget.cpp:2622
#8  0x00007f82a2a67cdf in KMessageBox::error (parent=<optimized out>, text=..., caption=..., options=...) at ../../kdeui/dialogs/kmessagebox.cpp:821
#9  0x00007f8285e4d38a in KclockModule::save (this=0xf85170) at ../../../kcontrol/dateandtime/main.cpp:98
#10 0x00007f82a3149807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 260 Jekyll Wu 2013-03-31 15:11:40 UTC
*** Bug 317640 has been marked as a duplicate of this bug. ***
Comment 261 Raul Malea 2013-03-31 15:13:26 UTC
*** Bug 317640 has been marked as a duplicate of this bug. ***
Comment 262 dva.lider 2013-03-31 15:18:42 UTC
Created attachment 78523 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.4

Application: Модуль настройки KDE (kcmshell4), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f22eee7f7c0 (LWP 2901))]

Thread 3 (Thread 0x7f22d1b03700 (LWP 2902)):
#0  0x00007f22ee7b63cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f22e93d31dc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f22e93d36ba in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f22d1df34f6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f22e93f6eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f22d7e83764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#6  0x00007f22e9eeff8e in start_thread (arg=0x7f22d1b03700) at pthread_create.c:311
#7  0x00007f22ee7c2e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f22c6f86700 (LWP 2903)):
#0  0x00007f22ee7b63cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f22e93d31dc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f22e93d3304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f22ed3da036 in QEventDispatcherGlib::processEvents (this=0x7f22c00008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f22ed3aa38f in QEventLoop::processEvents (this=this@entry=0x7f22c6f85cd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f22ed3aa618 in QEventLoop::exec (this=0x7f22c6f85cd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f22ed2ac410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007f22ed38bedf in QInotifyFileSystemWatcherEngine::run (this=0x19e63e0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f22ed2aebec in QThreadPrivate::start (arg=0x19e63e0) at thread/qthread_unix.cpp:338
#9  0x00007f22d7e83764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#10 0x00007f22e9eeff8e in start_thread (arg=0x7f22c6f86700) at pthread_create.c:311
#11 0x00007f22ee7c2e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f22eee7f7c0 (LWP 2901)):
[KCrash Handler]
#6  0x0000000000000007 in ?? ()
#7  0x00007f22ed3c36a3 in QObject::connect (sender=0x1c07f40, signal=0x7f22ed48711d "timeout()", receiver=0x17744d0, method=0x7f22dd98de7c "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2587
#8  0x00007f22ed3c8e1a in QSingleShotTimer::QSingleShotTimer (this=0x1c07f40, msec=5000, receiver=0x17744d0, member=0x7f22dd98de7b "1load()") at kernel/qtimer.cpp:300
#9  0x00007f22ed3c8f66 in QTimer::singleShot (msec=5000, receiver=0x17744d0, member=0x7f22dd98de7b "1load()") at kernel/qtimer.cpp:363
#10 0x00007f22dd98c4b6 in KclockModule::save (this=0x17744d0) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f22ee4ab807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#12 0x00007f22ee4a7b60 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
#13 0x00007f22ed3c00ef in QMetaObject::activate (sender=0x1503d10, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff2af8f5e0) at kernel/qobject.cpp:3539
#14 0x00007f22ee132a5f in KPushButton::authorized (this=<optimized out>, _t1=0x1851480) at ./kpushbutton.moc:143
#15 0x00007f22ed3c00ef in QMetaObject::activate (sender=0x1503d10, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff2af8f730) at kernel/qobject.cpp:3539
#16 0x00007f22ecdbcc82 in QAbstractButton::clicked (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:220
#17 0x00007f22ecb1023e in QAbstractButtonPrivate::emitClicked (this=this@entry=0x1508190) at widgets/qabstractbutton.cpp:548
#18 0x00007f22ecb10a30 in QAbstractButtonPrivate::click (this=this@entry=0x1508190) at widgets/qabstractbutton.cpp:541
#19 0x00007f22ecb10c9c in QAbstractButton::mouseReleaseEvent (this=0x1503d10, e=0x7fff2af8ffd0) at widgets/qabstractbutton.cpp:1123
#20 0x00007f22ec79ea89 in QWidget::event (this=0x1503d10, event=0x7fff2af8ffd0) at kernel/qwidget.cpp:8375
#21 0x00007f22ec7518ec in QApplicationPrivate::notify_helper (this=this@entry=0x1312e30, receiver=receiver@entry=0x1503d10, e=e@entry=0x7fff2af8ffd0) at kernel/qapplication.cpp:4567
#22 0x00007f22ec754a33 in QApplication::notify (this=<optimized out>, receiver=0x1503d10, e=0x7fff2af8ffd0) at kernel/qapplication.cpp:4110
#23 0x00007f22ee06faf6 in KApplication::notify (this=0x7fff2af90df0, receiver=0x1503d10, event=0x7fff2af8ffd0) at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007f22ed3ab63e in QCoreApplication::notifyInternal (this=0x7fff2af90df0, receiver=0x1503d10, event=0x7fff2af8ffd0) at kernel/qcoreapplication.cpp:946
#25 0x00007f22ec757933 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#26 QApplicationPrivate::sendMouseEvent (receiver=0x1503d10, event=0x7fff2af8ffd0, alienWidget=0x1503d10, nativeWidget=0x1495c50, buttonDown=0x7f22ed22f308 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3178
#27 0x00007f22ec7ccec4 in QETWidget::translateMouseEvent (this=this@entry=0x1495c50, event=event@entry=0x7fff2af90750) at kernel/qapplication_x11.cpp:4631
#28 0x00007f22ec7cbef1 in QApplication::x11ProcessEvent (this=0x7fff2af90df0, event=0x7fff2af90750) at kernel/qapplication_x11.cpp:3746
#29 0x00007f22ec7f70b2 in x11EventSourceDispatch (s=0x1314e20, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0x00007f22e93d2f05 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f22e93d3248 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007f22e93d3304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007f22ed3da016 in QEventDispatcherGlib::processEvents (this=0x12ec610, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#34 0x00007f22ec7f71ae in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f22ed3aa38f in QEventLoop::processEvents (this=this@entry=0x7fff2af90b30, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007f22ed3aa618 in QEventLoop::exec (this=0x7fff2af90b30, flags=...) at kernel/qeventloop.cpp:204
#37 0x00007f22ecc0c1c8 in QDialog::exec (this=0x1495c50) at dialogs/qdialog.cpp:554
#38 0x00007f22eea98b1c in kdemain (_argc=19935152, _argv=<optimized out>) at ../../kcmshell/main.cpp:297
#39 0x00007f22ee6eaea5 in __libc_start_main (main=0x4006d0 <main(int, char**)>, argc=2, ubp_av=0x7fff2af90f28, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff2af90f18) at libc-start.c:260
#40 0x0000000000400701 in _start ()

-- Backtrace (Reduced):
#7  0x00007f22ed3c36a3 in QObject::connect (sender=0x1c07f40, signal=0x7f22ed48711d "timeout()", receiver=0x17744d0, method=0x7f22dd98de7c "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2587
#8  0x00007f22ed3c8e1a in QSingleShotTimer::QSingleShotTimer (this=0x1c07f40, msec=5000, receiver=0x17744d0, member=0x7f22dd98de7b "1load()") at kernel/qtimer.cpp:300
#9  0x00007f22ed3c8f66 in QTimer::singleShot (msec=5000, receiver=0x17744d0, member=0x7f22dd98de7b "1load()") at kernel/qtimer.cpp:363
#10 0x00007f22dd98c4b6 in KclockModule::save (this=0x17744d0) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f22ee4ab807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 263 Firas Hanife 2013-04-02 21:30:57 UTC
Created attachment 78583 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.10.00 "release 1" using Qt 4.8.4

- What I was doing when the application crashed:
Changing time and date settings (after typing root password and clicking OK).

- Unusual behavior I noticed:
This error is even in kde 4.8 in openSUSE 12.2

-- Backtrace (Reduced):
#6  0x00007fe49734d231 in QObject::connect (sender=0x1e7c6c0, signal=0x7fe49740f644 "timeout()", receiver=0x1a2e320, method=0x7fe4805f3744 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2596
#7  0x00007fe497350f6a in QSingleShotTimer::QSingleShotTimer (this=0x1e7c6c0, msec=5000, receiver=0x1a2e320, member=0x7fe4805f3743 "1load()") at kernel/qtimer.cpp:300
#8  0x00007fe497351116 in QTimer::singleShot (msec=5000, receiver=0x1a2e320, member=0x7fe4805f3743 "1load()") at kernel/qtimer.cpp:363
#9  0x00007fe4805f1d06 in KclockModule::save (this=0x1a2e320) at /usr/src/debug/kde-workspace-4.10.0/kcontrol/dateandtime/main.cpp:113
#10 0x00007fe489b09b27 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.10.0/kutils/kcmoduleproxy.cpp:279
Comment 264 Jekyll Wu 2013-04-03 09:00:01 UTC
*** Bug 317766 has been marked as a duplicate of this bug. ***
Comment 265 Ben Cooksley 2013-04-03 09:39:16 UTC
Removing kontrik@ua.fm from the CC list per abuse report.
Comment 266 Jekyll Wu 2013-04-05 10:44:44 UTC
*** Bug 317871 has been marked as a duplicate of this bug. ***
Comment 267 Dmitry Korzhevin 2013-04-07 09:54:25 UTC
Created attachment 78700 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

Same error on ArchLinux with KDE 4.10.2 

Unable to authenticate/execute the action: 6

-- Backtrace (Reduced):
#6  0x00007f217f57cc13 in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () from /usr/lib/libQtCore.so.4
[...]
#8  0x00007f217f580af6 in QTimer::singleShot(int, QObject*, char const*) () from /usr/lib/libQtCore.so.4
[...]
#10 0x00007f216f87c6d7 in KCModuleProxy::save() () from /usr/lib/libkcmutils.so.4
[...]
#13 0x00007f21803ccb1f in KPushButton::authorized(KAuth::Action*) () from /usr/lib/libkdeui.so.5
[...]
#15 0x00007f217ed5b512 in QAbstractButton::clicked(bool) () from /usr/lib/libQtGui.so.4
Comment 268 shurforums 2013-04-11 14:41:07 UTC
Created attachment 78811 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.4

When I try to chage the time of the system, applet crashes.
And when internet is out, the system change the time zone.

-- Backtrace (Reduced):
#6  0x0000003b30d90f73 in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () from /lib64/libQtCore.so.4
#7  0x0000003b30d94c2a in QSingleShotTimer::QSingleShotTimer(int, QObject*, char const*) () from /lib64/libQtCore.so.4
#8  0x0000003b30d94dd6 in QTimer::singleShot(int, QObject*, char const*) () from /lib64/libQtCore.so.4
#9  0x00007f2004f17466 in KclockModule::save() () from /usr/lib64/kde4/kcm_clock.so
#10 0x0000003b452214e7 in KCModuleProxy::save() () from /lib64/libkcmutils.so.4
Comment 269 Eugene 2013-04-13 00:39:26 UTC
Created attachment 78851 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:
Just changed system time to correct when crash happened.

-- Backtrace (Reduced):
#7  0x00007f48826e86a3 in QObject::connect (sender=0x1d0f1f0, signal=0x7f48827ac11d "timeout()", receiver=0x14ceb00, method=0x7f4872d2be7c "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2587
#8  0x00007f48826ede1a in QSingleShotTimer::QSingleShotTimer (this=0x1d0f1f0, msec=5000, receiver=0x14ceb00, member=0x7f4872d2be7b "1load()") at kernel/qtimer.cpp:300
#9  0x00007f48826edf66 in QTimer::singleShot (msec=5000, receiver=0x14ceb00, member=0x7f4872d2be7b "1load()") at kernel/qtimer.cpp:363
#10 0x00007f4872d2a4b6 in KclockModule::save (this=0x14ceb00) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f48837d0807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 270 timmachielbos 2013-04-16 09:36:17 UTC
Created attachment 78956 [details]
New crash information added by DrKonqi

systemsettings (1.0) on KDE Platform 4.10.2 using Qt 4.8.3

- What I was doing when the application crashed: trying to set the time and date automatically.

-- Backtrace (Reduced):
#6  QAbstractButton::setChecked (this=0x429c3a0, checked=false) at widgets/qabstractbutton.cpp:739
#7  0x00007fe0e4613bff in Dtime::processHelperErrors (this=0x2a6c030, code=4) at ../../../kcontrol/dateandtime/dtime.cpp:271
#8  0x00007fe0e4618420 in KclockModule::save (this=0x2a605c0) at ../../../kcontrol/dateandtime/main.cpp:100
#9  0x00007fe1027714a7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#10 0x00007fe1025495f3 in ModuleView::moduleSave (this=<optimized out>, module=<optimized out>) at ../../../systemsettings/core/ModuleView.cpp:289
Comment 271 michal 2013-04-26 06:48:31 UTC
Created attachment 79454 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

My time zone is Europe/Bratislava.
Always returns the time of two hours
Turn on automaticaly time setting.

-- Backtrace (Reduced):
#7  0x00007f5f59ec46a3 in QObject::connect (sender=sender@entry=0x1082c90, signal=0x7f5f59f8811d "timeout()", signal@entry=0x7f5f59f8811c "2timeout()", receiver=receiver@entry=0xa829f0, method=0x7f5f4a65be7c "load()", method@entry=0x7f5f4a65be7b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#8  0x00007f5f59ec9e1a in QSingleShotTimer::QSingleShotTimer (this=0x1082c90, msec=5000, receiver=0xa829f0, member=0x7f5f4a65be7b "1load()") at kernel/qtimer.cpp:300
#9  0x00007f5f59ec9f66 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0xa829f0, member=member@entry=0x7f5f4a65be7b "1load()") at kernel/qtimer.cpp:363
#10 0x00007f5f4a65a4b6 in KclockModule::save (this=0xa829f0) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f5f5afac807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 272 Jekyll Wu 2013-04-27 15:41:07 UTC
*** Bug 318931 has been marked as a duplicate of this bug. ***
Comment 273 Pavel 2013-04-29 12:36:33 UTC
I approve. KDE 4.10.2
Comment 274 Thibaut Renaux 2013-04-29 12:48:29 UTC
Created attachment 79545 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:
Tried to change my timezone, then the application crashed before asking for my password.

-- Backtrace (Reduced):
#6  QObject::connect (sender=0x188f110, signal=<optimized out>, receiver=0x11e0640, method=0x7f0fa70fc3f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#7  0x00007f0fb6af495a in QSingleShotTimer::QSingleShotTimer (this=0x188f110, msec=5000, receiver=0x11e0640, member=0x7f0fa70fc3f0 "1load()") at kernel/qtimer.cpp:300
#8  0x00007f0fb6af4b0e in QTimer::singleShot (msec=5000, receiver=0x11e0640, member=0x7f0fa70fc3f0 "1load()") at kernel/qtimer.cpp:363
#9  0x00007f0fa70fa840 in KclockModule::save (this=0x11e0640) at ../../../kcontrol/dateandtime/main.cpp:109
#10 0x00007f0fb7c0c997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 275 Jay LaCroix 2013-04-30 00:05:16 UTC
Same issue on a freshly installed Kubuntu 13.04.
Comment 276 Thomas Chong 2013-04-30 01:01:15 UTC
Created attachment 79562 [details]
New crash information added by DrKonqi

systemsettings (1.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

Changing the system time from manual edit to auto time server adjustment.

-- Backtrace (Reduced):
#7  0x00007f6daa5e4bf2 in QObject::connect (sender=0x3a8aec0, signal=<optimized out>, receiver=0x1296540, method=0x7f6d717453f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007f6daa5ec95a in QSingleShotTimer::QSingleShotTimer (this=0x3a8aec0, msec=5000, receiver=0x1296540, member=0x7f6d717453f0 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f6daa5ecb0e in QTimer::singleShot (msec=5000, receiver=0x1296540, member=0x7f6d717453f0 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f6d71743840 in KclockModule::save (this=0x1296540) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007f6dac5ea997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 277 Jekyll Wu 2013-05-01 11:58:53 UTC
*** Bug 319146 has been marked as a duplicate of this bug. ***
Comment 278 Jekyll Wu 2013-05-02 05:08:08 UTC
*** Bug 319193 has been marked as a duplicate of this bug. ***
Comment 279 Jekyll Wu 2013-05-05 06:54:06 UTC
*** Bug 319287 has been marked as a duplicate of this bug. ***
Comment 280 Jekyll Wu 2013-05-05 06:54:07 UTC
*** Bug 319338 has been marked as a duplicate of this bug. ***
Comment 281 Ben Cooksley 2013-05-06 20:40:08 UTC
Removing  jfb138@ymail.com from CC per abuse reports.
Comment 282 manolo 2013-05-07 14:45:25 UTC
Hello.

I beg you to tell me how can I be removed from this bug report. I just 
moved to Linux Mint, so no more need for me to follow it.

Waiting for your feedback.
Best regards.


Il 06/05/2013 22:40, Ben Cooksley ha scritto:
> https://bugs.kde.org/show_bug.cgi?id=242648
>
> Ben Cooksley <bcooksley@kde.org> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|jfb138@ymail.com            |
>
> --- Comment #281 from Ben Cooksley <bcooksley@kde.org> ---
> Removing  jfb138@ymail.com from CC per abuse reports.
>
Comment 283 Lans 2013-05-07 19:52:21 UTC
Created attachment 79765 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

just tried to change time zone via setting util

-- Backtrace (Reduced):
#7  0x00007f1277fa26a3 in QObject::connect (sender=sender@entry=0x10c94c0, signal=0x7f127806611d "timeout()", signal@entry=0x7f127806611c "2timeout()", receiver=receiver@entry=0x143cda0, method=0x7f1268619e7c "load()", method@entry=0x7f1268619e7b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#8  0x00007f1277fa7e1a in QSingleShotTimer::QSingleShotTimer (this=0x10c94c0, msec=5000, receiver=0x143cda0, member=0x7f1268619e7b "1load()") at kernel/qtimer.cpp:300
#9  0x00007f1277fa7f66 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x143cda0, member=member@entry=0x7f1268619e7b "1load()") at kernel/qtimer.cpp:363
#10 0x00007f12686184b6 in KclockModule::save (this=0x143cda0) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f127908a807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 284 Jekyll Wu 2013-05-10 14:55:04 UTC
*** Bug 319616 has been marked as a duplicate of this bug. ***
Comment 285 jp.sorvisto 2013-05-11 06:34:27 UTC
Created attachment 79822 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.2

- What I was doing when the application crashed:
I was setting time zone (using automatic time zone), I selected town and accepted it (OK). Then application crashed. It wasn't able to execute step 6.

-- Backtrace (Reduced):
#7  0xb612f151 in internalWinId (this=<optimized out>) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:241
#8  QWidget::effectiveWinId (this=0x9a1b2c0) at kernel/qwidget.cpp:2618
#9  0xb71f246e in KMessageBox::error (parent=0x9a1b2c0, text=..., caption=..., options=...) at ../../kdeui/dialogs/kmessagebox.cpp:821
#10 0xb2304f17 in KclockModule::save (this=0x9a1b2c0) at ../../../kcontrol/dateandtime/main.cpp:98
#11 0xb750e6fa in KCModuleProxy::save (this=0x9a7a9d8) at ../../kutils/kcmoduleproxy.cpp:279
Comment 286 hondasan91 2013-05-15 20:21:35 UTC
Created attachment 79906 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:
I was setting the time and date on Kubuntu 13.04

-- Backtrace (Reduced):
#8  0xb6c1f3a9 in QObject::connect (sender=0xa106770, signal=0x4 <Address 0x4 out of bounds>, receiver=0x9b604f0, method=0xb256c5bb "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#9  0xb6c251b8 in QSingleShotTimer::QSingleShotTimer (this=0xa106770, msec=5000, receiver=0x9b604f0, member=0xb256c5bb "1load()") at kernel/qtimer.cpp:300
#10 0xb6c25360 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x9b604f0, member=member@entry=0xb256c5bb "1load()") at kernel/qtimer.cpp:363
#11 0xb256aa1c in KclockModule::save (this=0x9b604f0) at ../../../kcontrol/dateandtime/main.cpp:113
#12 0xb750a4da in KCModuleProxy::save (this=this@entry=0x9a5dad8) at ../../kutils/kcmoduleproxy.cpp:279
Comment 287 Jekyll Wu 2013-05-18 18:20:46 UTC
*** Bug 319991 has been marked as a duplicate of this bug. ***
Comment 288 Jekyll Wu 2013-05-20 08:07:47 UTC
*** Bug 320026 has been marked as a duplicate of this bug. ***
Comment 289 Jekyll Wu 2013-05-22 00:33:36 UTC
*** Bug 320113 has been marked as a duplicate of this bug. ***
Comment 290 Jekyll Wu 2013-05-26 15:32:35 UTC
*** Bug 320312 has been marked as a duplicate of this bug. ***
Comment 291 Ben Cooksley 2013-05-26 21:21:24 UTC
Removing onil_dionne@hotmail.com per abuse report.
Comment 292 luke clemens 2013-05-26 21:47:03 UTC
How does one get off this mailing list? This bug was reported in 2010 and it's now 3 YEARS later and obviously no one cares about fixing it.  I just installed Kubuntu 13.04 and the bug STILL exists.  I'm tired of getting almost daily emails whenever someone reports it. Going by the comments here, no one has even looked into it since 2010.

Until the day Kubuntu ditches this digital clock for a different one, I think Ivan D Vasin had the best solution - click Apply and then wait about 8 seconds before pressing OK.

Unchecking "Add me to the CC" list on https://bugs.kde.org/show_bug.cgi?id=242648 and clicking the "Save Changes" button doesn't appear to do anything.  When the page reloads the checkbox is still checked and I keep getting emails. There is a "Save Changes" button at the bottom and the top - neither seem to disable the emails about this bug.

Can anyone remove me from this list?? Or at least divulge the secret on how one might remove him/herself?
Comment 293 Christoph Feck 2013-05-26 22:31:17 UTC
Luke Clemens, check the bottom of this mail (hint: "You are receiving this mail because...")

By the way, it is not true, that nobody looked at it. Read comment #37 (and following), and comment #221.
Comment 294 luke clemens 2013-05-27 07:08:40 UTC
Comment 37 is 3 years old and 221 is just your post saying there haven't
been any developers who could fix it. I didn't say no one looked at it - I
said no one has done so since 2010. I apologize if I sounded like I was
complaining though - since I'm too busy with work to look into fixing it
myself I have no right to complain.

I'm using gmail. Apparently Gmail decided to add a little ellipsis at the
bottom of emails that "trims" the content so that I couldn't see the part
about "You are receiving this mail because".   I never was a big fan of
that "feature".  Thanks for the hint though!


On Sun, May 26, 2013 at 4:31 PM, Christoph Feck <christoph@maxiom.de> wrote:

> https://bugs.kde.org/show_bug.cgi?id=242648
>
> --- Comment #293 from Christoph Feck <christoph@maxiom.de> ---
> Luke Clemens, check the bottom of this mail (hint: "You are receiving this
> mail
> because...")
>
> By the way, it is not true, that nobody looked at it. Read comment #37 (and
> following), and comment #221.
>
> --
> You are receiving this mail because:
> You voted for the bug.
>
Comment 295 Mustafa Muhammad 2013-05-27 12:14:41 UTC
Hi,
this bug is assigned to Dario Freddi, but his last comment was about 3 years ago, Dario Freddi are you still here? if not I suggest we make it assigned to NONE so another developer can look at it.
Comment 296 Jekyll Wu 2013-05-29 09:03:10 UTC
*** Bug 320372 has been marked as a duplicate of this bug. ***
Comment 297 Jekyll Wu 2013-05-30 15:42:43 UTC
*** Bug 320470 has been marked as a duplicate of this bug. ***
Comment 298 sbcontt 2013-05-30 19:32:32 UTC
Created attachment 80191 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

I tried to fix time manually.

- Unusual behavior I noticed:

Systray clock was in UTC.

-- Backtrace (Reduced):
#7  0x00007f84fbc356a3 in QObject::connect (sender=sender@entry=0x1f6f770, signal=0x7f84fbcf911d "timeout()", signal@entry=0x7f84fbcf911c "2timeout()", receiver=receiver@entry=0x2156790, method=0x7f84ebdb6e7c "load()", method@entry=0x7f84ebdb6e7b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#8  0x00007f84fbc3ae1a in QSingleShotTimer::QSingleShotTimer (this=0x1f6f770, msec=5000, receiver=0x2156790, member=0x7f84ebdb6e7b "1load()") at kernel/qtimer.cpp:300
#9  0x00007f84fbc3af66 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x2156790, member=member@entry=0x7f84ebdb6e7b "1load()") at kernel/qtimer.cpp:363
#10 0x00007f84ebdb54b6 in KclockModule::save (this=0x2156790) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f84fcd1d807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 299 Alce 2013-05-31 08:28:00 UTC
Created attachment 80204 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.3) on KDE Platform 4.10.3 using Qt 4.8.2

- What I was doing when the application crashed: Data time shows 2 hours of difference relative to normal hour. Further, when try to syncronice the the time with ntp server, kdemodule crash.

-- Backtrace (Reduced):
#7  0x00007f014b8720f2 in QObject::connect (sender=0x1134c00, signal=<optimized out>, receiver=0xa24cb0, method=0x7f013bc9c6cd "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007f014b879e5a in QSingleShotTimer::QSingleShotTimer (this=0x1134c00, msec=5000, receiver=0xa24cb0, member=0x7f013bc9c6cc "1load()") at kernel/qtimer.cpp:300
#9  0x00007f014b87a00e in QTimer::singleShot (msec=5000, receiver=0xa24cb0, member=0x7f013bc9c6cc "1load()") at kernel/qtimer.cpp:363
#10 0x00007f013bc9abb7 in KclockModule::save (this=0xa24cb0) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f014c997997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 300 Jekyll Wu 2013-06-01 14:09:57 UTC
*** Bug 320569 has been marked as a duplicate of this bug. ***
Comment 301 Jekyll Wu 2013-06-06 01:00:43 UTC
*** Bug 320789 has been marked as a duplicate of this bug. ***
Comment 302 Jekyll Wu 2013-06-09 09:38:29 UTC
*** Bug 320866 has been marked as a duplicate of this bug. ***
Comment 303 Sergio Martins 2013-06-10 21:59:36 UTC
Can anyone make it crash under valgrind and attach the report ?

$ valgrind kcmshell4 clock

Make sure you have debug symbols installed.
Comment 304 Jekyll Wu 2013-06-11 01:44:25 UTC
*** Bug 320963 has been marked as a duplicate of this bug. ***
Comment 305 Alce 2013-06-11 08:00:20 UTC
==6231== Memcheck, a memory error detector
==6231== Copyright (C) 2002-2011, and GNU GPL'd, by Julian Seward et al.
==6231== Using Valgrind-3.7.0 and LibVEX; rerun with -h for copyright info
==6231== Command: kcmshell4 clock
==6231== 
==6231== Invalid read of size 4
==6231==    at 0xA7D60D3: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7D8464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1484: FcInit (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0x6B182F9: qt_init(QApplicationPrivate*, int, _XDisplay*, unsigned long, unsigned long) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6AA5833: QApplicationPrivate::construct(_XDisplay*, unsigned long, unsigned long) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6AA5F79: QApplication::QApplication(int&, char**, bool, int) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x58772F6: KApplication::KApplication(bool) (kapplication.cpp:346)
==6231==    by 0x4E39165: kdemain (main.h:32)
==6231==    by 0x505F76C: (below main) (libc-start.c:226)
==6231==  Address 0xc8e6be4 is 20 bytes inside a block of size 22 alloc'd
==6231==    at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==6231==    by 0xA7D602C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7D8464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1484: FcInit (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0x6B182F9: qt_init(QApplicationPrivate*, int, _XDisplay*, unsigned long, unsigned long) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6AA5833: QApplicationPrivate::construct(_XDisplay*, unsigned long, unsigned long) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6AA5F79: QApplication::QApplication(int&, char**, bool, int) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x58772F6: KApplication::KApplication(bool) (kapplication.cpp:346)
==6231==    by 0x4E39165: kdemain (main.h:32)
==6231== 
==6231== Invalid read of size 4
==6231==    at 0xA7D60E8: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7D8464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==  Address 0xc8eeda0 is 16 bytes inside a block of size 18 alloc'd
==6231==    at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==6231==    by 0xA7D602C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7D8464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231== 
==6231== Invalid read of size 4
==6231==    at 0xA7D60E8: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBE77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==  Address 0xc905258 is 40 bytes inside a block of size 42 alloc'd
==6231==    at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==6231==    by 0xA7D602C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBE77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231== 
==6231== Invalid read of size 4
==6231==    at 0xA7D60D3: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBE77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==  Address 0xc938a64 is 36 bytes inside a block of size 39 alloc'd
==6231==    at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==6231==    by 0xA7D602C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBE77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7E1176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231== 
==6231== Invalid read of size 4
==6231==    at 0xA7D60E8: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBE77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==  Address 0xc95e718 is 24 bytes inside a block of size 27 alloc'd
==6231==    at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==6231==    by 0xA7D602C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBE77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231== 
==6231== Invalid read of size 4
==6231==    at 0xA7D60D3: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7D8464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBE77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==  Address 0xc96ef14 is 20 bytes inside a block of size 22 alloc'd
==6231==    at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==6231==    by 0xA7D602C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7D8464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBA15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EC0FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xBDB96F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBA950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB77C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDB917A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xBDBC75C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==6231==    by 0xA7EBB70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231==    by 0xA7EBE77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==6231== 
==6231== Conditional jump or move depends on uninitialised value(s)
==6231==    at 0x92124E0: inflateReset2 (in /lib/x86_64-linux-gnu/libz.so.1.2.3.4)
==6231==    by 0x92125D8: inflateInit2_ (in /lib/x86_64-linux-gnu/libz.so.1.2.3.4)
==6231==    by 0xAC2D0D3: png_create_read_struct_2 (in /lib/x86_64-linux-gnu/libpng12.so.0.46.0)
==6231==    by 0xAC2D296: png_create_read_struct (in /lib/x86_64-linux-gnu/libpng12.so.0.46.0)
==6231==    by 0x6B999D4: QPngHandlerPrivate::readPngHeader() (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6B99F9C: QPngHandlerPrivate::readPngImage(QImage*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6B692A7: QImageReader::read(QImage*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6B698D6: QImageReader::read() (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6B5E5F1: operator>>(QDataStream&, QImage&) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6B77F51: operator>>(QDataStream&, QPixmap&) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x5823D06: KIconLoaderPrivate::findCachedPixmapWithPath(QString const&, QPixmap&, QString&) (kiconloader.cpp:870)
==6231==    by 0x5823F71: KIconLoader::loadIcon(QString const&, KIconLoader::Group, int, int, QStringList const&, QString*, bool) const (kiconloader.cpp:1149)
==6231== 
==6231== Conditional jump or move depends on uninitialised value(s)
==6231==    at 0x92124E0: inflateReset2 (in /lib/x86_64-linux-gnu/libz.so.1.2.3.4)
==6231==    by 0x92125D8: inflateInit2_ (in /lib/x86_64-linux-gnu/libz.so.1.2.3.4)
==6231==    by 0x5D3FC59: KGzipFilter::init(int, KGzipFilter::Flag) (kgzipfilter.cpp:88)
==6231==    by 0x5D415FA: KFilterDev::open(QFlags<QIODevice::OpenModeFlag>) (kfilterdev.cpp:115)
==6231==    by 0x1894B812: Plasma::SharedSvgRenderer::SharedSvgRenderer(QString const&, QString const&, QHash<QString, QRectF>&, QObject*) (svg.cpp:60)
==6231==    by 0x1894C1E3: Plasma::SvgPrivate::createRenderer() (svg.cpp:425)
==6231==    by 0x1894C71B: Plasma::SvgPrivate::findAndCacheElementRect(QString const&) (svg.cpp:499)
==6231==    by 0x1894CC0D: Plasma::SvgPrivate::elementRect(QString const&) (svg.cpp:491)
==6231==    by 0x1894CE75: Plasma::SvgPrivate::checkColorHints() (svg.cpp:529)
==6231==    by 0x1894D8DD: Plasma::SvgPrivate::setImagePath(QString const&) (svg.cpp:214)
==6231==    by 0x1894DB43: Plasma::Svg::setImagePath(QString const&) (svg.cpp:787)
==6231==    by 0x18574A7E: Kclock::Kclock(QWidget*) (dtime.cpp:306)
==6231== 
false 
==6231== Invalid read of size 8
==6231==    at 0x6A966DC: qt_blend_argb32_on_argb32_ssse3(unsigned char*, int, unsigned char const*, int, int, int, int) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6C68773: QRasterPaintEngine::drawImage(QPointF const&, QImage const&) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6C7372D: QRasterPaintEngine::drawPixmap(QPointF const&, QPixmap const&) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6BF4D0E: QPainter::drawPixmap(QPointF const&, QPixmap const&) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x11A95317: Oxygen::TransitionWidget::paintEvent(QPaintEvent*) (qpainter.h:852)
==6231==    by 0x6AEEF65: QWidget::event(QEvent*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6A9E7B3: QApplicationPrivate::notify_helper(QObject*, QEvent*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6AA3582: QApplication::notify(QObject*, QEvent*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x5875005: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:311)
==6231==    by 0x657B32B: QCoreApplication::notifyInternal(QObject*, QEvent*) (in /usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.2)
==6231==    by 0x6AEAC05: QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6AEB87E: QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==  Address 0xf81a938 is 4,008 bytes inside a block of size 4,012 alloc'd
==6231==    at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==6231==    by 0x6B5C6A5: QImageData::create(QSize const&, QImage::Format, int) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6B5CBDA: QImage::QImage(int, int, QImage::Format) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6B84B54: QRasterPixmapData::resize(int, int) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6B7729C: QPixmap::fill(QColor const&) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x11A9521E: Oxygen::TransitionWidget::paintEvent(QPaintEvent*) (oxygentransitionwidget.cpp:126)
==6231==    by 0x6AEEF65: QWidget::event(QEvent*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6A9E7B3: QApplicationPrivate::notify_helper(QObject*, QEvent*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x6AA3582: QApplication::notify(QObject*, QEvent*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231==    by 0x5875005: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:311)
==6231==    by 0x657B32B: QCoreApplication::notifyInternal(QObject*, QEvent*) (in /usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.2)
==6231==    by 0x6AEAC05: QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) (in /usr/lib/x86_64-linux-gnu/libQtGui.so.4.8.2)
==6231== 
==6231== 
==6231== HEAP SUMMARY:
==6231==     in use at exit: 769,948 bytes in 6,477 blocks
==6231==   total heap usage: 625,477 allocs, 619,000 frees, 171,658,716 bytes allocated
==6231== 
==6231== LEAK SUMMARY:
==6231==    definitely lost: 5,532 bytes in 46 blocks
==6231==    indirectly lost: 16,622 bytes in 241 blocks
==6231==      possibly lost: 220,004 bytes in 1,576 blocks
==6231==    still reachable: 527,790 bytes in 4,614 blocks
==6231==         suppressed: 0 bytes in 0 blocks
==6231== Rerun with --leak-check=full to see details of leaked memory
==6231== 
==6231== For counts of detected and suppressed errors, rerun with: -v
==6231== Use --track-origins=yes to see where uninitialised values come from
==6231== ERROR SUMMARY: 351 errors from 9 contexts (suppressed: 2 from 2)

(In reply to comment #303)
> Can anyone make it crash under valgrind and attach the report ?
> 
> $ valgrind kcmshell4 clock
> 
> Make sure you have debug symbols installed.
Comment 306 Jekyll Wu 2013-06-16 13:25:55 UTC
*** Bug 321215 has been marked as a duplicate of this bug. ***
Comment 307 beautyisintheeyeofthebeholder1 2013-06-22 08:51:23 UTC
Created attachment 80706 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.4) on KDE Platform 4.10.4 using Qt 4.8.4

- What I was doing when the application crashed:

trying to set the tinme to the correct time again

-- Backtrace (Reduced):
#7  0x00007f68c184c6a3 in QObject::connect (sender=sender@entry=0x164be10, signal=0x7f68c191011d "timeout()", signal@entry=0x7f68c191011c "2timeout()", receiver=receiver@entry=0x1297920, method=0x7f68b1f20e7c "load()", method@entry=0x7f68b1f20e7b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#8  0x00007f68c1851e1a in QSingleShotTimer::QSingleShotTimer (this=0x164be10, msec=5000, receiver=0x1297920, member=0x7f68b1f20e7b "1load()") at kernel/qtimer.cpp:300
#9  0x00007f68c1851f66 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x1297920, member=member@entry=0x7f68b1f20e7b "1load()") at kernel/qtimer.cpp:363
#10 0x00007f68b1f1f4b6 in KclockModule::save (this=0x1297920) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f68c2934807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 308 Jekyll Wu 2013-06-26 01:57:39 UTC
*** Bug 321618 has been marked as a duplicate of this bug. ***
Comment 309 Jekyll Wu 2013-07-05 12:49:08 UTC
*** Bug 321989 has been marked as a duplicate of this bug. ***
Comment 310 Jekyll Wu 2013-07-10 09:25:03 UTC
*** Bug 322180 has been marked as a duplicate of this bug. ***
Comment 311 Jekyll Wu 2013-07-11 08:55:23 UTC
*** Bug 322224 has been marked as a duplicate of this bug. ***
Comment 312 Jekyll Wu 2013-07-11 15:15:22 UTC
*** Bug 322241 has been marked as a duplicate of this bug. ***
Comment 313 Jekyll Wu 2013-07-13 09:16:26 UTC
*** Bug 322301 has been marked as a duplicate of this bug. ***
Comment 314 Jekyll Wu 2013-07-13 14:45:25 UTC
*** Bug 322305 has been marked as a duplicate of this bug. ***
Comment 315 Jekyll Wu 2013-07-15 12:08:26 UTC
*** Bug 322384 has been marked as a duplicate of this bug. ***
Comment 316 Jekyll Wu 2013-07-15 14:45:53 UTC
*** Bug 322393 has been marked as a duplicate of this bug. ***
Comment 317 Jekyll Wu 2013-07-18 00:47:45 UTC
*** Bug 322508 has been marked as a duplicate of this bug. ***
Comment 318 Jekyll Wu 2013-07-19 23:51:18 UTC
*** Bug 322589 has been marked as a duplicate of this bug. ***
Comment 319 Jekyll Wu 2013-07-21 02:09:26 UTC
*** Bug 322638 has been marked as a duplicate of this bug. ***
Comment 320 Jekyll Wu 2013-07-26 01:25:38 UTC
*** Bug 322824 has been marked as a duplicate of this bug. ***
Comment 321 Ashlar 2013-07-26 23:29:38 UTC
Created attachment 81366 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.5) on KDE Platform 4.10.5 using Qt 4.8.4

- What I was doing when the application crashed:

Attempted to set clock to use timeserver. Received a cannot authenticate error upon applying the setting, followed by a crash.

-- Backtrace (Reduced):
#6  data (this=0x2e6c6c6568736d6b) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:135
[...]
#9  QAbstractButton::setChecked (this=0x2e6c6c6568736d63, checked=checked@entry=false) at widgets/qabstractbutton.cpp:738
#10 0x00007f60b964a8af in Dtime::processHelperErrors (this=0x19976d0, code=4) at ../../../kcontrol/dateandtime/dtime.cpp:271
#11 0x00007f60b964f500 in KclockModule::save (this=0x1995280) at ../../../kcontrol/dateandtime/main.cpp:100
#12 0x00007f60c9c67807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 322 segarcia1 2013-07-28 05:57:16 UTC
Created attachment 81399 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.5) on KDE Platform 4.10.5 using Qt 4.8.4

- What I was doing when the application crashed:
I was trying to change the time on my digital clock widget on the taskbar. When I clicked automatically adjust and pressed ok, a message appeared saying it coudn't be done. 
- Custom settings of the application:

-- Backtrace (Reduced):
#7  0x00007f71406b06a3 in QObject::connect (sender=sender@entry=0x236a4d0, signal=0x7f714077411d "timeout()", signal@entry=0x7f714077411c "2timeout()", receiver=receiver@entry=0x1c40000, method=0x7f7130e57e7c "load()", method@entry=0x7f7130e57e7b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#8  0x00007f71406b5e1a in QSingleShotTimer::QSingleShotTimer (this=0x236a4d0, msec=5000, receiver=0x1c40000, member=0x7f7130e57e7b "1load()") at kernel/qtimer.cpp:300
#9  0x00007f71406b5f66 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x1c40000, member=member@entry=0x7f7130e57e7b "1load()") at kernel/qtimer.cpp:363
#10 0x00007f7130e564b6 in KclockModule::save (this=0x1c40000) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f7141796807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 323 thing1138 2013-07-28 20:14:01 UTC
Comment on attachment 81399 [details]
New crash information added by DrKonqi

I have since switched to gnome 3. This bug can be closed.
Comment 324 James Grimes 2013-08-01 05:28:52 UTC
Created attachment 81499 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.5) on KDE Platform 4.10.5 using Qt 4.8.4

- What I was doing when the application crashed:

setting time auto update from time server

-- Backtrace (Reduced):
#7  0x00007f4c114ac6a3 in QObject::connect (sender=sender@entry=0x2e3f3c0, signal=0x7f4c1157011d "timeout()", signal@entry=0x7f4c1157011c "2timeout()", receiver=receiver@entry=0x2471110, method=0x7f4c01c5fe7c "load()", method@entry=0x7f4c01c5fe7b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#8  0x00007f4c114b1e1a in QSingleShotTimer::QSingleShotTimer (this=0x2e3f3c0, msec=5000, receiver=0x2471110, member=0x7f4c01c5fe7b "1load()") at kernel/qtimer.cpp:300
#9  0x00007f4c114b1f66 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x2471110, member=member@entry=0x7f4c01c5fe7b "1load()") at kernel/qtimer.cpp:363
#10 0x00007f4c01c5e4b6 in KclockModule::save (this=0x2471110) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f4c12592807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 325 Jekyll Wu 2013-08-02 06:51:17 UTC
*** Bug 323097 has been marked as a duplicate of this bug. ***
Comment 326 Jekyll Wu 2013-08-04 13:43:58 UTC
*** Bug 323162 has been marked as a duplicate of this bug. ***
Comment 327 Jekyll Wu 2013-08-10 22:27:14 UTC
*** Bug 323352 has been marked as a duplicate of this bug. ***
Comment 328 Jekyll Wu 2013-08-17 01:23:59 UTC
*** Bug 323615 has been marked as a duplicate of this bug. ***
Comment 329 Jekyll Wu 2013-08-18 08:49:26 UTC
*** Bug 323665 has been marked as a duplicate of this bug. ***
Comment 330 vince 2013-08-20 20:11:19 UTC
Created attachment 81821 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.5) on KDE Platform 4.10.5 using Qt 4.8.4

- What I was doing when the application crashed:
Each time I start up the time changes.I have to reset each time.When I press ok it crashes.

-- Backtrace (Reduced):
#6  0x00007fac653346a1 in QObject::connect (sender=sender@entry=0x1ed95e0, signal=0x7fac653f811d "timeout()", signal@entry=0x7fac653f811c "2timeout()", receiver=receiver@entry=0x1adf520, method=0x7fac55acde7c "load()", method@entry=0x7fac55acde7b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#7  0x00007fac65339e1a in QSingleShotTimer::QSingleShotTimer (this=0x1ed95e0, msec=5000, receiver=0x1adf520, member=0x7fac55acde7b "1load()") at kernel/qtimer.cpp:300
#8  0x00007fac65339f66 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x1adf520, member=member@entry=0x7fac55acde7b "1load()") at kernel/qtimer.cpp:363
#9  0x00007fac55acc4b6 in KclockModule::save (this=0x1adf520) at ../../../kcontrol/dateandtime/main.cpp:113
#10 0x00007fac6641a807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 331 Sergio Martins 2013-08-20 21:06:05 UTC
Can anyone reproduce this without the Oxygen theme ? I'm trying to see if the above valgrind log makes any sense.
Comment 332 Jekyll Wu 2013-08-25 16:29:33 UTC
*** Bug 324007 has been marked as a duplicate of this bug. ***
Comment 333 Jekyll Wu 2013-08-25 16:29:36 UTC
*** Bug 324015 has been marked as a duplicate of this bug. ***
Comment 334 xandry 2013-08-25 20:15:30 UTC
Created attachment 81927 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.5 "release 4") on KDE Platform 4.10.5 "release 4" using Qt 4.8.5

- What I was doing when the application crashed:
I have run the module set the date and time, then chose "to set the date and time automatically" and click "Apply."
The window for entering the root password, and I entered the password.
Then I clicked "OK" and the window for entering the password appears again. I entered the password and start up kdbg.

- Unusual behavior I noticed:
Must provide a root password twice.

-- Backtrace (Reduced):
#7  0x00007f0ab9ed5513 in QObject::connect (sender=0x2cc6790, signal=0x7f0ab9f97e64 "timeout()", receiver=0x298da50, method=0x7f0a9ffc5744 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2600
#8  0x00007f0ab9ed92ca in QSingleShotTimer::QSingleShotTimer (this=0x2cc6790, msec=5000, receiver=0x298da50, member=0x7f0a9ffc5743 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f0ab9ed9476 in QTimer::singleShot (msec=5000, receiver=0x298da50, member=0x7f0a9ffc5743 "1load()") at kernel/qtimer.cpp:363
[...]
#11 0x00007f0aac000b27 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.10.5/kutils/kcmoduleproxy.cpp:279
#12 0x00007f0aabffe4a0 in KCMultiDialogPrivate::apply (this=<optimized out>) at /usr/src/debug/kdelibs-4.10.5/kutils/kcmultidialog.cpp:300
Comment 335 Axel Krebs 2013-08-26 18:08:44 UTC
(In reply to comment #334)
> Created attachment 81927 [details]
> New crash information added by DrKonqi
> 
> kcmshell4 (4.10.5 "release 4") on KDE Platform 4.10.5 "release 4" using Qt
> 4.8.5
> 
> - What I was doing when the application crashed:
> I have run the module set the date and time, then chose "to set the date and
> time automatically" and click "Apply."
> The window for entering the root password, and I entered the password.
> Then I clicked "OK" and the window for entering the password appears again.
> I entered the password and start up kdbg.
> 
> - Unusual behavior I noticed:
> Must provide a root password twice.
> 
> -- Backtrace (Reduced):
> #7  0x00007f0ab9ed5513 in QObject::connect (sender=0x2cc6790,
> signal=0x7f0ab9f97e64 "timeout()", receiver=0x298da50, method=0x7f0a9ffc5744
> "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2600
> #8  0x00007f0ab9ed92ca in QSingleShotTimer::QSingleShotTimer
> (this=0x2cc6790, msec=5000, receiver=0x298da50, member=0x7f0a9ffc5743
> "1load()") at kernel/qtimer.cpp:300
> #9  0x00007f0ab9ed9476 in QTimer::singleShot (msec=5000, receiver=0x298da50,
> member=0x7f0a9ffc5743 "1load()") at kernel/qtimer.cpp:363
> [...]
> #11 0x00007f0aac000b27 in KCModuleProxy::save (this=<optimized out>) at
> /usr/src/debug/kdelibs-4.10.5/kutils/kcmoduleproxy.cpp:279
> #12 0x00007f0aabffe4a0 in KCMultiDialogPrivate::apply (this=<optimized out>)
> at /usr/src/debug/kdelibs-4.10.5/kutils/kcmultidialog.cpp:300

Dear all:

I estimate KDE development very high. And I know, there ar fantastic ideas around galore.

To say it before my comment: I am neither programmer, nor software specialist. 
But I am engineer with PD dregree and I am an European degree Quality manager. 
In both regards, I had to learn some systematics. 

(reflecting KDE, even caring more such a piece of software)

When I  consider the development of this BUG over several douzend of KDE versions, OSs, targeting around the 350th coment and/or bug reports I get some sligth doubts. 

- Could there be an inherent mistake, maybe OS-design?

- Where there too ambiogous intentions involved?

- There is some basic issues going wrong, if the time _between_ two OS releases does not keep up to resolve a bug. At the moment, we have the sixth release since 2011?

- It helps sometimes, to put questions the other way round: which preconditions/prerequisites had to be fulfilled to resolve that problem conclusively?

- I am wondering, if the development manpower can meet to demand for continuing such a complex development. 

Maybe there is a central control instance to guide such processes?

I hope so. Very much.

Please think about it. 

A non-programming friend of KDE.


Axel
Comment 336 Axel Krebs 2013-08-26 18:09:53 UTC
Am 25.08.2013 22:15, schrieb xandry:
> https://bugs.kde.org/show_bug.cgi?id=242648
> 
> --- Comment #334 from xandry <avm-xandry@yandex.ru> ---
> Created attachment 81927 [details]
>   --> https://bugs.kde.org/attachment.cgi?id=81927&action=edit
> New crash information added by DrKonqi
> 
> kcmshell4 (4.10.5 "release 4") on KDE Platform 4.10.5 "release 4" using Qt
> 4.8.5
> 
> - What I was doing when the application crashed:
> I have run the module set the date and time, then chose "to set the date and
> time automatically" and click "Apply."
> The window for entering the root password, and I entered the password.
> Then I clicked "OK" and the window for entering the password appears again. I
> entered the password and start up kdbg.
> 
> - Unusual behavior I noticed:
> Must provide a root password twice.
> 
> -- Backtrace (Reduced):
> #7  0x00007f0ab9ed5513 in QObject::connect (sender=0x2cc6790,
> signal=0x7f0ab9f97e64 "timeout()", receiver=0x298da50, method=0x7f0a9ffc5744
> "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2600
> #8  0x00007f0ab9ed92ca in QSingleShotTimer::QSingleShotTimer (this=0x2cc6790,
> msec=5000, receiver=0x298da50, member=0x7f0a9ffc5743 "1load()") at
> kernel/qtimer.cpp:300
> #9  0x00007f0ab9ed9476 in QTimer::singleShot (msec=5000, receiver=0x298da50,
> member=0x7f0a9ffc5743 "1load()") at kernel/qtimer.cpp:363
> [...]
> #11 0x00007f0aac000b27 in KCModuleProxy::save (this=<optimized out>) at
> /usr/src/debug/kdelibs-4.10.5/kutils/kcmoduleproxy.cpp:279
> #12 0x00007f0aabffe4a0 in KCMultiDialogPrivate::apply (this=<optimized out>) at
> /usr/src/debug/kdelibs-4.10.5/kutils/kcmultidialog.cpp:300
> 
(In reply to comment #334)
> Created attachment 81927 [details]
> New crash information added by DrKonqi
>
> kcmshell4 (4.10.5 "release 4") on KDE Platform 4.10.5 "release 4" using Qt
> 4.8.5
>
> - What I was doing when the application crashed:
> I have run the module set the date and time, then chose "to set the
date and
> time automatically" and click "Apply."
> The window for entering the root password, and I entered the password.
> Then I clicked "OK" and the window for entering the password appears
again.
> I entered the password and start up kdbg.
>
> - Unusual behavior I noticed:
> Must provide a root password twice.
>
> -- Backtrace (Reduced):
> #7  0x00007f0ab9ed5513 in QObject::connect (sender=0x2cc6790,
> signal=0x7f0ab9f97e64 "timeout()", receiver=0x298da50,
method=0x7f0a9ffc5744
> "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2600
> #8  0x00007f0ab9ed92ca in QSingleShotTimer::QSingleShotTimer
> (this=0x2cc6790, msec=5000, receiver=0x298da50, member=0x7f0a9ffc5743
> "1load()") at kernel/qtimer.cpp:300
> #9  0x00007f0ab9ed9476 in QTimer::singleShot (msec=5000,
receiver=0x298da50,
> member=0x7f0a9ffc5743 "1load()") at kernel/qtimer.cpp:363
> [...]
> #11 0x00007f0aac000b27 in KCModuleProxy::save (this=<optimized out>) at
> /usr/src/debug/kdelibs-4.10.5/kutils/kcmoduleproxy.cpp:279
> #12 0x00007f0aabffe4a0 in KCMultiDialogPrivate::apply (this=<optimized
out>)
> at /usr/src/debug/kdelibs-4.10.5/kutils/kcmultidialog.cpp:300

Dear all:

I estimate KDE development very high. And I know, there ar fantastic
ideas around galore.

To say it before my comment: I am neither programmer, nor software
specialist.
But I am engineer with PD dregree and I am an European degree Quality
manager.
In both regards, I had to learn some systematics.

(reflecting KDE, even caring more such a piece of software)

When I consider the development of this BUG over several douzend of KDE
versions, OSs, targeting around the 350th coment and/or bug reports I
get some sligth doubts.

- Could there be an inherent mistake, maybe OS-design?
- Where there too ambiogous intentions involved?

- There is some basic issues going wrong, if the time _between_ two OS
releases does not keep up to resolve a bug. At the moment, we have the
sixth release since 2011?

- It helps sometimes, to put questions the other way round: which
preconditions/prerequisites had to be fulfilled to resolve that problem
conclusively?

- I am wondering, if the development manpower can meet to demand for
continuing such a complex development.

Maybe there is a central control instance to guide such processes?

I hope so. Very much.

Please think about it.

A non-programming friend of KDE.


Axel
Comment 337 Jekyll Wu 2013-08-27 03:35:51 UTC
*** Bug 324091 has been marked as a duplicate of this bug. ***
Comment 338 gaminster 2013-08-27 23:26:33 UTC
Created attachment 81979 [details]
New crash information added by DrKonqi

kcmshell4 (4.11.00) on KDE Platform 4.11.00 using Qt 4.8.3

- What I was doing when the application crashed:

Crash after adjusting time to automatic and applying the changes. I have to set time manually on each reboot.

-- Backtrace (Reduced):
#7  0x00007f9097942e13 in QObject::connect (sender=0x2915f70, signal=0x7f90979fe904 "timeout()", receiver=0x283d9b0, method=0x7f90881d28ed "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007f9097946b4a in QSingleShotTimer::QSingleShotTimer (this=0x2915f70, msec=5000, receiver=0x283d9b0, member=0x7f90881d28ec "1load()") at kernel/qtimer.cpp:300
#9  0x00007f9097946cf6 in QTimer::singleShot (msec=5000, receiver=0x283d9b0, member=0x7f90881d28ec "1load()") at kernel/qtimer.cpp:363
[...]
#11 0x00007f9098a5fab7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:280
#12 0x00007f9098a5c900 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
Comment 339 Vegelen 2013-09-01 05:49:03 UTC
Created attachment 82077 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.5) on KDE Platform 4.10.5 using Qt 4.8.4

- What I was doing when the application crashed: 

London Time Zone Correctly Set, but clock not showing UK Summer Time GMT (+1), so Clock currently 1 hr behind time.

User Right Clicks On Clock Followed By:

Adjust Date And Time >Date And Time Zone > Set Date And Time Automatically (ticked)> OK

Error Response Message: "Unable to authenticate/execute the action: 6," Appears. 

- Custom settings of the application:

-- Backtrace (Reduced):
#6  0x00007f4255c596a1 in QObject::connect (sender=sender@entry=0x19016a0, signal=0x7f4255d1d11d "timeout()", signal@entry=0x7f4255d1d11c "2timeout()", receiver=receiver@entry=0x1ac0fb0, method=0x7f42463f4e7c "load()", method@entry=0x7f42463f4e7b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#7  0x00007f4255c5ee1a in QSingleShotTimer::QSingleShotTimer (this=0x19016a0, msec=5000, receiver=0x1ac0fb0, member=0x7f42463f4e7b "1load()") at kernel/qtimer.cpp:300
#8  0x00007f4255c5ef66 in QTimer::singleShot (msec=5000, receiver=0x1ac0fb0, member=0x7f42463f4e7b "1load()") at kernel/qtimer.cpp:363
[...]
#10 0x00007f4256d3f807 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
#11 0x00007f4256d3bb60 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
Comment 340 Jekyll Wu 2013-09-03 11:14:16 UTC
*** Bug 324449 has been marked as a duplicate of this bug. ***
Comment 341 reikbohne 2013-09-03 11:28:36 UTC
Please unsubscribe me from the cc-list.

Thanks.
 

Gesendet: Dienstag, 03. September 2013 um 13:14 Uhr
Von: "Jekyll Wu" <adaptee@gmail.com>
An: reikbohne@web.de
Betreff: [kdelibs] [Bug 242648] Crash due to partial KAuth support in System Settings
https://bugs.kde.org/show_bug.cgi?id=242648

Jekyll Wu <adaptee@gmail.com> changed:

What |Removed |Added
----------------------------------------------------------------------------
CC| |fermatslittletheorem@yahoo.
| |com

--- Comment #340 from Jekyll Wu <adaptee@gmail.com> ---
*** Bug 324449 has been marked as a duplicate of this bug. ***

--
You are receiving this mail because:
You are on the CC list for the bug.
Comment 342 bugtrackingkde 2013-09-04 18:16:59 UTC
Created attachment 82164 [details]
New crash information added by DrKonqi

kcmshell4 (4.10.5 "release 1") on KDE Platform 4.10.5 "release 1" using Qt 4.8.4

- What I was doing when the application crashed:

I   was just setting time to ntp. Everytime I try, the same error 6 appears. Timezone or something similar is lost at each reboot (the hours are not good, but the minutes are). Recurrent bug...

-- Backtrace (Reduced):
#6  0x00007f5ff47f608f in QWidget::testAttribute_helper (this=this@entry=0x10461c0, attribute=attribute@entry=Qt::WA_WState_Created) at kernel/qwidget.cpp:11068
#7  0x00007f5ff47f6f0a in testAttribute (attribute=Qt::WA_WState_Created, this=0x10461c0) at ../../src/gui/kernel/qwidget.h:1042
#8  QWidget::effectiveWinId (this=0x10461c0) at kernel/qwidget.cpp:2623
#9  0x00007f5ff633e4ef in KMessageBox::error (parent=<optimized out>, text=..., caption=..., options=...) at /usr/src/debug/kdelibs-4.10.5/kdeui/dialogs/kmessagebox.cpp:821
#10 0x00007f5fde001506 in Dtime::processHelperErrors (this=0x10461c0, code=4) at /usr/src/debug/kde-workspace-4.10.5/kcontrol/dateandtime/dtime.cpp:270
Comment 343 Jekyll Wu 2013-09-09 22:27:18 UTC
*** Bug 324705 has been marked as a duplicate of this bug. ***
Comment 344 Jekyll Wu 2013-09-28 23:36:25 UTC
*** Bug 325392 has been marked as a duplicate of this bug. ***
Comment 345 kde4 2013-09-29 13:12:33 UTC
Created attachment 82541 [details]
New crash information added by DrKonqi

kcmshell4 (4.11.1) on KDE Platform 4.11.1 using Qt 4.8.4

- What I was doing when the application crashed:

Suddenly clock has changed from 2:30 pm to 12:30pm. Before there was clock and date. Now I see wrong time and no data but "utc".  When I put mouse cursor on it i see stupid information  about time: 

utc: 2:30 pm
Warsaw: 2:30 pm

Local time is set to CET/Warsaw everywhere.
My question is from when CET become the same as UTC?

I clicked to time settings and ONLY turn on automatic clock update via server - but that caused  crash.

I used google and people had same problem on April/18/2007! So what is the sense to send this report if no one has idea how to fix it guys for 6 years! It's better to pay for new Windows! 

- Unusual behavior I noticed:

-- Backtrace (Reduced):
#8  0xb6c2d3a9 in QObject::connect (sender=0xa6770a8, signal=0x4 <Address 0x4 out of bounds>, receiver=0x9f8c780, method=0xb256d89b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#9  0xb6c331b8 in QSingleShotTimer::QSingleShotTimer (this=0xa6770a8, msec=5000, receiver=0x9f8c780, member=0xb256d89b "1load()") at kernel/qtimer.cpp:300
#10 0xb6c33360 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x9f8c780, member=member@entry=0xb256d89b "1load()") at kernel/qtimer.cpp:363
#11 0xb256bc8c in KclockModule::save (this=0x9f8c780) at ../../../kcontrol/dateandtime/main.cpp:113
#12 0xb75185da in KCModuleProxy::save (this=this@entry=0x9e8bae0) at ../../kutils/kcmoduleproxy.cpp:280
Comment 346 kde4 2013-09-29 13:51:29 UTC
Created attachment 82542 [details]
New crash information added by DrKonqi

kcmshell4 (4.11.1) on KDE Platform 4.11.1 using Qt 4.8.4

- What I was doing when the application crashed:

after turn on laptop time zone and time changed again

-- Backtrace (Reduced):
#7  0xb6c4d3a7 in QObject::connect (sender=0x8dd8630, signal=0x4 <Address 0x4 out of bounds>, receiver=0x856a638, method=0xb258d89b "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2587
#8  0xb6c531b8 in QSingleShotTimer::QSingleShotTimer (this=0x8dd8630, msec=5000, receiver=0x856a638, member=0xb258d89b "1load()") at kernel/qtimer.cpp:300
#9  0xb6c53360 in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x856a638, member=member@entry=0xb258d89b "1load()") at kernel/qtimer.cpp:363
#10 0xb258bc8c in KclockModule::save (this=0x856a638) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0xb75385da in KCModuleProxy::save (this=this@entry=0x85fb140) at ../../kutils/kcmoduleproxy.cpp:280
Comment 347 Jekyll Wu 2013-10-07 09:18:37 UTC
*** Bug 325734 has been marked as a duplicate of this bug. ***
Comment 348 Jekyll Wu 2013-10-10 04:09:01 UTC
*** Bug 325831 has been marked as a duplicate of this bug. ***
Comment 349 jacob.becker 2013-10-16 09:08:08 UTC
Created attachment 82874 [details]
New crash information added by DrKonqi

kcmshell4 (4.11.2) on KDE Platform 4.11.2 using Qt 4.8.2

- What I was doing when the application crashed:

Open Date & Time Setting
untag und retag the Checkbox above the Timeserver field
Click on "Apply"
Click on "OK"
Get a strang error message abot not beein authenticated (can't remebmer the exact message)

-- Backtrace (Reduced):
#7  0x00007fe22713c0f2 in QObject::connect (sender=0x2452080, signal=<optimized out>, receiver=0x220abb0, method=0x7fe2176db96d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007fe227143e5a in QSingleShotTimer::QSingleShotTimer (this=0x2452080, msec=5000, receiver=0x220abb0, member=0x7fe2176db96c "1load()") at kernel/qtimer.cpp:300
#9  0x00007fe22714400e in QTimer::singleShot (msec=5000, receiver=0x220abb0, member=0x7fe2176db96c "1load()") at kernel/qtimer.cpp:363
#10 0x00007fe2176d9df7 in KclockModule::save (this=0x220abb0) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007fe22825dab7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:280
Comment 350 Jekyll Wu 2013-10-16 09:58:04 UTC
*** Bug 326086 has been marked as a duplicate of this bug. ***
Comment 351 Jekyll Wu 2013-10-17 01:52:16 UTC
*** Bug 326108 has been marked as a duplicate of this bug. ***
Comment 352 Jekyll Wu 2013-10-18 22:35:34 UTC
*** Bug 326241 has been marked as a duplicate of this bug. ***
Comment 353 Jekyll Wu 2013-10-18 22:50:09 UTC
*** Bug 326221 has been marked as a duplicate of this bug. ***
Comment 354 Jekyll Wu 2013-10-19 20:29:33 UTC
*** Bug 326290 has been marked as a duplicate of this bug. ***
Comment 355 Jekyll Wu 2013-10-24 13:32:04 UTC
*** Bug 326564 has been marked as a duplicate of this bug. ***
Comment 356 Jekyll Wu 2013-10-26 18:07:57 UTC
*** Bug 326696 has been marked as a duplicate of this bug. ***
Comment 357 Jekyll Wu 2013-11-04 03:42:18 UTC
*** Bug 327111 has been marked as a duplicate of this bug. ***
Comment 358 Jekyll Wu 2013-11-04 23:36:06 UTC
*** Bug 327134 has been marked as a duplicate of this bug. ***
Comment 359 Jekyll Wu 2013-11-06 12:13:39 UTC
*** Bug 327215 has been marked as a duplicate of this bug. ***
Comment 360 Ben Cooksley 2013-11-06 19:02:46 UTC
Removing kai_armer@hotmail.com from CC list per abuse report.
Comment 361 ponchorat1968 2013-11-10 21:59:45 UTC
Created attachment 83480 [details]
New crash information added by DrKonqi

systemsettings (4.11.2) on KDE Platform 4.11.2 using Qt 4.8.2

Changing time to automatic from user set info of timezone UK

-- Backtrace (Reduced):
#6  0x00007fe876ca6870 in vtable for QStandardItemModel () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#7  0x00007fe87555d0f2 in QObject::connect (sender=0x64dd550, signal=<optimized out>, receiver=0x4f026d0, method=0x7fe79d91296d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007fe875564e5a in QSingleShotTimer::QSingleShotTimer (this=0x64dd550, msec=5000, receiver=0x4f026d0, member=0x7fe79d91296c "1load()") at kernel/qtimer.cpp:300
#9  0x00007fe87556500e in QTimer::singleShot (msec=5000, receiver=0x4f026d0, member=0x7fe79d91296c "1load()") at kernel/qtimer.cpp:363
#10 0x00007fe79d910df7 in KclockModule::save (this=0x4f026d0) at ../../../kcontrol/dateandtime/main.cpp:113
Comment 362 Sergei 2013-11-11 08:26:44 UTC
Created attachment 83483 [details]
New crash information added by DrKonqi

kcmshell4 (4.11.2) on KDE Platform 4.11.2 using Qt 4.8.4

- What I was doing when the application crashed:

1) marked checkbox on automatic set date and time
2) after press button apply and then ok
3) crashed kcmshell4

-- Backtrace (Reduced):
#6  0x00007f7c95321fae in QWidget::testAttribute_helper (this=this@entry=0x1ee5310, attribute=attribute@entry=Qt::WA_WState_Created) at kernel/qwidget.cpp:11068
#7  0x00007f7c953226ba in testAttribute (attribute=Qt::WA_WState_Created, this=0x1ee5310) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:1042
#8  QWidget::effectiveWinId (this=this@entry=0x1ee5310) at kernel/qwidget.cpp:2623
#9  0x00007f7c96b7e3d1 in KMessageBox::error (parent=parent@entry=0x1ee5310, text=..., caption=..., options=...) at ../../kdeui/dialogs/kmessagebox.cpp:821
#10 0x00007f7c86b20938 in Dtime::processHelperErrors (this=0x1ee5310, code=4) at ../../../kcontrol/dateandtime/dtime.cpp:278
Comment 363 Ben Cooksley 2013-11-13 05:39:55 UTC
Removing fermatslittletheorem@yahoo.com from CC list per abuse report.
Comment 364 Jekyll Wu 2013-11-17 08:39:32 UTC
*** Bug 327713 has been marked as a duplicate of this bug. ***
Comment 365 federicoponti 2013-11-20 17:42:38 UTC
Created attachment 83658 [details]
New crash information added by DrKonqi

kcmshell4 (4.11.2) on KDE Platform 4.11.2 using Qt 4.8.5

i was set automatically update time from the server

-- Backtrace (Reduced):
#6  0x00007f58f2de9f57 in QObject::connect (sender=sender@entry=0x104ad80, signal=0x7f58f2eaf48d "timeout()", signal@entry=0x7f58f2eaf48c "2timeout()", receiver=receiver@entry=0xafba40, method=0x7f58d8a97dc5 "load()", method@entry=0x7f58d8a97dc4 "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2600
#7  0x00007f58f2df1e8c in QSingleShotTimer::QSingleShotTimer (this=0x104ad80, msec=5000, receiver=0xafba40, member=0x7f58d8a97dc4 "1load()") at kernel/qtimer.cpp:300
#8  0x00007f58f2df1f4e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0xafba40, member=member@entry=0x7f58d8a97dc4 "1load()") at kernel/qtimer.cpp:363
#9  0x00007f58d8a96ca3 in KclockModule::save (this=0xafba40) at /usr/src/debug/kde-workspace-4.11.2/kcontrol/dateandtime/main.cpp:113
#10 0x00007f58e2f42927 in KCModuleProxy::save (this=this@entry=0xb95ec0) at /usr/src/debug/kdelibs-4.11.2/kutils/kcmoduleproxy.cpp:280
Comment 366 Jekyll Wu 2013-12-10 10:40:05 UTC
*** Bug 328610 has been marked as a duplicate of this bug. ***
Comment 367 Jekyll Wu 2013-12-10 10:40:10 UTC
*** Bug 328611 has been marked as a duplicate of this bug. ***
Comment 368 Jekyll Wu 2013-12-18 14:59:20 UTC
*** Bug 328965 has been marked as a duplicate of this bug. ***
Comment 369 Jekyll Wu 2013-12-20 00:38:18 UTC
*** Bug 329014 has been marked as a duplicate of this bug. ***
Comment 370 Jekyll Wu 2013-12-20 22:58:48 UTC
*** Bug 329034 has been marked as a duplicate of this bug. ***
Comment 371 Jekyll Wu 2013-12-21 09:44:37 UTC
*** Bug 329062 has been marked as a duplicate of this bug. ***
Comment 372 Jekyll Wu 2013-12-30 03:48:34 UTC
*** Bug 329396 has been marked as a duplicate of this bug. ***
Comment 373 Jekyll Wu 2014-01-27 15:34:13 UTC
*** Bug 330464 has been marked as a duplicate of this bug. ***
Comment 374 krishneuh 2014-02-04 12:34:19 UTC
Created attachment 84989 [details]
New crash information added by DrKonqi

kcmshell4 (4.12.1) on KDE Platform 4.12.1 using Qt 4.8.6

- Custom settings of the application:
Crash when I pressed OK twice in the Date & Time KDE Control Module

-- Backtrace (Reduced):
#7  0x00007f26d540da59 in QObject::connect (sender=sender@entry=0xf31ed0, signal=0x7f26d54d2f6d "timeout()", signal@entry=0x7f26d54d2f6c "2timeout()", receiver=receiver@entry=0x8bf870, method=0x7f26c585251d "load()", method@entry=0x7f26c585251c "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2583
#8  0x00007f26d541597c in QSingleShotTimer::QSingleShotTimer (this=0xf31ed0, msec=5000, receiver=0x8bf870, member=0x7f26c585251c "1load()") at kernel/qtimer.cpp:300
#9  0x00007f26d5415a3e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x8bf870, member=member@entry=0x7f26c585251c "1load()") at kernel/qtimer.cpp:363
#10 0x00007f26c5851423 in KclockModule::save (this=0x8bf870) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f26d6504327 in KCModuleProxy::save (this=this@entry=0x8544a0) at ../../kutils/kcmoduleproxy.cpp:280
Comment 375 Jekyll Wu 2014-02-08 00:30:29 UTC
*** Bug 330892 has been marked as a duplicate of this bug. ***
Comment 376 Jekyll Wu 2014-02-13 18:36:56 UTC
*** Bug 331112 has been marked as a duplicate of this bug. ***
Comment 377 Ben Cooksley 2014-02-16 07:06:15 UTC
Removing dishantbt05@yahoo.com from CC per abuse report.
Comment 378 Jekyll Wu 2014-02-17 02:57:14 UTC
*** Bug 331175 has been marked as a duplicate of this bug. ***
Comment 379 Jekyll Wu 2014-02-17 18:24:18 UTC
*** Bug 331247 has been marked as a duplicate of this bug. ***
Comment 380 Jekyll Wu 2014-02-25 00:41:33 UTC
*** Bug 331454 has been marked as a duplicate of this bug. ***
Comment 381 Roman 2014-02-28 16:51:19 UTC
Created attachment 85363 [details]
New crash information added by DrKonqi

kcmshell4 (4.11.5) on KDE Platform 4.11.5 using Qt 4.8.5

- What I was doing when the application crashed:
Clock was showing wrong time, so I've opened it, disabled and then enabled automatic synchronizing, Then dialog asking password came up after clicking ok, error occured.

-- Backtrace (Reduced):
#7  0x00007f0029866f59 in QObject::connect (sender=sender@entry=0x2bb5bf0, signal=0x7f002992c48d "timeout()", signal@entry=0x7f002992c48c "2timeout()", receiver=receiver@entry=0x2725e10, method=0x7f000f5f2dc5 "load()", method@entry=0x7f000f5f2dc4 "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2600
#8  0x00007f002986ee8c in QSingleShotTimer::QSingleShotTimer (this=0x2bb5bf0, msec=5000, receiver=0x2725e10, member=0x7f000f5f2dc4 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f002986ef4e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x2725e10, member=member@entry=0x7f000f5f2dc4 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f000f5f1ca3 in KclockModule::save (this=0x2725e10) at /usr/src/debug/kde-workspace-4.11.6/kcontrol/dateandtime/main.cpp:113
#11 0x00007f00199bc927 in KCModuleProxy::save (this=this@entry=0x27308c0) at /usr/src/debug/kdelibs-4.11.5/kutils/kcmoduleproxy.cpp:280
Comment 382 Ettore Atalan 2014-03-02 10:15:41 UTC
Created attachment 85380 [details]
New crash information added by DrKonqi

systemsettings (4.12.2) on KDE Platform 4.12.2 using Qt 4.8.6

- What I was doing when the application crashed:

I was trying to change the time zone, but the application crashed instead of applying my changes.

-- Backtrace (Reduced):
#7  0x00007fcfd5f42cd9 in QObject::connect (sender=sender@entry=0x2f6b8e0, signal=0x7fcfd6007c0d "timeout()", signal@entry=0x7fcfd6007c0c "2timeout()", receiver=receiver@entry=0x25a4fe0, method=0x7fcfba2e34fd "load()", method@entry=0x7fcfba2e34fc "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2583
#8  0x00007fcfd5f4ac0c in QSingleShotTimer::QSingleShotTimer (this=0x2f6b8e0, msec=5000, receiver=0x25a4fe0, member=0x7fcfba2e34fc "1load()") at kernel/qtimer.cpp:300
#9  0x00007fcfd5f4acce in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x25a4fe0, member=member@entry=0x7fcfba2e34fc "1load()") at kernel/qtimer.cpp:363
#10 0x00007fcfba2e2433 in KclockModule::save (this=0x25a4fe0) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007fcfd7f022a7 in KCModuleProxy::save (this=this@entry=0x2cb4060) at ../../kutils/kcmoduleproxy.cpp:280
Comment 383 Jekyll Wu 2014-03-13 01:24:50 UTC
*** Bug 332080 has been marked as a duplicate of this bug. ***
Comment 384 prbrooks 2014-03-18 21:57:18 UTC
Created attachment 85632 [details]
New crash information added by DrKonqi

kcmshell4 (4.11.5) on KDE Platform 4.11.5 using Qt 4.8.5

- What I was doing when the application crashed:

Enabling the use of a NTP in the adjust Digital Clock options menu.

-- Backtrace (Reduced):
#7  0x00007f4367d4bf59 in QObject::connect (sender=sender@entry=0x189cb10, signal=0x7f4367e1148d "timeout()", signal@entry=0x7f4367e1148c "2timeout()", receiver=receiver@entry=0x14e4d00, method=0x7f434d98adc5 "load()", method@entry=0x7f434d98adc4 "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2600
#8  0x00007f4367d53e8c in QSingleShotTimer::QSingleShotTimer (this=0x189cb10, msec=5000, receiver=0x14e4d00, member=0x7f434d98adc4 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f4367d53f4e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x14e4d00, member=member@entry=0x7f434d98adc4 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f434d989ca3 in KclockModule::save (this=0x14e4d00) at /usr/src/debug/kde-workspace-4.11.6/kcontrol/dateandtime/main.cpp:113
#11 0x00007f4357ea1927 in KCModuleProxy::save (this=this@entry=0x1529990) at /usr/src/debug/kdelibs-4.11.5/kutils/kcmoduleproxy.cpp:280
Comment 385 Jekyll Wu 2014-03-22 17:01:01 UTC
*** Bug 332445 has been marked as a duplicate of this bug. ***
Comment 386 Jeremy Richards 2014-03-28 10:15:58 UTC
Created attachment 85806 [details]
New crash information added by DrKonqi

kcmshell4 (4.12.3) on KDE Platform 4.12.3 using Qt 4.8.5

- What I was doing when the application crashed: Running VLC player, Chromium browser, Thunderbird email client, and Dolphin File exploerer. Tried to change the time zone,  crashed but time zone was successfully changed. 

- Unusual behavior I noticed: None just the crash

- Custom settings of the application: none

-- Backtrace (Reduced):
#7  0x00000037f0d99f7e in QObject::connect (sender=sender@entry=0x165b7a0, signal=0x37f0e61bed "timeout()", signal@entry=0x37f0e61bec "2timeout()", receiver=receiver@entry=0x138a0a0, method=0x7fd11421ea45 "load()", method@entry=0x7fd11421ea44 "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2591
#8  0x00000037f0da227c in QSingleShotTimer::QSingleShotTimer (this=0x165b7a0, msec=5000, receiver=0x138a0a0, member=0x7fd11421ea44 "1load()") at kernel/qtimer.cpp:300
#9  0x00000037f0da236e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x138a0a0, member=member@entry=0x7fd11421ea44 "1load()") at kernel/qtimer.cpp:363
#10 0x00007fd11421d8f3 in KclockModule::save (this=0x138a0a0) at /usr/src/debug/kde-workspace-4.11.7/kcontrol/dateandtime/main.cpp:113
#11 0x0000003807621997 in KCModuleProxy::save (this=this@entry=0x1380740) at /usr/src/debug/kdelibs-4.12.3/kutils/kcmoduleproxy.cpp:280
Comment 387 Flavio 2014-03-28 10:37:21 UTC
This bug has being open for 4 years now. Is it still being worked on? If nobody wants to touch it, close it with WONTFIX because that is the correct status in that case.
Comment 388 Jekyll Wu 2014-04-01 07:53:26 UTC
*** Bug 332878 has been marked as a duplicate of this bug. ***
Comment 389 Momo 2014-04-05 23:19:07 UTC
Created attachment 85970 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

- Custom settings of the application:
started adjusting date and time.
entabled date and time automatiqually
tried to save (clique OK) and the application crashed.

-- Backtrace (Reduced):
#7  0x00007fe60e3e5bf2 in QObject::connect (sender=0xd85670, signal=<optimized out>, receiver=0xa8e2b0, method=0x7fe5feb403f1 "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007fe60e3ed95a in QSingleShotTimer::QSingleShotTimer (this=0xd85670, msec=5000, receiver=0xa8e2b0, member=0x7fe5feb403f0 "1load()") at kernel/qtimer.cpp:300
#9  0x00007fe60e3edb0e in QTimer::singleShot (msec=5000, receiver=0xa8e2b0, member=0x7fe5feb403f0 "1load()") at kernel/qtimer.cpp:363
#10 0x00007fe5feb3e840 in KclockModule::save (this=0xa8e2b0) at ../../../kcontrol/dateandtime/main.cpp:109
#11 0x00007fe60f505997 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:279
Comment 390 Denis 2014-04-20 18:11:32 UTC
Created attachment 86188 [details]
New crash information added by DrKonqi

kcmshell4 (4.13.0) on KDE Platform 4.13.0 using Qt 4.8.6

- What I was doing when the application crashed:
I've enabled time sync with external NTP server

-- Backtrace (Reduced):
#6  0x00007fc713564a67 in QObject::connect (sender=sender@entry=0x1abbd30, signal=0x7fc71362996d "timeout()", signal@entry=0x7fc71362996c "2timeout()", receiver=receiver@entry=0x1bf7fd0, method=0x7fc7034d24dd "load()", method@entry=0x7fc7034d24dc "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2583
#7  0x00007fc71356c98c in QSingleShotTimer::QSingleShotTimer (this=0x1abbd30, msec=5000, receiver=0x1bf7fd0, member=0x7fc7034d24dc "1load()") at kernel/qtimer.cpp:300
#8  0x00007fc71356ca4e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x1bf7fd0, member=member@entry=0x7fc7034d24dc "1load()") at kernel/qtimer.cpp:363
#9  0x00007fc7034d1423 in KclockModule::save (this=0x1bf7fd0) at ../../../kcontrol/dateandtime/main.cpp:113
#10 0x00007fc71465a327 in KCModuleProxy::save (this=this@entry=0x1a61660) at ../../kutils/kcmoduleproxy.cpp:280
Comment 391 ponchorat1968 2014-05-13 01:30:25 UTC
Created attachment 86600 [details]
New crash information added by DrKonqi

kcmshell4 (4.13.0) on KDE Platform 4.13.0 using Qt 4.8.2

- What I was doing when the application crashed:
Noticed the clock was out by about 5 minutes so decided to adjust the clock time and when I clicked on OK/Apply it crashed

-- Backtrace (Reduced):
#7  0x00007ff869d2a0f2 in QObject::connect (sender=0x245dcb0, signal=<optimized out>, receiver=0x1c889a0, method=0x7ff85a11c96d "load()", type=Qt::AutoConnection) at kernel/qobject.cpp:2588
#8  0x00007ff869d31e5a in QSingleShotTimer::QSingleShotTimer (this=0x245dcb0, msec=5000, receiver=0x1c889a0, member=0x7ff85a11c96c "1load()") at kernel/qtimer.cpp:300
#9  0x00007ff869d3200e in QTimer::singleShot (msec=5000, receiver=0x1c889a0, member=0x7ff85a11c96c "1load()") at kernel/qtimer.cpp:363
#10 0x00007ff85a11adf7 in KclockModule::save (this=0x1c889a0) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007ff86ae4cab7 in KCModuleProxy::save (this=<optimized out>) at ../../kutils/kcmoduleproxy.cpp:280
Comment 392 Евгений Цвигун 2014-05-27 16:06:37 UTC
Created attachment 86861 [details]
New crash information added by DrKonqi

kcmshell4 (4.11.5) on KDE Platform 4.11.5 using Qt 4.8.5

- What I was doing when the application crashed:

Selected a different timeserver in date&time settings, pressed "apply" then "ok"

-- Backtrace (Reduced):
#6  0x00007f5874740f57 in QObject::connect (sender=sender@entry=0x263b180, signal=0x7f587480648d "timeout()", signal@entry=0x7f587480648c "2timeout()", receiver=receiver@entry=0x21d4360, method=0x7f585a411dc5 "load()", method@entry=0x7f585a411dc4 "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2600
#7  0x00007f5874748e8c in QSingleShotTimer::QSingleShotTimer (this=0x263b180, msec=5000, receiver=0x21d4360, member=0x7f585a411dc4 "1load()") at kernel/qtimer.cpp:300
#8  0x00007f5874748f4e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x21d4360, member=member@entry=0x7f585a411dc4 "1load()") at kernel/qtimer.cpp:363
#9  0x00007f585a410ca3 in KclockModule::save (this=0x21d4360) at /usr/src/debug/kde-workspace-4.11.9/kcontrol/dateandtime/main.cpp:113
#10 0x00007f5864895927 in KCModuleProxy::save (this=this@entry=0x21ac730) at /usr/src/debug/kdelibs-4.11.5/kutils/kcmoduleproxy.cpp:280
Comment 393 acebulf 2014-07-21 22:04:30 UTC
Created attachment 87868 [details]
New crash information (saved from DrKonqi crash)

DrKonqi crashed (how ironic), but I managed to save this to disk before it crashed.
Comment 394 clay.p.adams 2015-01-16 04:28:54 UTC
Created attachment 90443 [details]
New crash information added by DrKonqi

kcmshell4 (4.14.3) on KDE Platform 4.14.3 using Qt 4.8.6

- What I was doing when the application crashed:

I set the NTP server by checking the "Set date and time automatically" button. The time updated correctly after clicking "Apply".

When I clicked "OK", the crash occurred. It appears that making any changes in Date and Time will cause the application to crash if I click "OK"

-- Backtrace (Reduced):
#7  0x00007faa7b9744e9 in QObject::connect (sender=sender@entry=0x24dfdd0, signal=<optimized out>, signal@entry=0x7faa7ba3c56c "2timeout()", receiver=receiver@entry=0x25f8f30, method=0x7faa55df8885 "load()", method@entry=0x7faa55df8884 "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2611
#8  0x00007faa7b97c77c in QSingleShotTimer::QSingleShotTimer (this=this@entry=0x24dfdd0, msec=msec@entry=5000, receiver=receiver@entry=0x25f8f30, member=member@entry=0x7faa55df8884 "1load()") at kernel/qtimer.cpp:300
#9  0x00007faa7b97c85e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x25f8f30, member=member@entry=0x7faa55df8884 "1load()") at kernel/qtimer.cpp:363
#10 0x00007faa55df7763 in KclockModule::save (this=0x25f8f30) at /usr/src/debug/kde-workspace-4.11.14/kcontrol/dateandtime/main.cpp:113
#11 0x00007faa62e097a7 in KCModuleProxy::save (this=this@entry=0x25e4c10) at /usr/src/debug/kdelibs-4.14.3/kutils/kcmoduleproxy.cpp:280
Comment 395 Thibaut Renaux 2015-03-17 18:36:56 UTC
Created attachment 91605 [details]
New crash information added by DrKonqi

kcmshell4 (4.14.2) on KDE Platform 4.14.2 using Qt 4.8.6

I'm just going to add my voice to all the others, instead of repeating the same thing. Also, fun fact: I had to click "View duplicate bug" *seven* times in order to get to the proper one. That's how common this bug is.

-- Backtrace (Reduced):
#7  0x00007ffb5fc299a9 in QObject::connect (sender=sender@entry=0xc65750, signal=<optimized out>, signal@entry=0x7ffb5fcf19ec "2timeout()", receiver=receiver@entry=0x874c10, method=0x7ffb4f7b77dd "load()", method@entry=0x7ffb4f7b77dc "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2611
#8  0x00007ffb5fc31cec in QSingleShotTimer::QSingleShotTimer (this=this@entry=0xc65750, msec=msec@entry=5000, receiver=receiver@entry=0x874c10, member=member@entry=0x7ffb4f7b77dc "1load()") at kernel/qtimer.cpp:300
#9  0x00007ffb5fc31dce in QTimer::singleShot (msec=5000, receiver=0x874c10, member=0x7ffb4f7b77dc "1load()") at kernel/qtimer.cpp:363
[...]
#11 0x00007ffb60da1787 in KCModuleProxy::save (this=this@entry=0x85e010) at ../../kutils/kcmoduleproxy.cpp:280
#12 0x00007ffb60d9c8b0 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
Comment 396 wintonian 2015-04-16 16:30:50 UTC
Created attachment 92083 [details]
New crash information added by DrKonqi

kcmshell4 (4.14.6) on KDE Platform 4.14.6 using Qt 4.8.6

Started this reports at bug #345221 and 16 dups later I end up here.

Perhaps a suggestion to remove the Date & Time module from KDE might be a good idea, as it seems to be less than useless and clearly no one has the time/ know-how to fix it.

-- Backtrace (Reduced):
#7  0x0000003965b9bf69 in QObject::connect (sender=sender@entry=0x18b2400, signal=<optimized out>, signal@entry=0x3965c6402c "2timeout()", receiver=receiver@entry=0x1323e70, method=0x7fe2a94d7885 "load()", method@entry=0x7fe2a94d7884 "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2611
#8  0x0000003965ba41fc in QSingleShotTimer::QSingleShotTimer (this=this@entry=0x18b2400, msec=msec@entry=5000, receiver=receiver@entry=0x1323e70, member=member@entry=0x7fe2a94d7884 "1load()") at kernel/qtimer.cpp:300
#9  0x0000003965ba42de in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0x1323e70, member=member@entry=0x7fe2a94d7884 "1load()") at kernel/qtimer.cpp:363
#10 0x00007fe2a94d6763 in KclockModule::save (this=0x1323e70) at /usr/src/debug/kde-workspace-4.11.16/kcontrol/dateandtime/main.cpp:113
#11 0x0000003a4c8227a7 in KCModuleProxy::save (this=this@entry=0x131d9a0) at /usr/src/debug/kdelibs-4.14.6/kutils/kcmoduleproxy.cpp:280
Comment 397 Christoph Feck 2015-05-16 19:06:41 UTC
*** Bug 346813 has been marked as a duplicate of this bug. ***
Comment 398 Christoph Feck 2015-05-16 19:07:16 UTC
*** Bug 345911 has been marked as a duplicate of this bug. ***
Comment 399 Christoph Feck 2015-05-17 10:43:08 UTC
*** Bug 346819 has been marked as a duplicate of this bug. ***
Comment 400 tsheibar 2015-05-28 19:10:39 UTC
Application: kcmshell4 (4.11.5)
KDE Platform Version: 4.11.5
Qt Version: 4.8.5
Operating System: Linux 3.11.10-29-desktop x86_64
Distribution: "openSUSE 13.1 (Bottle) (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
Rebooted my system, and changed the time, as I have always had to do after a reboot - switch from UTC to Pacific time. I wasn't actually running anything; I had just rebooted the machine, and changing the time was the first thing I did.

The crash can be reproduced every time.

-- Backtrace:
Application: KDE Control Module (kcmshell4), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f3a39019780 (LWP 1879))]

Thread 2 (Thread 0x7f3a1c996700 (LWP 1880)):
#0  0x00007f3a3663000d in poll () from /lib64/libc.so.6
#1  0x00007f3a33541604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f3a33541a6a in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f3a1ce8bc16 in ?? () from /usr/lib64/libgio-2.0.so.0
#4  0x00007f3a33566035 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f3a378cf0db in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3a36638ddd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f3a39019780 (LWP 1879)):
[KCrash Handler]
#6  0x0000000000a86caa in ?? ()
#7  0x00007f3a37c7af59 in QObject::connect (sender=sender@entry=0xdb1330, signal=0x7f3a37d4048d "timeout()", signal@entry=0x7f3a37d4048c "2timeout()", receiver=receiver@entry=0xa79950, method=0x7f3a1d97cdc5 "load()", method@entry=0x7f3a1d97cdc4 "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2600
#8  0x00007f3a37c82e8c in QSingleShotTimer::QSingleShotTimer (this=0xdb1330, msec=5000, receiver=0xa79950, member=0x7f3a1d97cdc4 "1load()") at kernel/qtimer.cpp:300
#9  0x00007f3a37c82f4e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0xa79950, member=member@entry=0x7f3a1d97cdc4 "1load()") at kernel/qtimer.cpp:363
#10 0x00007f3a1d97bca3 in KclockModule::save (this=0xa79950) at /usr/src/debug/kde-workspace-4.11.12/kcontrol/dateandtime/main.cpp:113
#11 0x00007f3a27dc8927 in KCModuleProxy::save (this=this@entry=0xa9c4a0) at /usr/src/debug/kdelibs-4.11.5/kutils/kcmoduleproxy.cpp:280
#12 0x00007f3a27dc4ba8 in KCMultiDialogPrivate::apply (this=<optimized out>) at /usr/src/debug/kdelibs-4.11.5/kutils/kcmultidialog.cpp:300
#13 0x00007f3a37c79d68 in QMetaObject::activate (sender=0x99c050, m=m@entry=0x7f3a38e22800 <KPushButton::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff05915b20) at kernel/qobject.cpp:3556
#14 0x00007f3a38acebff in KPushButton::authorized (this=<optimized out>, _t1=0x8deb50) at /usr/src/debug/kdelibs-4.11.5/build/kdeui/kpushbutton.moc:142
#15 0x00007f3a37c79d68 in QMetaObject::activate (sender=sender@entry=0x99c050, m=m@entry=0x7f3a378b0e20 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7fff05915c50) at kernel/qobject.cpp:3556
#16 0x00007f3a3742e552 in QAbstractButton::clicked (this=this@entry=0x99c050, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:219
#17 0x00007f3a37192543 in QAbstractButtonPrivate::emitClicked (this=this@entry=0x99b2c0) at widgets/qabstractbutton.cpp:548
#18 0x00007f3a371936b3 in QAbstractButtonPrivate::click (this=this@entry=0x99b2c0) at widgets/qabstractbutton.cpp:541
#19 0x00007f3a3719379c in QAbstractButton::mouseReleaseEvent (this=0x99c050, e=0x7fff05916140) at widgets/qabstractbutton.cpp:1123
#20 0x00007f3a36e34dfe in QWidget::event (this=0x99c050, event=0x7fff05916140) at kernel/qwidget.cpp:8376
#21 0x00007f3a36de58ac in QApplicationPrivate::notify_helper (this=this@entry=0x7be730, receiver=receiver@entry=0x99c050, e=e@entry=0x7fff05916140) at kernel/qapplication.cpp:4562
#22 0x00007f3a36debfad in QApplication::notify (this=this@entry=0x7fff05916a50, receiver=receiver@entry=0x99c050, e=e@entry=0x7fff05916140) at kernel/qapplication.cpp:4105
#23 0x00007f3a38a0d18a in KApplication::notify (this=0x7fff05916a50, receiver=0x99c050, event=0x7fff05916140) at /usr/src/debug/kdelibs-4.11.5/kdeui/kernel/kapplication.cpp:311
#24 0x00007f3a37c660ad in QCoreApplication::notifyInternal (this=0x7fff05916a50, receiver=receiver@entry=0x99c050, event=event@entry=0x7fff05916140) at kernel/qcoreapplication.cpp:949
#25 0x00007f3a36deb763 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#26 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x99c050, event=event@entry=0x7fff05916140, alienWidget=alienWidget@entry=0x99c050, nativeWidget=nativeWidget@entry=0x9662a0, buttonDown=buttonDown@entry=0x7f3a378c3278 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3173
#27 0x00007f3a36e5cf7b in QETWidget::translateMouseEvent (this=this@entry=0x9662a0, event=event@entry=0x7fff059164b0) at kernel/qapplication_x11.cpp:4528
#28 0x00007f3a36e5b9ec in QApplication::x11ProcessEvent (this=0x7fff05916a50, event=event@entry=0x7fff059164b0) at kernel/qapplication_x11.cpp:3651
#29 0x00007f3a36e82882 in x11EventSourceDispatch (s=0x7bfd20, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0x00007f3a33541316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#31 0x00007f3a33541668 in ?? () from /usr/lib64/libglib-2.0.so.0
#32 0x00007f3a3354170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#33 0x00007f3a37c92d55 in QEventDispatcherGlib::processEvents (this=0x723630, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#34 0x00007f3a36e82936 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f3a37c64d0f in QEventLoop::processEvents (this=this@entry=0x7fff059168a0, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007f3a37c65005 in QEventLoop::exec (this=this@entry=0x7fff059168a0, flags=...) at kernel/qeventloop.cpp:204
#37 0x00007f3a37287d4c in QDialog::exec (this=this@entry=0x9662a0) at dialogs/qdialog.cpp:562
#38 0x00007f3a22ded335 in kdemain (_argc=<optimized out>, _argv=<optimized out>) at /usr/src/debug/kde-runtime-4.11.5/kcmshell/main.cpp:297
#39 0x000000000040879e in _start ()

Possible duplicates by query: bug 347694, bug 346813, bug 345911, bug 345221, bug 344853.

Report to https://bugs.kde.org/
Comment 401 siris.spb 2015-05-29 08:01:08 UTC
Created attachment 92901 [details]
attachment-21694-0.html

Please unsubscribe me from the cc-list.

Thanks.

2015-05-28 22:10 GMT+03:00 <tsheibar@gmail.com>:

> https://bugs.kde.org/show_bug.cgi?id=242648
>
> tsheibar@gmail.com changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|                            |tsheibar@gmail.com
>
> --- Comment #400 from tsheibar@gmail.com ---
> Application: kcmshell4 (4.11.5)
> KDE Platform Version: 4.11.5
> Qt Version: 4.8.5
> Operating System: Linux 3.11.10-29-desktop x86_64
> Distribution: "openSUSE 13.1 (Bottle) (x86_64)"
>
> -- Information about the crash:
> - What I was doing when the application crashed:
> Rebooted my system, and changed the time, as I have always had to do after
> a
> reboot - switch from UTC to Pacific time. I wasn't actually running
> anything; I
> had just rebooted the machine, and changing the time was the first thing I
> did.
>
> The crash can be reproduced every time.
>
> -- Backtrace:
> Application: KDE Control Module (kcmshell4), signal: Segmentation fault
> Using host libthread_db library "/lib64/libthread_db.so.1".
> [Current thread is 1 (Thread 0x7f3a39019780 (LWP 1879))]
>
> Thread 2 (Thread 0x7f3a1c996700 (LWP 1880)):
> #0  0x00007f3a3663000d in poll () from /lib64/libc.so.6
> #1  0x00007f3a33541604 in ?? () from /usr/lib64/libglib-2.0.so.0
> #2  0x00007f3a33541a6a in g_main_loop_run () from
> /usr/lib64/libglib-2.0.so.0
> #3  0x00007f3a1ce8bc16 in ?? () from /usr/lib64/libgio-2.0.so.0
> #4  0x00007f3a33566035 in ?? () from /usr/lib64/libglib-2.0.so.0
> #5  0x00007f3a378cf0db in start_thread () from /lib64/libpthread.so.0
> #6  0x00007f3a36638ddd in clone () from /lib64/libc.so.6
>
> Thread 1 (Thread 0x7f3a39019780 (LWP 1879)):
> [KCrash Handler]
> #6  0x0000000000a86caa in ?? ()
> #7  0x00007f3a37c7af59 in QObject::connect (sender=sender@entry=0xdb1330,
> signal=0x7f3a37d4048d "timeout()", signal@entry=0x7f3a37d4048c
> "2timeout()",
> receiver=receiver@entry=0xa79950, method=0x7f3a1d97cdc5 "load()",
> method@entry=0x7f3a1d97cdc4 "1load()", type=Qt::AutoConnection,
> type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2600
> #8  0x00007f3a37c82e8c in QSingleShotTimer::QSingleShotTimer
> (this=0xdb1330,
> msec=5000, receiver=0xa79950, member=0x7f3a1d97cdc4 "1load()") at
> kernel/qtimer.cpp:300
> #9  0x00007f3a37c82f4e in QTimer::singleShot (msec=msec@entry=5000,
> receiver=receiver@entry=0xa79950, member=member@entry=0x7f3a1d97cdc4
> "1load()")
> at kernel/qtimer.cpp:363
> #10 0x00007f3a1d97bca3 in KclockModule::save (this=0xa79950) at
> /usr/src/debug/kde-workspace-4.11.12/kcontrol/dateandtime/main.cpp:113
> #11 0x00007f3a27dc8927 in KCModuleProxy::save (this=this@entry=0xa9c4a0)
> at
> /usr/src/debug/kdelibs-4.11.5/kutils/kcmoduleproxy.cpp:280
> #12 0x00007f3a27dc4ba8 in KCMultiDialogPrivate::apply (this=<optimized
> out>) at
> /usr/src/debug/kdelibs-4.11.5/kutils/kcmultidialog.cpp:300
> #13 0x00007f3a37c79d68 in QMetaObject::activate (sender=0x99c050,
> m=m@entry=0x7f3a38e22800 <KPushButton::staticMetaObject>,
> local_signal_index=local_signal_index@entry=0, argv=argv@entry
> =0x7fff05915b20)
> at kernel/qobject.cpp:3556
> #14 0x00007f3a38acebff in KPushButton::authorized (this=<optimized out>,
> _t1=0x8deb50) at
> /usr/src/debug/kdelibs-4.11.5/build/kdeui/kpushbutton.moc:142
> #15 0x00007f3a37c79d68 in QMetaObject::activate (sender=sender@entry
> =0x99c050,
> m=m@entry=0x7f3a378b0e20 <QAbstractButton::staticMetaObject>,
> local_signal_index=local_signal_index@entry=2, argv=argv@entry
> =0x7fff05915c50)
> at kernel/qobject.cpp:3556
> #16 0x00007f3a3742e552 in QAbstractButton::clicked (this=this@entry
> =0x99c050,
> _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:219
> #17 0x00007f3a37192543 in QAbstractButtonPrivate::emitClicked
> (this=this@entry=0x99b2c0) at widgets/qabstractbutton.cpp:548
> #18 0x00007f3a371936b3 in QAbstractButtonPrivate::click
> (this=this@entry=0x99b2c0) at widgets/qabstractbutton.cpp:541
> #19 0x00007f3a3719379c in QAbstractButton::mouseReleaseEvent
> (this=0x99c050,
> e=0x7fff05916140) at widgets/qabstractbutton.cpp:1123
> #20 0x00007f3a36e34dfe in QWidget::event (this=0x99c050,
> event=0x7fff05916140)
> at kernel/qwidget.cpp:8376
> #21 0x00007f3a36de58ac in QApplicationPrivate::notify_helper
> (this=this@entry=0x7be730, receiver=receiver@entry=0x99c050,
> e=e@entry=0x7fff05916140) at kernel/qapplication.cpp:4562
> #22 0x00007f3a36debfad in QApplication::notify (this=this@entry
> =0x7fff05916a50,
> receiver=receiver@entry=0x99c050, e=e@entry=0x7fff05916140) at
> kernel/qapplication.cpp:4105
> #23 0x00007f3a38a0d18a in KApplication::notify (this=0x7fff05916a50,
> receiver=0x99c050, event=0x7fff05916140) at
> /usr/src/debug/kdelibs-4.11.5/kdeui/kernel/kapplication.cpp:311
> #24 0x00007f3a37c660ad in QCoreApplication::notifyInternal
> (this=0x7fff05916a50, receiver=receiver@entry=0x99c050,
> event=event@entry=0x7fff05916140) at kernel/qcoreapplication.cpp:949
> #25 0x00007f3a36deb763 in sendEvent (event=<optimized out>,
> receiver=<optimized
> out>) at ../../src/corelib/kernel/qcoreapplication.h:231
> #26 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x99c050,
> event=event@entry=0x7fff05916140, alienWidget=alienWidget@entry=0x99c050,
> nativeWidget=nativeWidget@entry=0x9662a0,
> buttonDown=buttonDown@entry=0x7f3a378c3278 <qt_button_down>,
> lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at
> kernel/qapplication.cpp:3173
> #27 0x00007f3a36e5cf7b in QETWidget::translateMouseEvent
> (this=this@entry=0x9662a0, event=event@entry=0x7fff059164b0) at
> kernel/qapplication_x11.cpp:4528
> #28 0x00007f3a36e5b9ec in QApplication::x11ProcessEvent
> (this=0x7fff05916a50,
> event=event@entry=0x7fff059164b0) at kernel/qapplication_x11.cpp:3651
> #29 0x00007f3a36e82882 in x11EventSourceDispatch (s=0x7bfd20, callback=0x0,
> user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
> #30 0x00007f3a33541316 in g_main_context_dispatch () from
> /usr/lib64/libglib-2.0.so.0
> #31 0x00007f3a33541668 in ?? () from /usr/lib64/libglib-2.0.so.0
> #32 0x00007f3a3354170c in g_main_context_iteration () from
> /usr/lib64/libglib-2.0.so.0
> #33 0x00007f3a37c92d55 in QEventDispatcherGlib::processEvents
> (this=0x723630,
> flags=...) at kernel/qeventdispatcher_glib.cpp:425
> #34 0x00007f3a36e82936 in QGuiEventDispatcherGlib::processEvents
> (this=<optimized out>, flags=...) at
> kernel/qguieventdispatcher_glib.cpp:204
> #35 0x00007f3a37c64d0f in QEventLoop::processEvents
> (this=this@entry=0x7fff059168a0, flags=...) at kernel/qeventloop.cpp:149
> #36 0x00007f3a37c65005 in QEventLoop::exec (this=this@entry
> =0x7fff059168a0,
> flags=...) at kernel/qeventloop.cpp:204
> #37 0x00007f3a37287d4c in QDialog::exec (this=this@entry=0x9662a0) at
> dialogs/qdialog.cpp:562
> #38 0x00007f3a22ded335 in kdemain (_argc=<optimized out>, _argv=<optimized
> out>) at /usr/src/debug/kde-runtime-4.11.5/kcmshell/main.cpp:297
> #39 0x000000000040879e in _start ()
>
> Possible duplicates by query: bug 347694, bug 346813, bug 345911, bug
> 345221,
> bug 344853.
>
> Report to https://bugs.kde.org/
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 402 Ben Cooksley 2015-05-29 09:47:49 UTC
Unsubscribing siris.spb@gmail.com per their request.
Note that anyone can edit the subscription list for this bug.
Comment 403 helloween89 2015-05-30 17:37:49 UTC
Is the same issue to setup the time using the ntp server to established the time, fail with a message related with a 6 code about authentication.

Application: Módulo de control de KDE (kcmshell4), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f161689d7c0 (LWP 4618))]

Thread 3 (Thread 0x7f15f4670700 (LWP 4619)):
#0  0x00007f16161cc82d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f1610dd0c10 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1610d8fb14 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1610d8ff7b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1610d9030a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f15f4b79336 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#6  0x00007f1610db4f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f16118bb182 in start_thread (arg=0x7f15f4670700) at pthread_create.c:312
#8  0x00007f16161db47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f15f3040700 (LWP 4620)):
#0  0x00007f16161cc82d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f1610dd0c10 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1610d8fb14 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1610d8ff7b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1610d900ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f1614de57be in QEventDispatcherGlib::processEvents (this=0x7f15e40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0x00007f1614db70af in QEventLoop::processEvents (this=this@entry=0x7f15f303fde0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f1614db73a5 in QEventLoop::exec (this=this@entry=0x7f15f303fde0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f1614cb3c5f in QThread::exec (this=this@entry=0x10498b0) at thread/qthread.cpp:537
#9  0x00007f1614d98823 in QInotifyFileSystemWatcherEngine::run (this=0x10498b0) at io/qfilesystemwatcher_inotify.cpp:265
#10 0x00007f1614cb632f in QThreadPrivate::start (arg=0x10498b0) at thread/qthread_unix.cpp:349
#11 0x00007f16118bb182 in start_thread (arg=0x7f15f3040700) at pthread_create.c:312
#12 0x00007f16161db47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f161689d7c0 (LWP 4618)):
[KCrash Handler]
#6  0x0000000000000000 in ?? ()
#7  0x00007f1614dcda69 in QObject::connect (sender=sender@entry=0xa97fd0, signal=0x7f1614e9296d "timeout()", signal@entry=0x7f1614e9296c "2timeout()", receiver=receiver@entry=0xb50b20, method=0x7f1604e35efd "load()", method@entry=0x7f1604e35efc "1load()", type=Qt::AutoConnection, type@entry=Qt::AutoCompatConnection) at kernel/qobject.cpp:2583
#8  0x00007f1614dd598c in QSingleShotTimer::QSingleShotTimer (this=0xa97fd0, msec=5000, receiver=0xb50b20, member=0x7f1604e35efc "1load()") at kernel/qtimer.cpp:300
#9  0x00007f1614dd5a4e in QTimer::singleShot (msec=msec@entry=5000, receiver=receiver@entry=0xb50b20, member=member@entry=0x7f1604e35efc "1load()") at kernel/qtimer.cpp:363
#10 0x00007f1604e34e73 in KclockModule::save (this=0xb50b20) at ../../../kcontrol/dateandtime/main.cpp:113
#11 0x00007f1615ec3327 in KCModuleProxy::save (this=this@entry=0x9aa2d0) at ../../kutils/kcmoduleproxy.cpp:280
#12 0x00007f1615ebf5a8 in KCMultiDialogPrivate::apply (this=<optimized out>) at ../../kutils/kcmultidialog.cpp:300
#13 0x00007f1614dcc87a in QMetaObject::activate (sender=0xb24ce0, m=m@entry=0x7f1615e928a0 <KPushButton::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff231e97f0) at kernel/qobject.cpp:3539
#14 0x00007f1615b3fb4f in KPushButton::authorized (this=<optimized out>, _t1=0xb26430) at ./kpushbutton.moc:142
#15 0x00007f1614dcc87a in QMetaObject::activate (sender=sender@entry=0xb24ce0, m=m@entry=0x7f1614c252a0 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7fff231e9920) at kernel/qobject.cpp:3539
#16 0x00007f16147a00d2 in QAbstractButton::clicked (this=this@entry=0xb24ce0, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:219
#17 0x00007f16145039d3 in QAbstractButtonPrivate::emitClicked (this=this@entry=0xb36f30) at widgets/qabstractbutton.cpp:548
#18 0x00007f1614504b43 in QAbstractButtonPrivate::click (this=this@entry=0xb36f30) at widgets/qabstractbutton.cpp:541
#19 0x00007f1614504c2c in QAbstractButton::mouseReleaseEvent (this=0xb24ce0, e=0x7fff231e9e10) at widgets/qabstractbutton.cpp:1123
#20 0x00007f16141a150a in QWidget::event (this=0xb24ce0, event=0x7fff231e9e10) at kernel/qwidget.cpp:8376
#21 0x00007f1614151e2c in QApplicationPrivate::notify_helper (this=this@entry=0x9a3c00, receiver=receiver@entry=0xb24ce0, e=e@entry=0x7fff231e9e10) at kernel/qapplication.cpp:4567
#22 0x00007f16141585dd in QApplication::notify (this=this@entry=0x7fff231ea720, receiver=receiver@entry=0xb24ce0, e=e@entry=0x7fff231e9e10) at kernel/qapplication.cpp:4110
#23 0x00007f1615a7dd1a in KApplication::notify (this=0x7fff231ea720, receiver=0xb24ce0, event=0x7fff231e9e10) at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007f1614db84dd in QCoreApplication::notifyInternal (this=0x7fff231ea720, receiver=receiver@entry=0xb24ce0, event=event@entry=0x7fff231e9e10) at kernel/qcoreapplication.cpp:953
#25 0x00007f1614157d93 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#26 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0xb24ce0, event=event@entry=0x7fff231e9e10, alienWidget=alienWidget@entry=0xb24ce0, nativeWidget=nativeWidget@entry=0xb25240, buttonDown=buttonDown@entry=0x7f1614c37318 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#27 0x00007f16141cc9cb in QETWidget::translateMouseEvent (this=this@entry=0xb25240, event=event@entry=0x7fff231ea190) at kernel/qapplication_x11.cpp:4634
#28 0x00007f16141cc269 in QApplication::x11ProcessEvent (this=0x7fff231ea720, event=event@entry=0x7fff231ea190) at kernel/qapplication_x11.cpp:3627
#29 0x00007f16141f3b02 in x11EventSourceDispatch (s=0x9a0d40, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0x00007f1610d8fe04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f1610d90048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007f1610d900ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007f1614de57a1 in QEventDispatcherGlib::processEvents (this=0x97a630, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#34 0x00007f16141f3bb6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f1614db70af in QEventLoop::processEvents (this=this@entry=0x7fff231ea570, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007f1614db73a5 in QEventLoop::exec (this=this@entry=0x7fff231ea570, flags=...) at kernel/qeventloop.cpp:204
#37 0x00007f16145f8fec in QDialog::exec (this=this@entry=0xb25240) at dialogs/qdialog.cpp:562
#38 0x00007f16164adcb5 in kdemain (_argc=<optimized out>, _argv=<optimized out>) at ../../kcmshell/main.cpp:297
#39 0x00007f1616102ec5 in __libc_start_main (main=0x4006d0 <main(int, char**)>, argc=2, argv=0x7fff231ea858, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff231ea848) at libc-start.c:287
#40 0x00000000004006fe in _start ()
Comment 404 Christoph Feck 2015-06-07 10:50:07 UTC
*** Bug 348775 has been marked as a duplicate of this bug. ***
Comment 405 Vyacheslav 2015-09-28 13:49:15 UTC
Please unsubscribe me from the cc-list.

Thanks.
Comment 406 Méven Car 2019-11-28 12:23:30 UTC
Resolved as it concerns old unmaintained code : KDE Platform Version: 4.4.2 (KDE 4.4.2)
And it seems it hasn't been reproduced in 4 years.